
#include "2xsai.h"

//===========================================================================//
// from mplayer sources originally -- hacked for only in 8bpp operation

int twoxsai_enabled;

static uint32 colorMask = 0xDB; // 1101 1010         // 1111 0111 1101 1110
static uint32 lowPixelMask = 0x24; // 00100101       // 0000 1000 0020 0001
static uint32 qcolorMask = 0xE79CE79C;   // 1110 0111 1001 1100
static uint32 qlowpixelMask = 0x18631863;// 0001 1000 0110 0011

#if 0
RGB565
static uint32 colorMask = 0xF7DEF7DE;    // 1111 0111 1101 1110
static uint32 lowPixelMask = 0x08210821; // 0000 1000 0020 0001
static uint32 qcolorMask = 0xE79CE79C;   // 1110 0111 1001 1100
static uint32 qlowpixelMask = 0x18631863;// 0001 1000 0110 0011
RGB555
static uint32 colorMask = 0x7BDE7BDE;    // 0111 1011 1101 1110
static uint32 lowPixelMask = 0x04210421; // 0000 0100 0010 0001
static uint32 qcolorMask = 0x739C739C;   // 0111 0011 1001 1100
static uint32 qlowpixelMask = 0x0C630C63;// 0000 1100 0110 0011
#endif


static unsigned char *src_line[4];
static unsigned char *dst_line[2];

void Super2xSaI_ex(uint8 *src, uint32 src_pitch, 
		   uint8 *dst, uint32 dst_pitch,
		   uint32 width, uint32 height) {

	unsigned int x, y;
	unsigned char color[16];

	/* Point to the first 3 lines. */
	src_line[0] = src;
	src_line[1] = src;
	src_line[2] = src + src_pitch;
	src_line[3] = src + src_pitch * 2;
	
	x = 0, y = 0;

	unsigned char *cbp;
	cbp = (unsigned char*)src_line[0];
	color[0] = *cbp;       color[1] = color[0];   color[2] = color[0];    color[3] = color[0];
	color[4] = color[0];   color[5] = color[0];   color[6] = *(cbp + 1);  color[7] = *(cbp + 2);
	cbp = (unsigned char*)src_line[2];
	color[8] = *cbp;     color[9] = color[8];     color[10] = *(cbp + 1); color[11] = *(cbp + 2);
	cbp = (unsigned char*)src_line[3];
	color[12] = *cbp;    color[13] = color[12];   color[14] = *(cbp + 1); color[15] = *(cbp + 2);

	for (y = 0; y < height; y++) {

		dst_line[0] = dst + dst_pitch*2*y;
		dst_line[1] = dst + dst_pitch*(2*y+1);
	
		/* Todo: x = width - 2, x = width - 1 */
		
		for (x = 0; x < width; x++) {
			unsigned long product1a, product1b, product2a, product2b;

//---------------------------------------  B0 B1 B2 B3    0  1  2  3
//                                         4  5* 6  S2 -> 4  5* 6  7
//                                         1  2  3  S1    8  9 10 11
//                                         A0 A1 A2 A3   12 13 14 15
//--------------------------------------
			if (color[9] == color[6] && color[5] != color[10]) {
				product2b = color[9];
				product1b = product2b;
			}
			else if (color[5] == color[10] && color[9] != color[6]) {
				product2b = color[5];
				product1b = product2b;
			}

#if 0
			else if (color[5] == color[10] && color[9] == color[6]) {
				int r = 0;

				r += GET_RESULT(color[6], color[5], color[8], color[13]);
				r += GET_RESULT(color[6], color[5], color[4], color[1]);
				r += GET_RESULT(color[6], color[5], color[14], color[11]);
				r += GET_RESULT(color[6], color[5], color[2], color[7]);

				if (r > 0)
					product1b = color[6];
				else if (r < 0)
					product1b = color[5];
				else
					product1b = INTERPOLATE(color[5], color[6]);
					
				product2b = product1b;

			}
			else {
				if (color[6] == color[10] && color[10] == color[13] && color[9] != color[14] && color[10] != color[12])
					product2b = Q_INTERPOLATE(color[10], color[10], color[10], color[9]);
				else if (color[5] == color[9] && color[9] == color[14] && color[13] != color[10] && color[9] != color[15])
					product2b = Q_INTERPOLATE(color[9], color[9], color[9], color[10]);
				else
#endif
					product2b = INTERPOLATE(color[9], color[10]);
#if 0

				if (color[6] == color[10] && color[6] == color[1] && color[5] != color[2] && color[6] != color[0])
					product1b = Q_INTERPOLATE(color[6], color[6], color[6], color[5]);
				else if (color[5] == color[9] && color[5] == color[2] && color[1] != color[6] && color[5] != color[3])
					product1b = Q_INTERPOLATE(color[6], color[5], color[5], color[5]);
				else
#endif
					product1b = INTERPOLATE(color[5], color[6]);
//			}

#if 0
			if (color[5] == color[10] && color[9] != color[6] && color[4] == color[5] && color[5] != color[14])
				product2a = INTERPOLATE(color[9], color[5]);
			else if (color[5] == color[8] && color[6] == color[5] && color[4] != color[9] && color[5] != color[12])
				product2a = INTERPOLATE(color[9], color[5]);
			else
#endif
				product2a = color[9];

#if 0
			if (color[9] == color[6] && color[5] != color[10] && color[8] == color[9] && color[9] != color[2])
				product1a = INTERPOLATE(color[9], color[5]);
			else if (color[4] == color[9] && color[10] == color[9] && color[8] != color[5] && color[9] != color[0])
				product1a = INTERPOLATE(color[9], color[5]);
			else
#endif
				product1a = color[5];

			*((unsigned long *) (&dst_line[0][x * 2])) = product1a | (product1b << 8);
			*((unsigned long *) (&dst_line[1][x * 2])) = product2a | (product2b << 8);
			
			/* Move color matrix forward */
			color[0] = color[1]; color[4] = color[5]; color[8] = color[9];   color[12] = color[13];
			color[1] = color[2]; color[5] = color[6]; color[9] = color[10];  color[13] = color[14];
			color[2] = color[3]; color[6] = color[7]; color[10] = color[11]; color[14] = color[15];
			
			if (x < width - 3) {
				x += 3;
				color[3] = *(((unsigned char*)src_line[0]) + x);
				color[7] = *(((unsigned char*)src_line[1]) + x);
				color[11] = *(((unsigned char*)src_line[2]) + x);
				color[15] = *(((unsigned char*)src_line[3]) + x);
				x -= 3;
			}
		}

		/* We're done with one line, so we shift the source lines up */
		src_line[0] = src_line[1];
		src_line[1] = src_line[2];
		src_line[2] = src_line[3];		

		/* Read next line */
		if (y + 3 >= height)
			src_line[3] = src_line[2];
		else
			src_line[3] = src_line[2] + src_pitch;
			
		/* Then shift the color matrix up */
		unsigned char *cbp;
		cbp = (unsigned char*)src_line[0];
		color[0] = *cbp;     color[1] = color[0];    color[2] = *(cbp + 1);  color[3] = *(cbp + 2);
		cbp = (unsigned char*)src_line[1];
		color[4] = *cbp;     color[5] = color[4];    color[6] = *(cbp + 1);  color[7] = *(cbp + 2);
		cbp = (unsigned char*)src_line[2];
		color[8] = *cbp;     color[9] = color[9];    color[10] = *(cbp + 1); color[11] = *(cbp + 2);
		cbp = (unsigned char*)src_line[3];
		color[12] = *cbp;    color[13] = color[12];  color[14] = *(cbp + 1); color[15] = *(cbp + 2);
		
	} // y loop
	
}

//===========================================================================//
