#ifndef __2XSAI_H__
#define __2XSAI_H__

//===========================================================================//

#define uint32 unsigned long
#define uint16 unsigned short
#define uint8 unsigned char

#define makecol(r,g,b) (r+(g<<8)+(b<<16))
#define makecol_depth(d,r,g,b) (r+(g<<8)+(b<<16))

#define GET_RESULT(A, B, C, D) ((A != C || A != D) - (B != C || B != D))

#define INTERPOLATE(A, B) (((A & colorMask) >> 1) + ((B & colorMask) >> 1) + (A & B & lowPixelMask))

#define Q_INTERPOLATE(A, B, C, D) ((A & qcolorMask) >> 2) + ((B & qcolorMask) >> 2) + ((C & qcolorMask) >> 2) + ((D & qcolorMask) >> 2) + ((((A & qlowpixelMask) + (B & qlowpixelMask) + (C & qlowpixelMask) + (D & qlowpixelMask)) >> 2) & qlowpixelMask)

int Init_2xSaI(int d);

void Super2xSaI_ex(uint8 *src, uint32 src_pitch, 
		   uint8 *dst, uint32 dst_pitch,
		   uint32 width, uint32 height);

extern int twoxsai_enabled;

#endif
