
#include "id_heads.h"

byte *gfxchunks;
int *gfxinfo;

/*  Below are the magic numbers that specify the lump info for every commercial
 *  version of Wolf3D.
 */

/* Wolf3D V1.4 Shareware. */

byte gfxchunks_wl1[300] = {

	3,  // H_BJPIC
	4,  // H_CASTLEPIC
	5,  // H_KEYBOARDPIC
	6,  // H_JOYPIC
	7,  // H_HEALPIC
	8,  // H_TREASUREPIC,
	9,  // H_GUNPIC,
	10,  // H_KEYPIC
	11,  // H_BLAZEPIC,
	12,  // H_WEAPON1234PIC,
	13,  // H_WOLFLOGOPIC,
	14,  // H_VISAPIC,
	15,  // H_MCPIC,
	16,  // H_IDLOGOPIC,
	17,  // H_TOPWINDOWPIC,
	18,  // H_LEFTWINDOWPIC,
	19,  // H_RIGHTWINDOWPIC,
	20,  // H_BOTTOMWINDOWPIC,
	21,  // H_SPEARINFO,

	0,   // padding

	22,	// C_OPTIONSPIC
	23,	// C_CURSOR1PIC
	24,	// C_CURSOR2PIC
	25,	// C_NOTSELECTEDPIC
	26,	// C_SELECTEDPIC
	27,	// C_FXTITLEPIC
	28,	// C_DIGITITLEPIC
	29,	// C_MUSICTITLEPIC
	30,	// C_MOUSELBACKPIC
	31,	// C_BABYMODEPIC
	32,	// C_EASYPIC
	33,	// C_NORMALPIC
	34,	// C_HARDPIC
	35,	// C_LOADSAVEDISKPIC
	36,	// C_DISKLOADING1PIC
	37,	// C_DISKLOADING2PIC
	38,	// C_CONTROLPIC
	39,	// C_CUSTOMIZEPIC
	40,	// C_LOADGAMEPIC
	41,	// C_SAVEGAMEPIC
	42,	// C_EPISODE1PIC
	43,	// C_EPISODE2PIC
	44,	// C_EPISODE3PIC
	45,	// C_EPISODE4PIC
	46,	// C_EPISODE5PIC
	47,	// C_EPISODE6PIC
	48,	// C_CODEPIC
	49,	// C_TIMECODEPIC
	50,	// C_LEVELPIC
	51,	// C_NAMEPIC
	52,	// C_SCOREPIC
	53,	// C_JOY1PIC
	54,	// C_JOY2PIC
	0,	// C_MOUSEPIC
	0,	// C_JOYSTICKPIC
	0,	// C_KEYBOARDPIC
	0,	// C_HOWTOUGHPIC

	0,0,0,   // padding

	55,	// L_GUYPIC
	56,	// L_COLONPIC
	57,	// L_NUM0PIC
	58,	// L_NUM1PIC
	59,	// L_NUM2PIC
	60,	// L_NUM3PIC
	61,	// L_NUM4PIC
	62,	// L_NUM5PIC
	63,	// L_NUM6PIC
	64,	// L_NUM7PIC
	65,	// L_NUM8PIC
	66,	// L_NUM9PIC
	67,	// L_PERCENTPIC
	68,	// L_APIC
	69,	// L_BPIC
	70,	// L_CPIC
	71,	// L_DPIC
	72,	// L_EPIC
	73,	// L_FPIC
	74,	// L_GPIC
	75,	// L_HPIC
	76,	// L_IPIC
	77,	// L_JPIC
	78,	// L_KPIC
	79,	// L_LPIC
	80,	// L_MPIC
	81,	// L_NPIC
	82,	// L_OPIC
	83,	// L_PPIC
	84,	// L_QPIC
	85,	// L_RPIC
	86,	// L_SPIC
	87,	// L_TPIC
	88,	// L_UPIC
	89,	// L_VPIC
	90,	// L_WPIC
	91,	// L_XPIC
	92,	// L_YPIC
	93,	// L_ZPIC
	94,	// L_EXPOINTPIC
	95,	// L_APOSTROPHEPIC
	96,	// L_GUY2PIC
	97,	// L_BJWINSPIC
	98,	// STATUSBARPIC
	99,	// TITLEPIC
	100,	// PG13PIC
	101,	// CREDITSPIC
	102,	// HIGHSCORESPIC

	0,0,   // padding

	103,	// KNIFEPIC
	104,	// GUNPIC
	105,	// MACHINEGUNPIC
	106,	// GATLINGGUNPIC
	107,	// NOKEYPIC
	108,	// GOLDKEYPIC
	109,	// SILVERKEYPIC
	110,	// N_BLANKPIC
	111,	// N_0PIC
	112,	// N_1PIC
	113,	// N_2PIC
	114,	// N_3PIC
	115,	// N_4PIC
	116,	// N_5PIC
	117,	// N_6PIC
	118,	// N_7PIC
	119,	// N_8PIC
	120,	// N_9PIC
	121,	// FACE1APIC
	122,	// FACE1BPIC
	123,	// FACE1CPIC
	124,	// FACE2APIC
	125,	// FACE2BPIC
	126,	// FACE2CPIC
	127,	// FACE3APIC
	128,	// FACE3BPIC
	129,	// FACE3CPIC
	130,	// FACE4APIC
	131,	// FACE4BPIC
	132,	// FACE4CPIC
	133,	// FACE5APIC
	134,	// FACE5BPIC
	135,	// FACE5CPIC
	136,	// FACE6APIC
	137,	// FACE6BPIC
	138,	// FACE6CPIC
	139,	// FACE7APIC
	140,	// FACE7BPIC
	141,	// FACE7CPIC
	142,	// FACE8APIC
	143,	// GOTGATLINGPIC
	0,	// GODMODEFACE1PIC
	0,	// GODMODEFACE2PIC
	0,	// GODMODEFACE3PIC
	0,	// BJWAITING1PIC
	0,	// BJWAITING2PIC
	0,	// BJOUCHPIC
	145,	// PAUSEDPIC
	146,	// GETPSYCHEDPIC
	144,	// MUTANTBJPIC

	148,	// ORDERSCREEN
	149,	// ERRORSCREEN
	150,	// T_HELPART
	151,	// T_DEMO0
	152,	// T_DEMO1
	153,	// T_DEMO2
	154,	// T_DEMO3
	155,	// T_ENDART1
	0,	// T_ENDART2
	0,	// T_ENDART3
	0,	// T_ENDART4
	0,	// T_ENDART5
	0,	// T_ENDART6
	0,	// TITLEPALETTE
	0,	// END1PALETTE
	0,	// END2PALETTE
	0,	// END3PALETTE
	0,	// END4PALETTE
	0,	// END5PALETTE
	0,	// END6PALETTE
	0,	// END7PALETTE
	0,	// END8PALETTE
	0,	// END9PALETTE
	0,	// IDGUYSPALETTE
	156,	// ENUMEND

	0,0,0,0,0, // padding

	0,	// C_BACKDROPPIC

	0,0,0,0,0,0,0,0,0, // padding

	0,	// BJCOLLAPSE1PIC
	0,	// BJCOLLAPSE2PIC
	0,	// BJCOLLAPSE3PIC
	0,	// BJCOLLAPSE4PIC
	0,	// ENDPICPIC

	0,0,0,0,0, // padding

	0,	// TITLE1PIC
	0,	// TITLE2PIC

	0,0,0,0,0,0,0,0, // padding

	0,	// IDGUYS1PIC
	0,	// IDGUYS2PIC

	0,0,0,0,0,0,0,0, // padding

	0,	// COPYPROTTOPPIC
	0,	// COPYPROTBOXPIC
	0,	// BOSSPIC1PIC
	0,	// BOSSPIC2PIC
	0,	// BOSSPIC3PIC
	0,	// BOSSPIC4PIC

	0,0,0,0, // padding

	0,	// ENDSCREEN11PIC
	0,	// ENDSCREEN12PIC
	0,	// ENDSCREEN3PIC
	0,	// ENDSCREEN4PIC
	0,	// ENDSCREEN5PIC
	0,	// ENDSCREEN6PIC
	0,	// ENDSCREEN7PIC
	0,	// ENDSCREEN8PIC
	0,	// ENDSCREEN9PIC

	0	// C_WONSPEARPIC

};

int gfxinfo_wl1[50] = {

	3,	// README_LUMP_START
	21,	// README_LUMP_END
	22,	// CONTROLS_LUMP_START
	54,	// CONTROLS_LUMP_END
	55,	// LEVELEND_LUMP_START
	102,	// LEVELEND_LUMP_END
	103,	// LATCHPICS_LUMP_START
	146,	// LATCHPICS_LUMP_END

	0,	// BACKDROP_LUMP_START
	0,	// BACKDROP_LUMP_END
	0,	// CONTROL_LUMP_START
	0,	// CONTROL_LUMP_END
	0,	// OPTIONS_LUMP_START
	0,	// OPTIONS_LUMP_END
	0,	// SOUND_LUMP_START
	0,	// SOUND_LUMP_END
	0,	// NEWGAME_LUMP_START
	0,	// NEWGAME_LUMP_END
	0,	// LOADSAVE_LUMP_START
	0,	// LOADSAVE_LUMP_END
	0,	// HIGHSCORES_LUMP_START
	0,	// HIGHSCORES_LUMP_END
	0,	// TITLESCREEN_LUMP_START
	0,	// TITLESCREEN_LUMP_END

	0,	// ENDGAME_LUMP_START
	0,	// ENDGAME_LUMP_END
	0,	// EASTEREGG_LUMP_START
	0,	// EASTEREGG_LUMP_END
	0,	// COPYPROT_LUMP_START
	0,	// COPYPROT_LUMP_END

	0,0,0,0,0,0,0,0,0,0,  // padding

	156,	// NUMCHUNKS
	2,	// NUMFONT
	144,	// NUMPICS
	35,	// NUMTILE8
	8,	// NUMEXTERNS
	0,	// STRUCTPIC
	1,	// STARTFONT
	3,	// STARTPICS
	147,	// STARTTILE8
	148	// STARTEXTERNS

};


/* Wolf3D V1.2 Episodes 1-6. */

byte gfxchunks_wl6_12[300] = {

	3,  // H_BJPIC
	4,  // H_CASTLEPIC
	5,  // H_KEYBOARDPIC
	6,  // H_JOYPIC
	7,  // H_HEALPIC
	8,  // H_TREASUREPIC,
	9,  // H_GUNPIC,
	10,  // H_KEYPIC
	11,  // H_BLAZEPIC,
	12,  // H_WEAPON1234PIC,
	13,  // H_WOLFLOGOPIC,
	14,  // H_VISAPIC,
	15,  // H_MCPIC,
	16,  // H_IDLOGOPIC,
	17,  // H_TOPWINDOWPIC,
	18,  // H_LEFTWINDOWPIC,
	19,  // H_RIGHTWINDOWPIC,
	20,  // H_BOTTOMWINDOWPIC,
	0,  // H_SPEARINFO,

	0,   // padding

	21,	// C_OPTIONSPIC
	22,	// C_CURSOR1PIC
	23,	// C_CURSOR2PIC
	24,	// C_NOTSELECTEDPIC
	25,	// C_SELECTEDPIC
	26,	// C_FXTITLEPIC
	27,	// C_DIGITITLEPIC
	28,	// C_MUSICTITLEPIC
	29,	// C_MOUSELBACKPIC
	30,	// C_BABYMODEPIC
	31,	// C_EASYPIC
	32,	// C_NORMALPIC
	33,	// C_HARDPIC
	34,	// C_LOADSAVEDISKPIC
	35,	// C_DISKLOADING1PIC
	36,	// C_DISKLOADING2PIC
	37,	// C_CONTROLPIC
	38,	// C_CUSTOMIZEPIC
	39,	// C_LOADGAMEPIC
	40,	// C_SAVEGAMEPIC
	41,	// C_EPISODE1PIC
	42,	// C_EPISODE2PIC
	43,	// C_EPISODE3PIC
	44,	// C_EPISODE4PIC
	45,	// C_EPISODE5PIC
	46,	// C_EPISODE6PIC
	47,	// C_CODEPIC
	48,	// C_TIMECODEPIC
	49,	// C_LEVELPIC
	50,	// C_NAMEPIC
	51,	// C_SCOREPIC
	0,	// C_JOY1PIC
	0,	// C_JOY2PIC
	0,	// C_MOUSEPIC
	0,	// C_JOYSTICKPIC
	0,	// C_KEYBOARDPIC
	0,	// C_HOWTOUGHPIC

	0,0,0,   // padding

	52,	// L_GUYPIC
	53,	// L_COLONPIC
	54,	// L_NUM0PIC
	55,	// L_NUM1PIC
	56,	// L_NUM2PIC
	57,	// L_NUM3PIC
	58,	// L_NUM4PIC
	59,	// L_NUM5PIC
	60,	// L_NUM6PIC
	61,	// L_NUM7PIC
	62,	// L_NUM8PIC
	63,	// L_NUM9PIC
	64,	// L_PERCENTPIC
	65,	// L_APIC
	66,	// L_BPIC
	67,	// L_CPIC
	68,	// L_DPIC
	69,	// L_EPIC
	70,	// L_FPIC
	71,	// L_GPIC
	72,	// L_HPIC
	73,	// L_IPIC
	74,	// L_JPIC
	75,	// L_KPIC
	76,	// L_LPIC
	77,	// L_MPIC
	78,	// L_NPIC
	79,	// L_OPIC
	80,	// L_PPIC
	81,	// L_QPIC
	82,	// L_RPIC
	83,	// L_SPIC
	84,	// L_TPIC
	85,	// L_UPIC
	86,	// L_VPIC
	87,	// L_WPIC
	88,	// L_XPIC
	89,	// L_YPIC
	90,	// L_ZPIC
	91,	// L_EXPOINTPIC
	92,	// L_APOSTROPHEPIC
	93,	// L_GUY2PIC
	94,	// L_BJWINSPIC
	95,	// STATUSBARPIC
	96,	// TITLEPIC
	97,	// PG13PIC
	98,	// CREDITSPIC
	99,	// HIGHSCORESPIC

	0,0,   // padding

	100,	// KNIFEPIC
	101,	// GUNPIC
	102,	// MACHINEGUNPIC
	103,	// GATLINGGUNPIC
	104,	// NOKEYPIC
	105,	// GOLDKEYPIC
	106,	// SILVERKEYPIC
	107,	// N_BLANKPIC
	108,	// N_0PIC
	109,	// N_1PIC
	110,	// N_2PIC
	111,	// N_3PIC
	112,	// N_4PIC
	113,	// N_5PIC
	114,	// N_6PIC
	115,	// N_7PIC
	116,	// N_8PIC
	117,	// N_9PIC
	118,	// FACE1APIC
	119,	// FACE1BPIC
	120,	// FACE1CPIC
	121,	// FACE2APIC
	122,	// FACE2BPIC
	123,	// FACE2CPIC
	124,	// FACE3APIC
	125,	// FACE3BPIC
	126,	// FACE3CPIC
	127,	// FACE4APIC
	128,	// FACE4BPIC
	129,	// FACE4CPIC
	130,	// FACE5APIC
	131,	// FACE5BPIC
	132,	// FACE5CPIC
	133,	// FACE6APIC
	134,	// FACE6BPIC
	135,	// FACE6CPIC
	136,	// FACE7APIC
	137,	// FACE7BPIC
	138,	// FACE7CPIC
	139,	// FACE8APIC
	140,	// GOTGATLINGPIC
	0,	// GODMODEFACE1PIC
	0,	// GODMODEFACE2PIC
	0,	// GODMODEFACE3PIC
	0,	// BJWAITING1PIC
	0,	// BJWAITING2PIC
	0,	// BJOUCHPIC
	142,	// PAUSEDPIC
	143,	// GETPSYCHEDPIC
	141,	// MUTANTBJPIC

	145,	// ORDERSCREEN
	146,	// ERRORSCREEN
	147,	// T_HELPART
	148,	// T_DEMO0
	149,	// T_DEMO1
	150,	// T_DEMO2
	151,	// T_DEMO3
	152,	// T_ENDART1
	153,	// T_ENDART2
	154,	// T_ENDART3
	155,	// T_ENDART4
	156,	// T_ENDART5
	157,	// T_ENDART6
	0,	// TITLEPALETTE
	0,	// END1PALETTE
	0,	// END2PALETTE
	0,	// END3PALETTE
	0,	// END4PALETTE
	0,	// END5PALETTE
	0,	// END6PALETTE
	0,	// END7PALETTE
	0,	// END8PALETTE
	0,	// END9PALETTE
	0,	// IDGUYSPALETTE
	158,	// ENUMEND

	0,0,0,0,0, // padding

	0,	// C_BACKDROPPIC

	0,0,0,0,0,0,0,0,0, // padding

	0,	// BJCOLLAPSE1PIC
	0,	// BJCOLLAPSE2PIC
	0,	// BJCOLLAPSE3PIC
	0,	// BJCOLLAPSE4PIC
	0,	// ENDPICPIC

	0,0,0,0,0, // padding

	0,	// TITLE1PIC
	0,	// TITLE2PIC

	0,0,0,0,0,0,0,0, // padding

	0,	// IDGUYS1PIC
	0,	// IDGUYS2PIC

	0,0,0,0,0,0,0,0, // padding

	0,	// COPYPROTTOPPIC
	0,	// COPYPROTBOXPIC
	0,	// BOSSPIC1PIC
	0,	// BOSSPIC2PIC
	0,	// BOSSPIC3PIC
	0,	// BOSSPIC4PIC

	0,0,0,0, // padding

	0,	// ENDSCREEN11PIC
	0,	// ENDSCREEN12PIC
	0,	// ENDSCREEN3PIC
	0,	// ENDSCREEN4PIC
	0,	// ENDSCREEN5PIC
	0,	// ENDSCREEN6PIC
	0,	// ENDSCREEN7PIC
	0,	// ENDSCREEN8PIC
	0,	// ENDSCREEN9PIC

	0	// C_WONSPEARPIC

};

int gfxinfo_wl6_12[50] = {

	3,	// README_LUMP_START
	20,	// README_LUMP_END
	21,	// CONTROLS_LUMP_START
	51,	// CONTROLS_LUMP_END
	52,	// LEVELEND_LUMP_START
	99,	// LEVELEND_LUMP_END
	100,	// LATCHPICS_LUMP_START
	143,	// LATCHPICS_LUMP_END

	0,	// BACKDROP_LUMP_START
	0,	// BACKDROP_LUMP_END
	0,	// CONTROL_LUMP_START
	0,	// CONTROL_LUMP_END
	0,	// OPTIONS_LUMP_START
	0,	// OPTIONS_LUMP_END
	0,	// SOUND_LUMP_START
	0,	// SOUND_LUMP_END
	0,	// NEWGAME_LUMP_START
	0,	// NEWGAME_LUMP_END
	0,	// LOADSAVE_LUMP_START
	0,	// LOADSAVE_LUMP_END
	0,	// HIGHSCORES_LUMP_START
	0,	// HIGHSCORES_LUMP_END
	0,	// TITLESCREEN_LUMP_START
	0,	// TITLESCREEN_LUMP_END

	0,	// ENDGAME_LUMP_START
	0,	// ENDGAME_LUMP_END
	0,	// EASTEREGG_LUMP_START
	0,	// EASTEREGG_LUMP_END
	0,	// COPYPROT_LUMP_START
	0,	// COPYPROT_LUMP_END

	0,0,0,0,0,0,0,0,0,0,  // padding

	149,	// NUMCHUNKS
	2,	// NUMFONT
	141,	// NUMPICS
	35,	// NUMTILE8
	13,	// NUMEXTERNS
	0,	// STRUCTPIC
	1,	// STARTFONT
	3,	// STARTPICS
	144,	// STARTTILE8
	145	// STARTEXTERNS

};


/* Wolf3D V1.4 Episodes 1-6. */

byte gfxchunks_wl6[300] = {

	3,  // H_BJPIC
	4,  // H_CASTLEPIC
	0,  // H_KEYBOARDPIC
	0,  // H_JOYPIC
	0,  // H_HEALPIC
	0,  // H_TREASUREPIC,
	0,  // H_GUNPIC,
	0,  // H_KEYPIC
	5,  // H_BLAZEPIC,
	0,  // H_WEAPON1234PIC,
	0,  // H_WOLFLOGOPIC,
	0,  // H_VISAPIC,
	0,  // H_MCPIC,
	0,  // H_IDLOGOPIC,
	6,  // H_TOPWINDOWPIC,
	7,  // H_LEFTWINDOWPIC,
	8,  // H_RIGHTWINDOWPIC,
	9,  // H_BOTTOMWINDOWPIC,
	0,  // H_SPEARINFO,

	0,   // padding

	10,	// C_OPTIONSPIC
	11,	// C_CURSOR1PIC
	12,	// C_CURSOR2PIC
	13,	// C_NOTSELECTEDPIC
	14,	// C_SELECTEDPIC
	15,	// C_FXTITLEPIC
	16,	// C_DIGITITLEPIC
	17,	// C_MUSICTITLEPIC
	18,	// C_MOUSELBACKPIC
	19,	// C_BABYMODEPIC
	20,	// C_EASYPIC
	21,	// C_NORMALPIC
	22,	// C_HARDPIC
	23,	// C_LOADSAVEDISKPIC
	24,	// C_DISKLOADING1PIC
	25,	// C_DISKLOADING2PIC
	26,	// C_CONTROLPIC
	27,	// C_CUSTOMIZEPIC
	28,	// C_LOADGAMEPIC
	29,	// C_SAVEGAMEPIC
	30,	// C_EPISODE1PIC
	31,	// C_EPISODE2PIC
	32,	// C_EPISODE3PIC
	33,	// C_EPISODE4PIC
	34,	// C_EPISODE5PIC
	35,	// C_EPISODE6PIC
	36,	// C_CODEPIC
	37,	// C_TIMECODEPIC
	38,	// C_LEVELPIC
	39,	// C_NAMEPIC
	40,	// C_SCOREPIC
	41,	// C_JOY1PIC
	42,	// C_JOY2PIC
	0,	// C_MOUSEPIC
	0,	// C_JOYSTICKPIC
	0,	// C_KEYBOARDPIC
	0,	// C_HOWTOUGHPIC

	0,0,0,   // padding

	43,	// L_GUYPIC
	44,	// L_COLONPIC
	45,	// L_NUM0PIC
	46,	// L_NUM1PIC
	47,	// L_NUM2PIC
	48,	// L_NUM3PIC
	49,	// L_NUM4PIC
	50,	// L_NUM5PIC
	51,	// L_NUM6PIC
	52,	// L_NUM7PIC
	53,	// L_NUM8PIC
	54,	// L_NUM9PIC
	55,	// L_PERCENTPIC
	56,	// L_APIC
	57,	// L_BPIC
	58,	// L_CPIC
	59,	// L_DPIC
	60,	// L_EPIC
	61,	// L_FPIC
	62,	// L_GPIC
	63,	// L_HPIC
	64,	// L_IPIC
	65,	// L_JPIC
	66,	// L_KPIC
	67,	// L_LPIC
	68,	// L_MPIC
	69,	// L_NPIC
	70,	// L_OPIC
	71,	// L_PPIC
	72,	// L_QPIC
	73,	// L_RPIC
	74,	// L_SPIC
	75,	// L_TPIC
	76,	// L_UPIC
	77,	// L_VPIC
	78,	// L_WPIC
	79,	// L_XPIC
	80,	// L_YPIC
	81,	// L_ZPIC
	82,	// L_EXPOINTPIC
	83,	// L_APOSTROPHEPIC
	84,	// L_GUY2PIC
	85,	// L_BJWINSPIC
	86,	// STATUSBARPIC
	87,	// TITLEPIC
	88,	// PG13PIC
	89,	// CREDITSPIC
	90,	// HIGHSCORESPIC

	0,0,   // padding

	91,	// KNIFEPIC
	92,	// GUNPIC
	93,	// MACHINEGUNPIC
	94,	// GATLINGGUNPIC
	95,	// NOKEYPIC
	96,	// GOLDKEYPIC
	97,	// SILVERKEYPIC
	98,	// N_BLANKPIC
	99,	// N_0PIC
	100,	// N_1PIC
	101,	// N_2PIC
	102,	// N_3PIC
	103,	// N_4PIC
	104,	// N_5PIC
	105,	// N_6PIC
	106,	// N_7PIC
	107,	// N_8PIC
	108,	// N_9PIC
	109,	// FACE1APIC
	110,	// FACE1BPIC
	111,	// FACE1CPIC
	112,	// FACE2APIC
	113,	// FACE2BPIC
	114,	// FACE2CPIC
	115,	// FACE3APIC
	116,	// FACE3BPIC
	117,	// FACE3CPIC
	118,	// FACE4APIC
	119,	// FACE4BPIC
	120,	// FACE4CPIC
	121,	// FACE5APIC
	122,	// FACE5BPIC
	123,	// FACE5CPIC
	124,	// FACE6APIC
	125,	// FACE6BPIC
	126,	// FACE6CPIC
	127,	// FACE7APIC
	128,	// FACE7BPIC
	129,	// FACE7CPIC
	130,	// FACE8APIC
	131,	// GOTGATLINGPIC
	0,	// GODMODEFACE1PIC
	0,	// GODMODEFACE2PIC
	0,	// GODMODEFACE3PIC
	0,	// BJWAITING1PIC
	0,	// BJWAITING2PIC
	0,	// BJOUCHPIC
	133,	// PAUSEDPIC
	134,	// GETPSYCHEDPIC
	132,	// MUTANTBJPIC

	136,	// ORDERSCREEN
	137,	// ERRORSCREEN
	138,	// T_HELPART
	139,	// T_DEMO0
	149,	// T_DEMO1
	141,	// T_DEMO2
	142,	// T_DEMO3
	143,	// T_ENDART1
	144,	// T_ENDART2
	145,	// T_ENDART3
	146,	// T_ENDART4
	147,	// T_ENDART5
	148,	// T_ENDART6
	0,	// TITLEPALETTE
	0,	// END1PALETTE
	0,	// END2PALETTE
	0,	// END3PALETTE
	0,	// END4PALETTE
	0,	// END5PALETTE
	0,	// END6PALETTE
	0,	// END7PALETTE
	0,	// END8PALETTE
	0,	// END9PALETTE
	0,	// IDGUYSPALETTE
	149,	// ENUMEND

	0,0,0,0,0, // padding

	0,	// C_BACKDROPPIC

	0,0,0,0,0,0,0,0,0, // padding

	0,	// BJCOLLAPSE1PIC
	0,	// BJCOLLAPSE2PIC
	0,	// BJCOLLAPSE3PIC
	0,	// BJCOLLAPSE4PIC
	0,	// ENDPICPIC

	0,0,0,0,0, // padding

	0,	// TITLE1PIC
	0,	// TITLE2PIC

	0,0,0,0,0,0,0,0, // padding

	0,	// IDGUYS1PIC
	0,	// IDGUYS2PIC

	0,0,0,0,0,0,0,0, // padding

	0,	// COPYPROTTOPPIC
	0,	// COPYPROTBOXPIC
	0,	// BOSSPIC1PIC
	0,	// BOSSPIC2PIC
	0,	// BOSSPIC3PIC
	0,	// BOSSPIC4PIC

	0,0,0,0, // padding

	0,	// ENDSCREEN11PIC
	0,	// ENDSCREEN12PIC
	0,	// ENDSCREEN3PIC
	0,	// ENDSCREEN4PIC
	0,	// ENDSCREEN5PIC
	0,	// ENDSCREEN6PIC
	0,	// ENDSCREEN7PIC
	0,	// ENDSCREEN8PIC
	0,	// ENDSCREEN9PIC

	0	// C_WONSPEARPIC

};

int gfxinfo_wl6[50] = {

	3,	// README_LUMP_START
	9,	// README_LUMP_END
	10,	// CONTROLS_LUMP_START
	42,	// CONTROLS_LUMP_END
	43,	// LEVELEND_LUMP_START
	85,	// LEVELEND_LUMP_END
	91,	// LATCHPICS_LUMP_START
	134,	// LATCHPICS_LUMP_END

	0,	// BACKDROP_LUMP_START
	0,	// BACKDROP_LUMP_END
	0,	// CONTROL_LUMP_START
	0,	// CONTROL_LUMP_END
	0,	// OPTIONS_LUMP_START
	0,	// OPTIONS_LUMP_END
	0,	// SOUND_LUMP_START
	0,	// SOUND_LUMP_END
	0,	// NEWGAME_LUMP_START
	0,	// NEWGAME_LUMP_END
	0,	// LOADSAVE_LUMP_START
	0,	// LOADSAVE_LUMP_END
	0,	// HIGHSCORES_LUMP_START
	0,	// HIGHSCORES_LUMP_END
	0,	// TITLESCREEN_LUMP_START
	0,	// TITLESCREEN_LUMP_END

	0,	// ENDGAME_LUMP_START
	0,	// ENDGAME_LUMP_END
	0,	// EASTEREGG_LUMP_START
	0,	// EASTEREGG_LUMP_END
	0,	// COPYPROT_LUMP_START
	0,	// COPYPROT_LUMP_END

	0,0,0,0,0,0,0,0,0,0,  // padding

	149,	// NUMCHUNKS
	2,	// NUMFONT
	132,	// NUMPICS
	35,	// NUMTILE8
	13,	// NUMEXTERNS
	0,	// STRUCTPIC
	1,	// STARTFONT
	3,	// STARTPICS
	135,	// STARTTILE8
	136	// STARTEXTERNS

};


/* Wolf3D V1.4 Episodes 1-6. (1993 alternate) */

byte gfxchunks_wl6_93[300] = {

	3,  // H_BJPIC
	4,  // H_CASTLEPIC
	5,  // H_KEYBOARDPIC
	6,  // H_JOYPIC
	7,  // H_HEALPIC
	8,  // H_TREASUREPIC,
	9,  // H_GUNPIC,
	10,  // H_KEYPIC
	11,  // H_BLAZEPIC,
	12,  // H_WEAPON1234PIC,
	13,  // H_WOLFLOGOPIC,
	14,  // H_VISAPIC,
	15,  // H_MCPIC,
	16,  // H_IDLOGOPIC,
	17,  // H_TOPWINDOWPIC,
	18,  // H_LEFTWINDOWPIC,
	19,  // H_RIGHTWINDOWPIC,
	20,  // H_BOTTOMWINDOWPIC,
	21,  // H_SPEARINFO,

	0,   // padding

	22,	// C_OPTIONSPIC
	23,	// C_CURSOR1PIC
	24,	// C_CURSOR2PIC
	25,	// C_NOTSELECTEDPIC
	26,	// C_SELECTEDPIC
	27,	// C_FXTITLEPIC
	28,	// C_DIGITITLEPIC
	29,	// C_MUSICTITLEPIC
	30,	// C_MOUSELBACKPIC
	31,	// C_BABYMODEPIC
	32,	// C_EASYPIC
	33,	// C_NORMALPIC
	34,	// C_HARDPIC
	35,	// C_LOADSAVEDISKPIC
	36,	// C_DISKLOADING1PIC
	37,	// C_DISKLOADING2PIC
	38,	// C_CONTROLPIC
	39,	// C_CUSTOMIZEPIC
	40,	// C_LOADGAMEPIC
	41,	// C_SAVEGAMEPIC
	42,	// C_EPISODE1PIC
	43,	// C_EPISODE2PIC
	44,	// C_EPISODE3PIC
	45,	// C_EPISODE4PIC
	46,	// C_EPISODE5PIC
	47,	// C_EPISODE6PIC
	48,	// C_CODEPIC
	49,	// C_TIMECODEPIC
	50,	// C_LEVELPIC
	51,	// C_NAMEPIC
	52,	// C_SCOREPIC
	53,	// C_JOY1PIC
	54,	// C_JOY2PIC
	0,	// C_MOUSEPIC
	0,	// C_JOYSTICKPIC
	0,	// C_KEYBOARDPIC
	0,	// C_HOWTOUGHPIC

	0,0,0,   // padding

	55,	// L_GUYPIC
	56,	// L_COLONPIC
	57,	// L_NUM0PIC
	58,	// L_NUM1PIC
	59,	// L_NUM2PIC
	60,	// L_NUM3PIC
	61,	// L_NUM4PIC
	62,	// L_NUM5PIC
	63,	// L_NUM6PIC
	64,	// L_NUM7PIC
	65,	// L_NUM8PIC
	66,	// L_NUM9PIC
	67,	// L_PERCENTPIC
	68,	// L_APIC
	69,	// L_BPIC
	70,	// L_CPIC
	71,	// L_DPIC
	72,	// L_EPIC
	73,	// L_FPIC
	74,	// L_GPIC
	75,	// L_HPIC
	76,	// L_IPIC
	77,	// L_JPIC
	78,	// L_KPIC
	79,	// L_LPIC
	80,	// L_MPIC
	81,	// L_NPIC
	82,	// L_OPIC
	83,	// L_PPIC
	84,	// L_QPIC
	85,	// L_RPIC
	86,	// L_SPIC
	87,	// L_TPIC
	88,	// L_UPIC
	89,	// L_VPIC
	90,	// L_WPIC
	91,	// L_XPIC
	92,	// L_YPIC
	93,	// L_ZPIC
	94,	// L_EXPOINTPIC
	95,	// L_APOSTROPHEPIC
	96,	// L_GUY2PIC
	97,	// L_BJWINSPIC
	98,	// STATUSBARPIC
	99,	// TITLEPIC
	100,	// PG13PIC
	101,	// CREDITSPIC
	102,	// HIGHSCORESPIC

	0,0,   // padding

	103,	// KNIFEPIC
	104,	// GUNPIC
	105,	// MACHINEGUNPIC
	106,	// GATLINGGUNPIC
	107,	// NOKEYPIC
	108,	// GOLDKEYPIC
	109,	// SILVERKEYPIC
	110,	// N_BLANKPIC
	111,	// N_0PIC
	112,	// N_1PIC
	113,	// N_2PIC
	114,	// N_3PIC
	115,	// N_4PIC
	116,	// N_5PIC
	117,	// N_6PIC
	118,	// N_7PIC
	119,	// N_8PIC
	120,	// N_9PIC
	121,	// FACE1APIC
	122,	// FACE1BPIC
	123,	// FACE1CPIC
	124,	// FACE2APIC
	125,	// FACE2BPIC
	126,	// FACE2CPIC
	127,	// FACE3APIC
	128,	// FACE3BPIC
	129,	// FACE3CPIC
	130,	// FACE4APIC
	131,	// FACE4BPIC
	132,	// FACE4CPIC
	133,	// FACE5APIC
	134,	// FACE5BPIC
	135,	// FACE5CPIC
	136,	// FACE6APIC
	137,	// FACE6BPIC
	138,	// FACE6CPIC
	139,	// FACE7APIC
	140,	// FACE7BPIC
	141,	// FACE7CPIC
	142,	// FACE8APIC
	143,	// GOTGATLINGPIC
	0,	// GODMODEFACE1PIC
	0,	// GODMODEFACE2PIC
	0,	// GODMODEFACE3PIC
	0,	// BJWAITING1PIC
	0,	// BJWAITING2PIC
	0,	// BJOUCHPIC
	145,	// PAUSEDPIC
	146,	// GETPSYCHEDPIC
	144,	// MUTANTBJPIC

	148,	// ORDERSCREEN
	149,	// ERRORSCREEN
	150,	// T_HELPART
	151,	// T_DEMO0
	152,	// T_DEMO1
	153,	// T_DEMO2
	154,	// T_DEMO3
	155,	// T_ENDART1
	0,	// T_ENDART2
	0,	// T_ENDART3
	0,	// T_ENDART4
	0,	// T_ENDART5
	0,	// T_ENDART6
	0,	// TITLEPALETTE
	0,	// END1PALETTE
	0,	// END2PALETTE
	0,	// END3PALETTE
	0,	// END4PALETTE
	0,	// END5PALETTE
	0,	// END6PALETTE
	0,	// END7PALETTE
	0,	// END8PALETTE
	0,	// END9PALETTE
	0,	// IDGUYSPALETTE
	156,	// ENUMEND

	0,0,0,0,0, // padding

	0,	// C_BACKDROPPIC

	0,0,0,0,0,0,0,0,0, // padding

	0,	// BJCOLLAPSE1PIC
	0,	// BJCOLLAPSE2PIC
	0,	// BJCOLLAPSE3PIC
	0,	// BJCOLLAPSE4PIC
	0,	// ENDPICPIC

	0,0,0,0,0, // padding

	0,	// TITLE1PIC
	0,	// TITLE2PIC

	0,0,0,0,0,0,0,0, // padding

	0,	// IDGUYS1PIC
	0,	// IDGUYS2PIC

	0,0,0,0,0,0,0,0, // padding

	0,	// COPYPROTTOPPIC
	0,	// COPYPROTBOXPIC
	0,	// BOSSPIC1PIC
	0,	// BOSSPIC2PIC
	0,	// BOSSPIC3PIC
	0,	// BOSSPIC4PIC

	0,0,0,0, // padding

	0,	// ENDSCREEN11PIC
	0,	// ENDSCREEN12PIC
	0,	// ENDSCREEN3PIC
	0,	// ENDSCREEN4PIC
	0,	// ENDSCREEN5PIC
	0,	// ENDSCREEN6PIC
	0,	// ENDSCREEN7PIC
	0,	// ENDSCREEN8PIC
	0,	// ENDSCREEN9PIC

	0	// C_WONSPEARPIC

};

int gfxinfo_wl6_93[50] = {

	3,	// README_LUMP_START
	21,	// README_LUMP_END
	22,	// CONTROLS_LUMP_START
	54,	// CONTROLS_LUMP_END
	55,	// LEVELEND_LUMP_START
	102,	// LEVELEND_LUMP_END
	103,	// LATCHPICS_LUMP_START
	146,	// LATCHPICS_LUMP_END

	0,	// BACKDROP_LUMP_START
	0,	// BACKDROP_LUMP_END
	0,	// CONTROL_LUMP_START
	0,	// CONTROL_LUMP_END
	0,	// OPTIONS_LUMP_START
	0,	// OPTIONS_LUMP_END
	0,	// SOUND_LUMP_START
	0,	// SOUND_LUMP_END
	0,	// NEWGAME_LUMP_START
	0,	// NEWGAME_LUMP_END
	0,	// LOADSAVE_LUMP_START
	0,	// LOADSAVE_LUMP_END
	0,	// HIGHSCORES_LUMP_START
	0,	// HIGHSCORES_LUMP_END
	0,	// TITLESCREEN_LUMP_START
	0,	// TITLESCREEN_LUMP_END

	0,	// ENDGAME_LUMP_START
	0,	// ENDGAME_LUMP_END
	0,	// EASTEREGG_LUMP_START
	0,	// EASTEREGG_LUMP_END
	0,	// COPYPROT_LUMP_START
	0,	// COPYPROT_LUMP_END

	0,0,0,0,0,0,0,0,0,0,  // padding

	156,	// NUMCHUNKS
	2,	// NUMFONT
	144,	// NUMPICS
	35,	// NUMTILE8
	8,	// NUMEXTERNS
	0,	// STRUCTPIC
	1,	// STARTFONT
	3,	// STARTPICS
	147,	// STARTTILE8
	148	// STARTEXTERNS

};



/* Spear of Destiny Demo. */

byte gfxchunks_sdm[300] = {

	0,  // H_BJPIC
	0,  // H_CASTLEPIC
	0,  // H_KEYBOARDPIC
	0,  // H_JOYPIC
	0,  // H_HEALPIC
	0,  // H_TREASUREPIC,
	0,  // H_GUNPIC,
	0,  // H_KEYPIC
	0,  // H_BLAZEPIC,
	0,  // H_WEAPON1234PIC,
	0,  // H_WOLFLOGOPIC,
	0,  // H_VISAPIC,
	0,  // H_MCPIC,
	0,  // H_IDLOGOPIC,
	0,  // H_TOPWINDOWPIC,
	0,  // H_LEFTWINDOWPIC,
	0,  // H_RIGHTWINDOWPIC,
	0,  // H_BOTTOMWINDOWPIC,
	0,  // H_SPEARINFO,

	0,   // padding

	16,	// C_OPTIONSPIC
	5,	// C_CURSOR1PIC
	6,	// C_CURSOR2PIC
	7,	// C_NOTSELECTEDPIC
	8,	// C_SELECTEDPIC
	17,	// C_FXTITLEPIC
	18,	// C_DIGITITLEPIC
	19,	// C_MUSICTITLEPIC
	4,	// C_MOUSELBACKPIC
	21,	// C_BABYMODEPIC
	22,	// C_EASYPIC
	23,	// C_NORMALPIC
	24,	// C_HARDPIC
	0,	// C_LOADSAVEDISKPIC
	25,	// C_DISKLOADING1PIC
	26,	// C_DISKLOADING2PIC
	15,	// C_CONTROLPIC
	9,	// C_CUSTOMIZEPIC
	27,	// C_LOADGAMEPIC
	28,	// C_SAVEGAMEPIC
	0,	// C_EPISODE1PIC
	0,	// C_EPISODE2PIC
	0,	// C_EPISODE3PIC
	0,	// C_EPISODE4PIC
	0,	// C_EPISODE5PIC
	0,	// C_EPISODE6PIC
	0,	// C_CODEPIC
	0,	// C_TIMECODEPIC
	0,	// C_LEVELPIC
	0,	// C_NAMEPIC
	0,	// C_SCOREPIC
	10,	// C_JOY1PIC
	11,	// C_JOY2PIC
	12,	// C_MOUSEPIC
	13,	// C_JOYSTICKPIC
	14,	// C_KEYBOARDPIC
	20,	// C_HOWTOUGHPIC

	0,0,0,   // padding

	31,	// L_GUYPIC
	32,	// L_COLONPIC
	33,	// L_NUM0PIC
	34,	// L_NUM1PIC
	35,	// L_NUM2PIC
	36,	// L_NUM3PIC
	37,	// L_NUM4PIC
	38,	// L_NUM5PIC
	39,	// L_NUM6PIC
	40,	// L_NUM7PIC
	41,	// L_NUM8PIC
	42,	// L_NUM9PIC
	43,	// L_PERCENTPIC
	44,	// L_APIC
	45,	// L_BPIC
	46,	// L_CPIC
	47,	// L_DPIC
	48,	// L_EPIC
	49,	// L_FPIC
	50,	// L_GPIC
	51,	// L_HPIC
	52,	// L_IPIC
	53,	// L_JPIC
	54,	// L_KPIC
	55,	// L_LPIC
	56,	// L_MPIC
	57,	// L_NPIC
	58,	// L_OPIC
	59,	// L_PPIC
	60,	// L_QPIC
	61,	// L_RPIC
	62,	// L_SPIC
	63,	// L_TPIC
	64,	// L_UPIC
	65,	// L_VPIC
	66,	// L_WPIC
	67,	// L_XPIC
	68,	// L_YPIC
	69,	// L_ZPIC
	70,	// L_EXPOINTPIC
	71,	// L_APOSTROPHEPIC
	72,	// L_GUY2PIC
	73,	// L_BJWINSPIC
	76,	// STATUSBARPIC
	0,	// TITLEPIC
	77,	// PG13PIC
	78,	// CREDITSPIC
	29,	// HIGHSCORESPIC

	0,0,   // padding

	79,	// KNIFEPIC
	80,	// GUNPIC
	81,	// MACHINEGUNPIC
	82,	// GATLINGGUNPIC
	83,	// NOKEYPIC
	84,	// GOLDKEYPIC
	85,	// SILVERKEYPIC
	86,	// N_BLANKPIC
	87,	// N_0PIC
	88,	// N_1PIC
	89,	// N_2PIC
	90,	// N_3PIC
	91,	// N_4PIC
	92,	// N_5PIC
	93,	// N_6PIC
	94,	// N_7PIC
	95,	// N_8PIC
	96,	// N_9PIC
	97,	// FACE1APIC
	98,	// FACE1BPIC
	99,	// FACE1CPIC
	100,	// FACE2APIC
	101,	// FACE2BPIC
	102,	// FACE2CPIC
	103,	// FACE3APIC
	104,	// FACE3BPIC
	105,	// FACE3CPIC
	106,	// FACE4APIC
	107,	// FACE4BPIC
	108,	// FACE4CPIC
	109,	// FACE5APIC
	110,	// FACE5BPIC
	111,	// FACE5CPIC
	112,	// FACE6APIC
	113,	// FACE6BPIC
	114,	// FACE6CPIC
	115,	// FACE7APIC
	116,	// FACE7BPIC
	117,	// FACE7CPIC
	118,	// FACE8APIC
	119,	// GOTGATLINGPIC
	120,	// GODMODEFACE1PIC
	121,	// GODMODEFACE2PIC
	122,	// GODMODEFACE3PIC
	123,	// BJWAITING1PIC
	124,	// BJWAITING2PIC
	125,	// BJOUCHPIC
	126,	// PAUSEDPIC
	127,	// GETPSYCHEDPIC
	0,	// MUTANTBJPIC

	129,	// ORDERSCREEN
	130,	// ERRORSCREEN
	0,	// T_HELPART
	132,	// T_DEMO0
	0,	// T_DEMO1
	0,	// T_DEMO2
	0,	// T_DEMO3
	0,	// T_ENDART1
	0,	// T_ENDART2
	0,	// T_ENDART3
	0,	// T_ENDART4
	0,	// T_ENDART5
	0,	// T_ENDART6
	131,	// TITLEPALETTE
	0,	// END1PALETTE
	0,	// END2PALETTE
	0,	// END3PALETTE
	0,	// END4PALETTE
	0,	// END5PALETTE
	0,	// END6PALETTE
	0,	// END7PALETTE
	0,	// END8PALETTE
	0,	// END9PALETTE
	0,	// IDGUYSPALETTE
	133,	// ENUMEND

	0,0,0,0,0, // padding

	3,	// C_BACKDROPPIC

	0,0,0,0,0,0,0,0,0, // padding

	0,	// BJCOLLAPSE1PIC
	0,	// BJCOLLAPSE2PIC
	0,	// BJCOLLAPSE3PIC
	0,	// BJCOLLAPSE4PIC
	0,	// ENDPICPIC

	0,0,0,0,0, // padding

	74,	// TITLE1PIC
	75,	// TITLE2PIC

	0,0,0,0,0,0,0,0, // padding

	0,	// IDGUYS1PIC
	0,	// IDGUYS2PIC

	0,0,0,0,0,0,0,0, // padding

	0,	// COPYPROTTOPPIC
	0,	// COPYPROTBOXPIC
	0,	// BOSSPIC1PIC
	0,	// BOSSPIC2PIC
	0,	// BOSSPIC3PIC
	0,	// BOSSPIC4PIC

	0,0,0,0, // padding

	0,	// ENDSCREEN11PIC
	0,	// ENDSCREEN12PIC
	0,	// ENDSCREEN3PIC
	0,	// ENDSCREEN4PIC
	0,	// ENDSCREEN5PIC
	0,	// ENDSCREEN6PIC
	0,	// ENDSCREEN7PIC
	0,	// ENDSCREEN8PIC
	0,	// ENDSCREEN9PIC

	30	// C_WONSPEARPIC

};

int gfxinfo_sdm[50] = {

	-1,	// README_LUMP_START
	-1,	// README_LUMP_END
	-1,	// CONTROLS_LUMP_START
	-1,	// CONTROLS_LUMP_END
	31,	// LEVELEND_LUMP_START
	73,	// LEVELEND_LUMP_END
	79,	// LATCHPICS_LUMP_START
	127,	// LATCHPICS_LUMP_END

	3,	// BACKDROP_LUMP_START
	8,	// BACKDROP_LUMP_END
	9,	// CONTROL_LUMP_START
	15,	// CONTROL_LUMP_END
	16,	// OPTIONS_LUMP_START
	16,	// OPTIONS_LUMP_END
	17,	// SOUND_LUMP_START
	19,	// SOUND_LUMP_END
	20,	// NEWGAME_LUMP_START
	24,	// NEWGAME_LUMP_END
	25,	// LOADSAVE_LUMP_START
	28,	// LOADSAVE_LUMP_END
	29,	// HIGHSCORES_LUMP_START
	30,	// HIGHSCORES_LUMP_END
	74,	// TITLESCREEN_LUMP_START
	75,	// TITLESCREEN_LUMP_END

	0,	// ENDGAME_LUMP_START
	0,	// ENDGAME_LUMP_END
	0,	// EASTEREGG_LUMP_START
	0,	// EASTEREGG_LUMP_END
	0,	// COPYPROT_LUMP_START
	0,	// COPYPROT_LUMP_END

	0,0,0,0,0,0,0,0,0,0,  // padding

	133,	// NUMCHUNKS
	2,	// NUMFONT
	125,	// NUMPICS
	35,	// NUMTILE8
	4,	// NUMEXTERNS
	0,	// STRUCTPIC
	1,	// STARTFONT
	3,	// STARTPICS
	128,	// STARTTILE8
	129	// STARTEXTERNS

};


/* Spear of Destiny Retail. */

byte gfxchunks_sod[300] = {

	0,  // H_BJPIC
	0,  // H_CASTLEPIC
	0,  // H_KEYBOARDPIC
	0,  // H_JOYPIC
	0,  // H_HEALPIC
	0,  // H_TREASUREPIC,
	0,  // H_GUNPIC,
	0,  // H_KEYPIC
	0,  // H_BLAZEPIC,
	0,  // H_WEAPON1234PIC,
	0,  // H_WOLFLOGOPIC,
	0,  // H_VISAPIC,
	0,  // H_MCPIC,
	0,  // H_IDLOGOPIC,
	0,  // H_TOPWINDOWPIC,
	0,  // H_LEFTWINDOWPIC,
	0,  // H_RIGHTWINDOWPIC,
	0,  // H_BOTTOMWINDOWPIC,
	0,  // H_SPEARINFO,

	0,   // padding

	16,	// C_OPTIONSPIC
	5,	// C_CURSOR1PIC
	6,	// C_CURSOR2PIC
	7,	// C_NOTSELECTEDPIC
	8,	// C_SELECTEDPIC
	17,	// C_FXTITLEPIC
	18,	// C_DIGITITLEPIC
	19,	// C_MUSICTITLEPIC
	4,	// C_MOUSELBACKPIC
	21,	// C_BABYMODEPIC
	22,	// C_EASYPIC
	23,	// C_NORMALPIC
	24,	// C_HARDPIC
	0,	// C_LOADSAVEDISKPIC
	25,	// C_DISKLOADING1PIC
	26,	// C_DISKLOADING2PIC
	15,	// C_CONTROLPIC
	9,	// C_CUSTOMIZEPIC
	27,	// C_LOADGAMEPIC
	28,	// C_SAVEGAMEPIC
	0,	// C_EPISODE1PIC
	0,	// C_EPISODE2PIC
	0,	// C_EPISODE3PIC
	0,	// C_EPISODE4PIC
	0,	// C_EPISODE5PIC
	0,	// C_EPISODE6PIC
	0,	// C_CODEPIC
	0,	// C_TIMECODEPIC
	0,	// C_LEVELPIC
	0,	// C_NAMEPIC
	0,	// C_SCOREPIC
	10,	// C_JOY1PIC
	11,	// C_JOY2PIC
	12,	// C_MOUSEPIC
	13,	// C_JOYSTICKPIC
	14,	// C_KEYBOARDPIC
	20,	// C_HOWTOUGHPIC

	0,0,0,   // padding

	36,	// L_GUYPIC
	37,	// L_COLONPIC
	38,	// L_NUM0PIC
	39,	// L_NUM1PIC
	40,	// L_NUM2PIC
	41,	// L_NUM3PIC
	42,	// L_NUM4PIC
	43,	// L_NUM5PIC
	44,	// L_NUM6PIC
	45,	// L_NUM7PIC
	46,	// L_NUM8PIC
	47,	// L_NUM9PIC
	48,	// L_PERCENTPIC
	49,	// L_APIC
	50,	// L_BPIC
	51,	// L_CPIC
	52,	// L_DPIC
	53,	// L_EPIC
	54,	// L_FPIC
	55,	// L_GPIC
	56,	// L_HPIC
	57,	// L_IPIC
	58,	// L_JPIC
	59,	// L_KPIC
	60,	// L_LPIC
	61,	// L_MPIC
	62,	// L_NPIC
	63,	// L_OPIC
	64,	// L_PPIC
	65,	// L_QPIC
	66,	// L_RPIC
	67,	// L_SPIC
	68,	// L_TPIC
	69,	// L_UPIC
	70,	// L_VPIC
	71,	// L_WPIC
	72,	// L_XPIC
	73,	// L_YPIC
	74,	// L_ZPIC
	75,	// L_EXPOINTPIC
	76,	// L_APOSTROPHEPIC
	77,	// L_GUY2PIC
	78,	// L_BJWINSPIC
	90,	// STATUSBARPIC
	0,	// TITLEPIC
	91,	// PG13PIC
	92,	// CREDITSPIC
	29,	// HIGHSCORESPIC

	0,0,   // padding

	101,	// KNIFEPIC
	102,	// GUNPIC
	103,	// MACHINEGUNPIC
	104,	// GATLINGGUNPIC
	105,	// NOKEYPIC
	106,	// GOLDKEYPIC
	107,	// SILVERKEYPIC
	108,	// N_BLANKPIC
	109,	// N_0PIC
	110,	// N_1PIC
	111,	// N_2PIC
	112,	// N_3PIC
	113,	// N_4PIC
	114,	// N_5PIC
	115,	// N_6PIC
	116,	// N_7PIC
	117,	// N_8PIC
	118,	// N_9PIC
	119,	// FACE1APIC
	120,	// FACE1BPIC
	121,	// FACE1CPIC
	122,	// FACE2APIC
	123,	// FACE2BPIC
	124,	// FACE2CPIC
	125,	// FACE3APIC
	126,	// FACE3BPIC
	127,	// FACE3CPIC
	128,	// FACE4APIC
	129,	// FACE4BPIC
	130,	// FACE4CPIC
	131,	// FACE5APIC
	132,	// FACE5BPIC
	133,	// FACE5CPIC
	134,	// FACE6APIC
	135,	// FACE6BPIC
	136,	// FACE6CPIC
	137,	// FACE7APIC
	138,	// FACE7BPIC
	139,	// FACE7CPIC
	140,	// FACE8APIC
	141,	// GOTGATLINGPIC
	142,	// GODMODEFACE1PIC
	143,	// GODMODEFACE2PIC
	144,	// GODMODEFACE3PIC
	145,	// BJWAITING1PIC
	146,	// BJWAITING2PIC
	147,	// BJOUCHPIC
	148,	// PAUSEDPIC
	149,	// GETPSYCHEDPIC
	0,	// MUTANTBJPIC

	151,	// ORDERSCREEN
	152,	// ERRORSCREEN
	0,	// T_HELPART
	164,	// T_DEMO0
	165,	// T_DEMO1
	166,	// T_DEMO2
	167,	// T_DEMO3
	168,	// T_ENDART1
	0,	// T_ENDART2
	0,	// T_ENDART3
	0,	// T_ENDART4
	0,	// T_ENDART5
	0,	// T_ENDART6
	153,	// TITLEPALETTE
	154,	// END1PALETTE
	155,	// END2PALETTE
	156,	// END3PALETTE
	157,	// END4PALETTE
	158,	// END5PALETTE
	159,	// END6PALETTE
	160,	// END7PALETTE
	161,	// END8PALETTE
	162,	// END9PALETTE
	163,	// IDGUYSPALETTE
	169,	// ENUMEND

	0,0,0,0,0, // padding

	3,	// C_BACKDROPPIC

	0,0,0,0,0,0,0,0,0, // padding

	31,	// BJCOLLAPSE1PIC
	32,	// BJCOLLAPSE2PIC
	33,	// BJCOLLAPSE3PIC
	34,	// BJCOLLAPSE4PIC
	35,	// ENDPICPIC

	0,0,0,0,0, // padding

	79,	// TITLE1PIC
	80,	// TITLE2PIC

	0,0,0,0,0,0,0,0, // padding

	93,	// IDGUYS1PIC
	94,	// IDGUYS2PIC

	0,0,0,0,0,0,0,0, // padding

	95,	// COPYPROTTOPPIC
	96,	// COPYPROTBOXPIC
	97,	// BOSSPIC1PIC
	98,	// BOSSPIC2PIC
	99,	// BOSSPIC3PIC
	100,	// BOSSPIC4PIC

	0,0,0,0, // padding

	81,	// ENDSCREEN11PIC
	82,	// ENDSCREEN12PIC
	83,	// ENDSCREEN3PIC
	84,	// ENDSCREEN4PIC
	85,	// ENDSCREEN5PIC
	86,	// ENDSCREEN6PIC
	87,	// ENDSCREEN7PIC
	88,	// ENDSCREEN8PIC
	89,	// ENDSCREEN9PIC

	30	// C_WONSPEARPIC

};

int gfxinfo_sod[50] = {

	-1,	// README_LUMP_START
	-1,	// README_LUMP_END
	-1,	// CONTROLS_LUMP_START
	-1,	// CONTROLS_LUMP_END
	36,	// LEVELEND_LUMP_START
	78,	// LEVELEND_LUMP_END
	101,	// LATCHPICS_LUMP_START
	149,	// LATCHPICS_LUMP_END

	3,	// BACKDROP_LUMP_START
	8,	// BACKDROP_LUMP_END
	9,	// CONTROL_LUMP_START
	15,	// CONTROL_LUMP_END
	16,	// OPTIONS_LUMP_START
	16,	// OPTIONS_LUMP_END
	17,	// SOUND_LUMP_START
	19,	// SOUND_LUMP_END
	20,	// NEWGAME_LUMP_START
	24,	// NEWGAME_LUMP_END
	25,	// LOADSAVE_LUMP_START
	28,	// LOADSAVE_LUMP_END
	29,	// HIGHSCORES_LUMP_START
	30,	// HIGHSCORES_LUMP_END
	79,	// TITLESCREEN_LUMP_START
	80,	// TITLESCREEN_LUMP_END

	31,	// ENDGAME_LUMP_START
	35,	// ENDGAME_LUMP_END
	93,	// EASTEREGG_LUMP_START
	94,	// EASTEREGG_LUMP_END
	95,	// COPYPROT_LUMP_START
	100,	// COPYPROT_LUMP_END

	0,0,0,0,0,0,0,0,0,0,  // padding

	169,	// NUMCHUNKS
	2,	// NUMFONT
	147,	// NUMPICS
	35,	// NUMTILE8
	18,	// NUMEXTERNS
	0,	// STRUCTPIC
	1,	// STARTFONT
	3,	// STARTPICS
	150,	// STARTTILE8
	151	// STARTEXTERNS

};

