#include "wl_def.h"

/*
=====================
=
= InitDigiMap
=
=====================
*/

int *DigiMap;

static int wolfdigimap[100];
static short did_init_sounds = 0;

void InitSounds(void) {

	if (!SPEAR) {

		/* WL1/WL6 */

		wolfdigimap[0] = HALTSND;
		wolfdigimap[1] = 0;
		wolfdigimap[2] = DOGBARKSND;
		wolfdigimap[3] = 1;
		wolfdigimap[4] = CLOSEDOORSND;
		wolfdigimap[5] = 2;
		wolfdigimap[6] = OPENDOORSND;
		wolfdigimap[7] = 3;
		wolfdigimap[8] = ATKMACHINEGUNSND;
		wolfdigimap[9] = 4;
		wolfdigimap[10] = ATKPISTOLSND;
		wolfdigimap[11] = 5;
		wolfdigimap[12] = ATKGATLINGSND;
		wolfdigimap[13] = 6;
		wolfdigimap[14] = SCHUTZADSND;
		wolfdigimap[15] = 7;
		wolfdigimap[16] = GUTENTAGSND;
		wolfdigimap[17] = 8;
		wolfdigimap[18] = MUTTISND;
		wolfdigimap[19] = 9;
		wolfdigimap[20] = BOSSFIRESND;
		wolfdigimap[21] = 10;
		wolfdigimap[22] = SSFIRESND;
		wolfdigimap[23] = 11;
		wolfdigimap[24] = DEATHSCREAM1SND;
		wolfdigimap[25] = 12;
		wolfdigimap[26] = DEATHSCREAM2SND;
		wolfdigimap[27] = 13;
		wolfdigimap[28] = DEATHSCREAM3SND;
		wolfdigimap[29] = 13;
		wolfdigimap[30] = TAKEDAMAGESND;
		wolfdigimap[31] = 14;
		wolfdigimap[32] = PUSHWALLSND;
		wolfdigimap[33] = 15;
		wolfdigimap[34] = LEBENSND;
		wolfdigimap[35] = 20;
		wolfdigimap[36] = NAZIFIRESND;
		wolfdigimap[37] = 21;
		wolfdigimap[38] = SLURPIESND;
		wolfdigimap[39] = 22;
		wolfdigimap[40] = YEAHSND;
		wolfdigimap[41] = 32;

		if (!UPLOAD) {

			wolfdigimap[42] = DOGDEATHSND;
			wolfdigimap[43] = 16;
			wolfdigimap[44] = AHHHGSND;
			wolfdigimap[45] = 17;
			wolfdigimap[46] = DIESND;
			wolfdigimap[47] = 18;
			wolfdigimap[48] = EVASND;
			wolfdigimap[49] = 19;
			wolfdigimap[50] = TOT_HUNDSND;
			wolfdigimap[51] = 23;
			wolfdigimap[52] = MEINGOTTSND;
			wolfdigimap[53] = 24;
			wolfdigimap[54] = SCHABBSHASND;
			wolfdigimap[55] = 25;
			wolfdigimap[56] = HITLERHASND;
			wolfdigimap[57] = 26;
			wolfdigimap[58] = SPIONSND;
			wolfdigimap[59] = 27;
			wolfdigimap[60] = NEINSOVASSND;
			wolfdigimap[61] = 28;
			wolfdigimap[62] = DOGATTACKSND;
			wolfdigimap[63] = 29;
			wolfdigimap[64] = LEVELDONESND;
			wolfdigimap[65] = 30;
			wolfdigimap[66] = MECHSTEPSND;
			wolfdigimap[67] = 31;

			wolfdigimap[68] = SCHEISTSND;
			wolfdigimap[69] = 33;
			wolfdigimap[70] = DEATHSCREAM4SND;
			wolfdigimap[71] = 34;		/* AIIEEE */
			wolfdigimap[72] = DEATHSCREAM5SND;
			wolfdigimap[73] = 35;		/* DEE-DEE */
			wolfdigimap[74] = DONNERSND;
			wolfdigimap[75] = 36;		/* EPISODE 4 BOSS DIE */
			wolfdigimap[76] = EINESND;
			wolfdigimap[77] = 37;		/* EPISODE 4 BOSS SIGHTING */
			wolfdigimap[78] = ERLAUBENSND;
			wolfdigimap[79] = 38;		/* EPISODE 6 BOSS SIGHTING */
			wolfdigimap[80] = DEATHSCREAM6SND;
			wolfdigimap[81] = 39;		/* FART */
			wolfdigimap[82] = DEATHSCREAM7SND;
			wolfdigimap[83] = 40;		/* GASP */
			wolfdigimap[84] = DEATHSCREAM8SND;
			wolfdigimap[85] = 41;		/* GUH-BOY! */
			wolfdigimap[86] = DEATHSCREAM9SND;
			wolfdigimap[87] = 42;		/* AH GEEZ! */
			wolfdigimap[88] = KEINSND;
			wolfdigimap[89] = 43;		/* EPISODE 5 BOSS SIGHTING */
			wolfdigimap[90] = MEINSND;
			wolfdigimap[91] = 44;		/* EPISODE 6 BOSS DIE */
			wolfdigimap[92] = ROSESND;
			wolfdigimap[93] = 45;		/* EPISODE 5 BOSS DIE */
			wolfdigimap[94] = LASTSOUND;
		}

		else { /* finish WL1 map */

			wolfdigimap[42] = LASTSOUND;
		}
	}

	else /* SOD/SDM */ {

	/* SPEAR OF DESTINY DIGISOUNDS */
		wolfdigimap[0] = HALTSND;
		wolfdigimap[1] = 0;
		wolfdigimap[2] = CLOSEDOORSND;
		wolfdigimap[3] = 2;
		wolfdigimap[4] = OPENDOORSND;
		wolfdigimap[5] = 3;
		wolfdigimap[6] = ATKMACHINEGUNSND;
		wolfdigimap[7] = 4;
		wolfdigimap[8] = ATKPISTOLSND;
		wolfdigimap[9] = 5;
		wolfdigimap[10] = ATKGATLINGSND;
		wolfdigimap[11] = 6;
		wolfdigimap[12] = SCHUTZADSND;
		wolfdigimap[13] = 7;
		wolfdigimap[14] = BOSSFIRESND;
		wolfdigimap[15] = 8;
		wolfdigimap[16] = SSFIRESND;
		wolfdigimap[17] = 9;
		wolfdigimap[18] = DEATHSCREAM1SND;
		wolfdigimap[19] = 10;
		wolfdigimap[20] = DEATHSCREAM2SND;
		wolfdigimap[21] = 11;
		wolfdigimap[22] = TAKEDAMAGESND;
		wolfdigimap[23] = 12;
		wolfdigimap[24] = PUSHWALLSND;
		wolfdigimap[25] = 13;
		wolfdigimap[26] = AHHHGSND;
		wolfdigimap[27] = 15;
		wolfdigimap[28] = LEBENSND;
		wolfdigimap[29] = 16;
		wolfdigimap[30] = NAZIFIRESND;
		wolfdigimap[31] = 17;
		wolfdigimap[32] = SLURPIESND;
		wolfdigimap[33] = 18;
		wolfdigimap[34] = LEVELDONESND;
		wolfdigimap[35] = 22;
		wolfdigimap[36] = DEATHSCREAM4SND;
		wolfdigimap[37] = 23;		// AIIEEE
		wolfdigimap[38] = DEATHSCREAM3SND;
		wolfdigimap[39] = 23;		// DOUBLY-MAPPED!!!
		wolfdigimap[40] = DEATHSCREAM5SND;
		wolfdigimap[41] = 24;		// DEE-DEE
		wolfdigimap[42] = DEATHSCREAM6SND;
		wolfdigimap[43] = 25;		// FART
		wolfdigimap[44] = DEATHSCREAM7SND;
		wolfdigimap[45] = 26;		// GASP
		wolfdigimap[46] = DEATHSCREAM8SND;
		wolfdigimap[47] = 27;		// GUH-BOY!
		wolfdigimap[48] = DEATHSCREAM9SND;
		wolfdigimap[49] = 28;		// AH GEEZ!
		wolfdigimap[50] = GETGATLINGSND;
		wolfdigimap[51] = 38;		// Got Gat replacement

		if (!SPEARDEMO) {
			
			wolfdigimap[52] = DOGBARKSND;
			wolfdigimap[53] = 1;
			wolfdigimap[54] = DOGDEATHSND;
			wolfdigimap[55] = 14;
			wolfdigimap[56] = SPIONSND;
			wolfdigimap[57] = 19;
			wolfdigimap[58] = NEINSOVASSND;
			wolfdigimap[59] = 20;
			wolfdigimap[60] = DOGATTACKSND;
			wolfdigimap[61] = 21;
			wolfdigimap[62] = TRANSSIGHTSND;
			wolfdigimap[63] = 29;		// Trans Sight
			wolfdigimap[64] = TRANSDEATHSND;
			wolfdigimap[65] = 30;		// Trans Death
			wolfdigimap[66] = WILHELMSIGHTSND;
			wolfdigimap[67] = 31;		// Wilhelm Sight
			wolfdigimap[68] = WILHELMDEATHSND;
			wolfdigimap[69] = 32;		// Wilhelm Death
			wolfdigimap[70] = UBERDEATHSND;
			wolfdigimap[71] = 33;		// Uber Death
			wolfdigimap[72] = KNIGHTSIGHTSND;
			wolfdigimap[73] = 34;		// Death Knight Sight
			wolfdigimap[74] = KNIGHTDEATHSND;
			wolfdigimap[75] = 35;		// Death Knight Death
			wolfdigimap[76] = ANGELSIGHTSND;
			wolfdigimap[77] = 36;		// Angel Sight
			wolfdigimap[78] = ANGELDEATHSND;
			wolfdigimap[79] = 37;		// Angel Death
			wolfdigimap[80] = GETSPEARSND;
			wolfdigimap[81] = 39;		// Got Spear replacement
			wolfdigimap[82] = LASTSOUND;
		}

		else {
			wolfdigimap[52] = LASTSOUND;
		}
	}

	did_init_sounds = 1;
}

void InitDigiMap()
{
	int *map, i;

	DigiMap = (int*)malloc(LASTSOUND*sizeof(int));

	for (i = 0; i < LASTSOUND; i++)
		DigiMap[i] = -1;

	if (!did_init_sounds)
		InitSounds();

	for (map = wolfdigimap; *map != LASTSOUND; map += 2)
		DigiMap[map[0]] = map[1];
}
