#include "wl_def.h"

/*
=============================================================================

							STATICS

=============================================================================
*/


statobj_t statobjlist[MAXSTATS], *laststatobj;

typedef struct
{
	int	picnum;
	stat_t	type;
} statinfo_t;

static statinfo_t statinfo[55];


/*
===============
=
= InitStaticList
=
===============
*/

void InitStaticList()
{
	laststatobj = &statobjlist[0];

	/* Init the lists from the sprite tables which are now defined at runtime. */
	
	if (!SPEAR) {

		statinfo[0].picnum = SPR_STAT_0;
		statinfo[0].type = 0;
		statinfo[1].picnum = SPR_STAT_1;
		statinfo[1].type = block;	//  Green Barrel    "
		statinfo[2].picnum = SPR_STAT_2;
		statinfo[2].type = block;	//  Table/chairs    "
		statinfo[3].picnum = SPR_STAT_3;
		statinfo[3].type = block;	//  Floor lamp      "
		statinfo[4].picnum = SPR_STAT_4;
		statinfo[4].type = 0;
		statinfo[5].picnum = SPR_STAT_5;
		statinfo[5].type = block;	//  Hanged man      "
		statinfo[6].picnum = SPR_STAT_6;
		statinfo[6].type = bo_alpo;	//  Bad food        "
		statinfo[7].picnum = SPR_STAT_7;
		statinfo[7].type = block;	//  Red pillar      "
		statinfo[8].picnum = SPR_STAT_8;
		statinfo[8].type = block;	//  Tree            spr2v
		statinfo[9].picnum = SPR_STAT_9;
		statinfo[9].type = 0;
		statinfo[10].picnum = SPR_STAT_10;
		statinfo[10].type = block;	//  Sink            " (SOD:gibs)
		statinfo[11].picnum = SPR_STAT_11;
		statinfo[11].type = block;	//  Potted plant    "
		statinfo[12].picnum = SPR_STAT_12;
		statinfo[12].type = block;	//  Urn             "
		statinfo[13].picnum = SPR_STAT_13;
		statinfo[13].type = block;	//  Bare table      "
		statinfo[14].picnum = SPR_STAT_14;
		statinfo[14].type = 0;

		statinfo[15].picnum = SPR_STAT_15;
		statinfo[15].type = 0;

		statinfo[16].picnum = SPR_STAT_16;
		statinfo[16].type = block;	//  suit of armor   spr3v
		statinfo[17].picnum = SPR_STAT_17;
		statinfo[17].type = block;	//  Hanging cage    "
		statinfo[18].picnum = SPR_STAT_18;
		statinfo[18].type = block;	//  SkeletoninCage  "
		statinfo[19].picnum = SPR_STAT_19;
		statinfo[19].type = 0;
		statinfo[20].picnum = SPR_STAT_20;
		statinfo[20].type = bo_key1;	//  Key 1           "
		statinfo[21].picnum = SPR_STAT_21;
		statinfo[21].type = bo_key2;	//  Key 2           "
		statinfo[22].picnum = SPR_STAT_22;
		statinfo[22].type = block;	//  stuff				(SOD:gibs)
		statinfo[23].picnum = SPR_STAT_23;
		statinfo[23].type = 0;
		statinfo[24].picnum = SPR_STAT_24;
		statinfo[24].type = bo_food;	//  			// Good food       spr4v
		statinfo[25].picnum = SPR_STAT_25;
		statinfo[25].type = bo_firstaid;	//  First aid       "
		statinfo[26].picnum = SPR_STAT_26;
		statinfo[26].type = bo_clip;	//  Clip            "
		statinfo[27].picnum = SPR_STAT_27;
		statinfo[27].type = bo_machinegun;	//  Machine gun     "
		statinfo[28].picnum = SPR_STAT_28;
		statinfo[28].type = bo_chaingun;	//  Gatling gun     "
		statinfo[29].picnum = SPR_STAT_29;
		statinfo[29].type = bo_cross;	//  Cross           "
		statinfo[30].picnum = SPR_STAT_30;
		statinfo[30].type = bo_chalice;	//  Chalice         "
		statinfo[31].picnum = SPR_STAT_31;
		statinfo[31].type = bo_bible;	//  Bible           "
		statinfo[32].picnum = SPR_STAT_32;
		statinfo[32].type = bo_crown;	//  crown           spr5v
		statinfo[33].picnum = SPR_STAT_33;
		statinfo[33].type = bo_fullheal;	//  one up          "
		statinfo[34].picnum = SPR_STAT_34;
		statinfo[34].type = bo_gibs;	//  gibs            "
		statinfo[35].picnum = SPR_STAT_35;
		statinfo[35].type = block;	//  barrel          "
		statinfo[36].picnum = SPR_STAT_36;
		statinfo[36].type = block;	//  well            "
		statinfo[37].picnum = SPR_STAT_37;
		statinfo[37].type = block;	//  Empty well      "
		statinfo[38].picnum = SPR_STAT_38;
		statinfo[38].type = bo_gibs;	//  Gibs 2          "
		statinfo[39].picnum = SPR_STAT_39;
		statinfo[39].type = block;	//  flag				"

		statinfo[40].picnum = SPR_STAT_40;
		statinfo[40].type = block;	//  Call Apogee		spr7v

		statinfo[41].picnum = SPR_STAT_41;
		statinfo[41].type = 0;
		statinfo[42].picnum = SPR_STAT_42;
		statinfo[42].type = 0;
		statinfo[43].picnum = SPR_STAT_43;
		statinfo[43].type = 0;

		statinfo[44].picnum = SPR_STAT_44;
		statinfo[44].type = 0;

		statinfo[45].picnum = SPR_STAT_45;
		statinfo[45].type = block;	//  stove           " (SOD:gibs)
		statinfo[46].picnum = SPR_STAT_46;
		statinfo[46].type = block;	//  spears          " (SOD:gibs)
		statinfo[47].picnum = SPR_STAT_47;
		statinfo[47].type = 0;

		statinfo[48].picnum = SPR_STAT_26;
		statinfo[48].type = bo_clip2;	//  Clip            "
		statinfo[49].picnum = -1; // terminator
	}
	else {

		statinfo[0].picnum = SPR_STAT_0;
		statinfo[0].type = 0;
		statinfo[1].picnum = SPR_STAT_1;
		statinfo[1].type = block;	//  Green Barrel    "
		statinfo[2].picnum = SPR_STAT_2;
		statinfo[2].type = block;	//  Table/chairs    "
		statinfo[3].picnum = SPR_STAT_3;
		statinfo[3].type = block;	//  Floor lamp      "
		statinfo[4].picnum = SPR_STAT_4;
		statinfo[4].type = 0;
		statinfo[5].picnum = SPR_STAT_5;
		statinfo[5].type = block;	//  Hanged man      "
		statinfo[6].picnum = SPR_STAT_6;
		statinfo[6].type = bo_alpo;	//  Bad food        "
		statinfo[7].picnum = SPR_STAT_7;
		statinfo[7].type = block;	//  Red pillar      "
		statinfo[8].picnum = SPR_STAT_8;
		statinfo[8].type = block;	//  Tree            spr2v
		statinfo[9].picnum = SPR_STAT_9;
		statinfo[9].type = 0;
		statinfo[10].picnum = SPR_STAT_10;
		statinfo[10].type = block;	//  Sink            " (SOD:gibs)
		statinfo[11].picnum = SPR_STAT_11;
		statinfo[11].type = block;	//  Potted plant    "
		statinfo[12].picnum = SPR_STAT_12;
		statinfo[12].type = block;	//  Urn             "
		statinfo[13].picnum = SPR_STAT_13;
		statinfo[13].type = block;	//  Bare table      "
		statinfo[14].picnum = SPR_STAT_14;
		statinfo[14].type = 0;

		statinfo[15].picnum = SPR_STAT_15;
		statinfo[15].type = block;	//  Gibs!

		statinfo[16].picnum = SPR_STAT_16;
		statinfo[16].type = block;	//  suit of armor   spr3v
		statinfo[17].picnum = SPR_STAT_17;
		statinfo[17].type = block;	//  Hanging cage    "
		statinfo[18].picnum = SPR_STAT_18;
		statinfo[18].type = block;	//  SkeletoninCage  "
		statinfo[19].picnum = SPR_STAT_19;
		statinfo[19].type = 0;
		statinfo[20].picnum = SPR_STAT_20;
		statinfo[20].type = bo_key1;	//  Key 1           "
		statinfo[21].picnum = SPR_STAT_21;
		statinfo[21].type = bo_key2;	//  Key 2           "
		statinfo[22].picnum = SPR_STAT_22;
		statinfo[22].type = block;	//  stuff				(SOD:gibs)
		statinfo[23].picnum = SPR_STAT_23;
		statinfo[23].type = 0;
		statinfo[24].picnum = SPR_STAT_24;
		statinfo[24].type = bo_food;	//  			// Good food       spr4v
		statinfo[25].picnum = SPR_STAT_25;
		statinfo[25].type = bo_firstaid;	//  First aid       "
		statinfo[26].picnum = SPR_STAT_26;
		statinfo[26].type = bo_clip;	//  Clip            "
		statinfo[27].picnum = SPR_STAT_27;
		statinfo[27].type = bo_machinegun;	//  Machine gun     "
		statinfo[28].picnum = SPR_STAT_28;
		statinfo[28].type = bo_chaingun;	//  Gatling gun     "
		statinfo[29].picnum = SPR_STAT_29;
		statinfo[29].type = bo_cross;	//  Cross           "
		statinfo[30].picnum = SPR_STAT_30;
		statinfo[30].type = bo_chalice;	//  Chalice         "
		statinfo[31].picnum = SPR_STAT_31;
		statinfo[31].type = bo_bible;	//  Bible           "
		statinfo[32].picnum = SPR_STAT_32;
		statinfo[32].type = bo_crown;	//  crown           spr5v
		statinfo[33].picnum = SPR_STAT_33;
		statinfo[33].type = bo_fullheal;	//  one up          "
		statinfo[34].picnum = SPR_STAT_34;
		statinfo[34].type = bo_gibs;	//  gibs            "
		statinfo[35].picnum = SPR_STAT_35;
		statinfo[35].type = block;	//  barrel          "
		statinfo[36].picnum = SPR_STAT_36;
		statinfo[36].type = block;	//  well            "
		statinfo[37].picnum = SPR_STAT_37;
		statinfo[37].type = block;	//  Empty well      "
		statinfo[38].picnum = SPR_STAT_38;
		statinfo[38].type = bo_gibs;	//  Gibs 2          "
		statinfo[39].picnum = SPR_STAT_39;
		statinfo[39].type = block;	//  flag				"

		statinfo[40].picnum = SPR_STAT_40;
		statinfo[40].type = 0;

		statinfo[41].picnum = SPR_STAT_41;
		statinfo[41].type = 0;
		statinfo[42].picnum = SPR_STAT_42;
		statinfo[42].type = 0;
		statinfo[43].picnum = SPR_STAT_43;
		statinfo[43].type = 0;

		statinfo[44].picnum = SPR_STAT_44;
		statinfo[44].type = block;	//  Gibs!

		statinfo[45].picnum = SPR_STAT_45;
		statinfo[45].type = block;	//  stove           " (SOD:gibs)
		statinfo[46].picnum = SPR_STAT_46;
		statinfo[46].type = block;	//  spears          " (SOD:gibs)
		statinfo[47].picnum = SPR_STAT_47;
		statinfo[47].type = 0;

		statinfo[48].picnum = SPR_STAT_48;
		statinfo[48].type = block;	//  marble pillar
		statinfo[49].picnum = SPR_STAT_49;
		statinfo[49].type = bo_25clip;	//  bonus 25 clip
		statinfo[50].picnum = SPR_STAT_50;
		statinfo[50].type = block;	//  truck
		statinfo[51].picnum = SPR_STAT_51;
		statinfo[51].type = bo_spear;	//  SPEAR OF DESTINY!

		statinfo[52].picnum = SPR_STAT_26;
		statinfo[52].type = bo_clip2;	//  Clip            "
		statinfo[53].picnum = -1;	//  terminator

	}

}



/*
===============
=
= SpawnStatic
=
===============
*/

void SpawnStatic(int tilex, int tiley, int type)
{
	laststatobj->shapenum = statinfo[type].picnum;
	laststatobj->tilex = tilex;
	laststatobj->tiley = tiley;
	laststatobj->visspot = &spotvis[tilex][tiley];

	switch (statinfo[type].type)
	{
	case block:
		actorat[tilex][tiley] = 1;	// consider it a blocking tile
	case dressing:
		laststatobj->flags = 0;
		break;

	case	bo_cross:
	case	bo_chalice:
	case	bo_bible:
	case	bo_crown:
	case	bo_fullheal:
		if (!loadedgame)
			gamestate.treasuretotal++;

	case	bo_firstaid:
	case	bo_key1:
	case	bo_key2:
	case	bo_key3:
	case	bo_key4:
	case	bo_clip:
	case	bo_25clip:
	case	bo_machinegun:
	case	bo_chaingun:
	case	bo_food:
	case	bo_alpo:
	case	bo_gibs:
	case	bo_spear:
		laststatobj->flags = FL_BONUS;
		laststatobj->itemnumber = statinfo[type].type;
		break;
	default: 
		break;
	}

	laststatobj++;

	if (laststatobj == &statobjlist[MAXSTATS])
		Quit ("Too many static objects!\n");
}

/*
===============
=
= PlaceItemType
=
= Called during game play to drop actors' items.  It finds the proper
= item number based on the item type (bo_???).  If there are no free item
= spots, nothing is done.
=
===============
*/

void PlaceItemType(int itemtype, int tilex, int tiley)
{
	int type;
	statobj_t *spot;

//
// find the item number
//
	for (type = 0; ; type++)
	{
		if (statinfo[type].picnum == -1) /* end of list */
			Quit("PlaceItemType: couldn't find type!");
		if (statinfo[type].type == itemtype)
			break;
	}

//
// find a spot in statobjlist to put it in
//
	for (spot=&statobjlist[0] ; ; spot++)
	{
		if (spot==laststatobj)
		{
			if (spot == &statobjlist[MAXSTATS])
				return;	/* no free spots */
			laststatobj++;	/* space at end */
			break;
		}

		if (spot->shapenum == -1) /* -1 is a free spot */
			break;
	}
//
// place it
//
	spot->shapenum = statinfo[type].picnum;
	spot->tilex = tilex;
	spot->tiley = tiley;
	spot->visspot = &spotvis[tilex][tiley];
	spot->flags = FL_BONUS;
	spot->itemnumber = statinfo[type].type;
}

/*
=============================================================================

							DOORS

doorobjlist[] holds most of the information for the doors

doorposition[] holds the amount the door is open, ranging from 0 to 0xffff
	this is directly accessed by AsmRefresh during rendering

The number of doors is limited to 64 because a spot in tilemap holds the
	door number in the low 6 bits, with the high bit meaning a door center
	and bit 6 meaning a door side tile

Open doors conect two areas, so sounds will travel between them and sight
	will be checked when the player is in a connected area.

Areaconnect is incremented/decremented by each door. If >0 they connect

Every time a door opens or closes the areabyplayer matrix gets recalculated.
	An area is true if it connects with the player's current spot.

=============================================================================
*/

#define OPENTICS	300

doorobj_t	doorobjlist[MAXDOORS],*lastdoorobj;
int			doornum;

unsigned	doorposition[MAXDOORS];	// leading edge of door 0=closed
					// 0xffff = fully open
byte		areaconnect[NUMAREAS][NUMAREAS];

boolean		areabyplayer[NUMAREAS];


/*
==============
=
= ConnectAreas
=
= Scans outward from playerarea, marking all connected areas
=
==============
*/

void RecursiveConnect(int areanumber)
{
	int i;

	for (i = 0; i < NUMAREAS; i++)
	{
		if (areaconnect[areanumber][i] && !areabyplayer[i])
		{
			areabyplayer[i] = true;
			RecursiveConnect(i);
		}
	}
}

void ConnectAreas()
{
	memset(areabyplayer, 0, sizeof(areabyplayer));
	areabyplayer[player->areanumber] = true;
	RecursiveConnect(player->areanumber);
}

void InitAreas()
{
	memset(areabyplayer, 0, sizeof(areabyplayer));
	areabyplayer[player->areanumber] = true;
}

/*
===============
=
= InitDoorList
=
===============
*/

void InitDoorList()
{
	memset(areabyplayer, 0, sizeof(areabyplayer));
	memset(areaconnect, 0, sizeof(areaconnect));

	lastdoorobj = &doorobjlist[0];
	doornum = 0;
}

/*
===============
=
= SpawnDoor
=
===============
*/

void SpawnDoor(int tilex, int tiley, boolean vertical, int lock)
{
	word *map;

	if (doornum == 64)
		Quit ("64+ doors on level!");

	doorposition[doornum] = 0;		// doors start out fully closed
	lastdoorobj->tilex = tilex;
	lastdoorobj->tiley = tiley;
	lastdoorobj->vertical = vertical;
	lastdoorobj->lock = lock;
	lastdoorobj->action = dr_closed;

	actorat[tilex][tiley] = doornum | 0x80;	// consider it a solid wall

//
// make the door tile a special tile, and mark the adjacent tiles
// for door sides
//
	tilemap[tilex][tiley] = doornum | 0x80;
	map = (word *)(mapsegs[0] + farmapylookup[tiley]+tilex);
	if (vertical)
	{
		*map = *(map-1);                        // set area number
		tilemap[tilex][tiley-1] |= 0x40;
		tilemap[tilex][tiley+1] |= 0x40;
	}
	else
	{
		*map = *(map-mapwidth);					// set area number
		tilemap[tilex-1][tiley] |= 0x40;
		tilemap[tilex+1][tiley] |= 0x40;
	}

	doornum++;
	lastdoorobj++;
}

/*
=====================
=
= OpenDoor
=
=====================
*/

void OpenDoor(int door)
{
	if (doorobjlist[door].action == dr_open)
		doorobjlist[door].ticcount = 0;			// reset open time
	else
		doorobjlist[door].action = dr_opening;	// start it opening
}

/*
=====================
=
= CloseDoor
=
=====================
*/

void CloseDoor(int door)
{
	int tilex, tiley, area;
	objtype *check;

//
// don't close on anything solid
//
	tilex = doorobjlist[door].tilex;
	tiley = doorobjlist[door].tiley;

	if (actorat[tilex][tiley])
		return;

	if (player->tilex == tilex && player->tiley == tiley)
		return;

	if (doorobjlist[door].vertical)
	{
		if (player->tiley == tiley)
		{
			if (((player->x+MINDIST) >>TILESHIFT) == tilex)
				return;
			if (((player->x-MINDIST) >>TILESHIFT) == tilex)
				return;
		}

		if (actorat[tilex-1][tiley] & 0x8000)
			check = &objlist[actorat[tilex-1][tiley] & ~0x8000];
		else
			check = NULL;

		if (check && ((check->x+MINDIST) >> TILESHIFT) == tilex)
			return;
		
		if (actorat[tilex+1][tiley] & 0x8000)
			check = &objlist[actorat[tilex+1][tiley] & ~0x8000];
		else
			check = NULL;

		if (check && ((check->x-MINDIST) >> TILESHIFT) == tilex)
			return;
	}
	else if (!doorobjlist[door].vertical)
	{
		if (player->tilex == tilex)
		{
			if ( ((player->y+MINDIST) >>TILESHIFT) == tiley )
				return;
			if ( ((player->y-MINDIST) >>TILESHIFT) == tiley )
				return;
		}
		
		if (actorat[tilex][tiley-1] & 0x8000)
			check = &objlist[actorat[tilex][tiley-1] & ~0x8000];
		else
			check = NULL;

		if (check && ((check->y+MINDIST) >> TILESHIFT) == tiley )
			return;
		
		if (actorat[tilex][tiley+1] & 0x8000)
			check = &objlist[actorat[tilex][tiley+1] & ~0x8000];
		else
			check = NULL;
		
		if (check && ((check->y-MINDIST) >> TILESHIFT) == tiley )
			return;
	}


//
// play door sound if in a connected area
//
	area = *(mapsegs[0] + farmapylookup[doorobjlist[door].tiley]
			+doorobjlist[door].tilex)-AREATILE;
	if (areabyplayer[area])
	{
		PlaySoundLocTile(CLOSEDOORSND,doorobjlist[door].tilex,doorobjlist[door].tiley);	// JAB
	}

	doorobjlist[door].action = dr_closing;
//
// make the door space solid
//
	actorat[tilex][tiley] = door | 0x80;
}

/*
=====================
=
= OperateDoor
=
= The player wants to change the door's direction
=
=====================
*/

void OperateDoor(int door)
{
	int	lock;

	lock = doorobjlist[door].lock;
	if (lock >= dr_lock1 && lock <= dr_lock4)
	{
		if ( ! (gamestate.keys & (1 << (lock-dr_lock1) ) ) )
		{
			SD_PlaySound (NOWAYSND);		// locked
			return;
		}
	}

	switch (doorobjlist[door].action)
	{
	case dr_closed:
	case dr_closing:
		OpenDoor (door);
		break;
	case dr_open:
	case dr_opening:
		CloseDoor (door);
		break;
	}
}

/*
===============
=
= DoorOpen
=
= Close the door after three seconds
=
===============
*/

void DoorOpen (int door)
{
	if ( (doorobjlist[door].ticcount += tics) >= OPENTICS)
		CloseDoor (door);
}



/*
===============
=
= DoorOpening
=
===============
*/

void DoorOpening(int door)
{
	int		area1,area2;
	word *map;
	long	position;

	position = doorposition[door];
	if (!position)
	{
	//
	// door is just starting to open, so connect the areas
	//
		map = (word *)(mapsegs[0] + farmapylookup[doorobjlist[door].tiley]
			+doorobjlist[door].tilex);

		if (doorobjlist[door].vertical)
		{
			area1 =	*(map+1);
			area2 =	*(map-1);
		}
		else
		{
			area1 =	*(map-mapwidth);
			area2 =	*(map+mapwidth);
		}
		area1 -= AREATILE;
		area2 -= AREATILE;
		areaconnect[area1][area2]++;
		areaconnect[area2][area1]++;
		ConnectAreas ();
		if (areabyplayer[area1])
		{
			PlaySoundLocTile(OPENDOORSND,doorobjlist[door].tilex,doorobjlist[door].tiley);	// JAB
		}
	}

//
// slide the door by an adaptive amount
//
	position += tics<<10;
	if (position >= 0xffff)
	{
	//
	// door is all the way open
	//
		position = 0xffff;
		doorobjlist[door].ticcount = 0;
		doorobjlist[door].action = dr_open;
		actorat[doorobjlist[door].tilex][doorobjlist[door].tiley] = 0;
	}

	doorposition[door] = position;
}


/*
===============
=
= DoorClosing
=
===============
*/

void DoorClosing(int door)
{
	int		area1,area2;
	word *map;
	long	position;
	int		tilex,tiley;

	tilex = doorobjlist[door].tilex;
	tiley = doorobjlist[door].tiley;

	if ((actorat[tilex][tiley] != (door | 0x80))
	|| (player->tilex == tilex && player->tiley == tiley) )
	{			// something got inside the door
		OpenDoor(door);
		return;
	};

	position = doorposition[door];

//
// slide the door by an adaptive amount
//
	position -= tics<<10;
	if (position <= 0)
	{
	//
	// door is closed all the way, so disconnect the areas
	//
		position = 0;

		doorobjlist[door].action = dr_closed;

		map = (word *)(mapsegs[0] + farmapylookup[doorobjlist[door].tiley]
			+doorobjlist[door].tilex);

		if (doorobjlist[door].vertical)
		{
			area1 =	*(map+1);
			area2 =	*(map-1);
		}
		else
		{
			area1 =	*(map-mapwidth);
			area2 =	*(map+mapwidth);
		}
		area1 -= AREATILE;
		area2 -= AREATILE;
		areaconnect[area1][area2]--;
		areaconnect[area2][area1]--;

		ConnectAreas ();
	}

	doorposition[door] = position;
}

/*
=====================
=
= MoveDoors
=
= Called from PlayLoop
=
=====================
*/

void MoveDoors()
{
	int door;

	if (gamestate.victoryflag)		// don't move door during victory sequence
		return;

	for (door = 0 ; door < doornum ; door++)
		switch(doorobjlist[door].action)
		{
		case dr_open:
			DoorOpen (door);
			break;

		case dr_opening:
			DoorOpening(door);
			break;

		case dr_closing:
			DoorClosing(door);
			break;
		default:
			break;
		}
}


/*
=============================================================================

						PUSHABLE WALLS

=============================================================================
*/

unsigned pwallstate;
unsigned pwallpos; // amount a pushable wall has been moved (0-63)
unsigned pwallx, pwally;
int pwalldir;

/*
===============
=
= PushWall
=
===============
*/

void PushWall(int checkx, int checky, int dir)
{
	int oldtile;

	if (pwallstate)
		return;

	oldtile = tilemap[checkx][checky];
	if (!oldtile)
		return;

	switch (dir)
	{
	case di_north:
		if (actorat[checkx][checky-1])
		{
			SD_PlaySound(NOWAYSND);
			return;
		}
		actorat[checkx][checky-1] = tilemap[checkx][checky-1] = oldtile;
		break;

	case di_east:
		if (actorat[checkx+1][checky])
		{
			SD_PlaySound(NOWAYSND);
			return;
		}
		actorat[checkx+1][checky] = tilemap[checkx+1][checky] = oldtile;
		break;

	case di_south:
		if (actorat[checkx][checky+1])
		{
			SD_PlaySound(NOWAYSND);
			return;
		}
		actorat[checkx][checky+1] = tilemap[checkx][checky+1] = oldtile;
		break;

	case di_west:
		if (actorat[checkx-1][checky])
		{
			SD_PlaySound(NOWAYSND);
			return;
		}
		actorat[checkx-1][checky] = tilemap[checkx-1][checky] = oldtile;
		break;
	}

	gamestate.secretcount++;
	pwallx = checkx;
	pwally = checky;
	pwalldir = dir;
	pwallstate = 1;
	pwallpos = 0;
	tilemap[pwallx][pwally] |= 0xc0;
	*(mapsegs[1]+farmapylookup[pwally]+pwallx) = 0;	// remove P tile info

	SD_PlaySound(PUSHWALLSND);
}



/*
=================
=
= MovePWalls
=
=================
*/

void MovePWalls()
{
	int oldblock, oldtile;

	if (!pwallstate)
		return;

	oldblock = pwallstate/128;

	pwallstate += tics;

	if (pwallstate/128 != oldblock)
	{
	// block crossed into a new block
		oldtile = tilemap[pwallx][pwally] & 63;

		//
		// the tile can now be walked into
		//
		tilemap[pwallx][pwally] = 0;
		actorat[pwallx][pwally] = 0;
		*(mapsegs[0]+farmapylookup[pwally]+pwallx) = player->areanumber+AREATILE;

		//
		// see if it should be pushed farther
		//
		if (pwallstate>256)
		{
		//
		// the block has been pushed two tiles
		//
			pwallstate = 0;
			return;
		}
		else
		{
			switch (pwalldir)
			{
			case di_north:
				pwally--;
				if (actorat[pwallx][pwally-1])
				{
					pwallstate = 0;
					return;
				}
				actorat[pwallx][pwally-1] =
				tilemap[pwallx][pwally-1] = oldtile;
				break;

			case di_east:
				pwallx++;
				if (actorat[pwallx+1][pwally])
				{
					pwallstate = 0;
					return;
				}
				actorat[pwallx+1][pwally] =
				tilemap[pwallx+1][pwally] = oldtile;
				break;

			case di_south:
				pwally++;
				if (actorat[pwallx][pwally+1])
				{
					pwallstate = 0;
					return;
				}
				actorat[pwallx][pwally+1] =
				tilemap[pwallx][pwally+1] = oldtile;
				break;

			case di_west:
				pwallx--;
				if (actorat[pwallx-1][pwally])
				{
					pwallstate = 0;
					return;
				}
				actorat[pwallx-1][pwally] =
				tilemap[pwallx-1][pwally] = oldtile;
				break;
			}

			tilemap[pwallx][pwally] = oldtile | 0xc0;
		}
	}

	pwallpos = (pwallstate/2)&63;

}
