#include "wl_def.h"

void A_StartDeathCam(objtype *ob);

void T_Path(objtype *ob);
void T_Shoot(objtype *ob);
void T_Bite(objtype *ob);
void T_DogChase(objtype *ob);
void T_Chase(objtype *ob);
void T_Projectile(objtype *ob);
void T_Stand(objtype *ob);

void A_Smoke(objtype *ob);

void T_Schabb(objtype *ob);
void T_SchabbThrow(objtype *ob);
void T_Fake(objtype *ob);
void T_FakeFire(objtype *ob);
void T_Ghosts(objtype *ob);

void A_Slurpie(objtype *ob);
void A_HitlerMorph(objtype *ob);
void A_MechaSound(objtype *ob);

void T_UShoot(objtype *ob);

void T_Launch(objtype *ob);
void T_Will(objtype *ob);

void A_Relaunch(objtype *ob);
void A_Victory(objtype *ob);
void A_StartAttack(objtype *ob);
void A_Breathing(objtype *ob);

void T_SpectreWait(objtype *ob);
void A_Dormant(objtype *ob);

void T_Gift(objtype *ob);
void T_GiftThrow (objtype *ob);

void T_Fat(objtype *ob);
void T_FatThrow(objtype *ob);

void T_BJRun(objtype *ob);
void T_BJJump(objtype *ob);
void T_BJDone(objtype *ob);
void T_BJYell(objtype *ob);

void T_DeathCam(objtype *ob);

void T_Player(objtype *ob);
void T_Attack(objtype *ob);

statetype *gamestates;
int *stateenum;

void SetGSStruct(boolean rot, int shape, int tic, void (*thi)(objtype*), void (*act)(objtype*), int nextst) {

	static int count = 0;

	gamestates[count].rotate = rot;
	gamestates[count].shapenum = shape;
	gamestates[count].tictime = tic;
	gamestates[count].think = thi;
	gamestates[count].action = act;
	gamestates[count].next = nextst;

	count ++;

}

void InitGamestates (void) {

	if (!SPEAR) {
		stateenum = stateenum_wl;
	}
	else {
		stateenum = stateenum_sd;
	}

	if (!gamestates)
		gamestates = (statetype*)malloc(MAXSTATES*sizeof(statetype));

    if (!SPEAR) {

	SetGSStruct(false,0,0,NULL,NULL,s_none);	/* s_none */
	SetGSStruct(false,SPR_BOOM_1,6,NULL,NULL,s_boom2);	/* s_boom1 */
	SetGSStruct(false,SPR_BOOM_2,6,NULL,NULL,s_boom3);	/* s_boom2 */
	SetGSStruct(false,SPR_BOOM_3,6,NULL,NULL, s_none);	/* s_boom3 */

	SetGSStruct(true,SPR_ROCKET_1,3,T_Projectile,A_Smoke,s_rocket);	/* s_rocket */

	SetGSStruct(false,SPR_SMOKE_1,3,NULL,NULL,s_smoke2);	/* s_smoke1 */
	SetGSStruct(false,SPR_SMOKE_2,3,NULL,NULL,s_smoke3);	/* s_smoke2 */
	SetGSStruct(false,SPR_SMOKE_3,3,NULL,NULL,s_smoke4);	/* s_smoke3 */
	SetGSStruct(false,SPR_SMOKE_4,3,NULL,NULL, s_none);	/* s_smoke4 */


/* guards */
	SetGSStruct(true,SPR_GRD_S_1,0,T_Stand,NULL,s_grdstand);	/* s_grdstand */

	SetGSStruct(true,SPR_GRD_W1_1,20,T_Path,NULL,s_grdpath1s);	/* s_grdpath1  */
	SetGSStruct(true,SPR_GRD_W1_1,5,NULL,NULL,s_grdpath2);	/* s_grdpath1s  */
	SetGSStruct(true,SPR_GRD_W2_1,15,T_Path,NULL,s_grdpath3);	/* s_grdpath2  */
	SetGSStruct(true,SPR_GRD_W3_1,20,T_Path,NULL,s_grdpath3s);	/* s_grdpath3  */
	SetGSStruct(true,SPR_GRD_W3_1,5,NULL,NULL,s_grdpath4);	/* s_grdpath3s  */
	SetGSStruct(true,SPR_GRD_W4_1,15,T_Path,NULL,s_grdpath1);	/* s_grdpath4  */

	SetGSStruct(2,SPR_GRD_PAIN_1,10,NULL,NULL,s_grdchase1);	/* s_grdpain  */
	SetGSStruct(2,SPR_GRD_PAIN_2,10,NULL,NULL,s_grdchase1);	/* s_grdpain1  */

	SetGSStruct(false,SPR_GRD_SHOOT1,20,NULL,NULL,s_grdshoot2);	/* s_grdshoot1  */
	SetGSStruct(false,SPR_GRD_SHOOT2,20,NULL,T_Shoot,s_grdshoot3);	/* s_grdshoot2  */
	SetGSStruct(false,SPR_GRD_SHOOT3,20,NULL,NULL,s_grdchase1);	/* s_grdshoot3  */

	SetGSStruct(true,SPR_GRD_W1_1,10,T_Chase,NULL,s_grdchase1s);	/* s_grdchase1  */
	SetGSStruct(true,SPR_GRD_W1_1,3,NULL,NULL,s_grdchase2);	/* s_grdchase1s  */
	SetGSStruct(true,SPR_GRD_W2_1,8,T_Chase,NULL,s_grdchase3);	/* s_grdchase2  */
	SetGSStruct(true,SPR_GRD_W3_1,10,T_Chase,NULL,s_grdchase3s);	/* s_grdchase3  */
	SetGSStruct(true,SPR_GRD_W3_1,3,NULL,NULL,s_grdchase4);	/* s_grdchase3s  */
	SetGSStruct(true,SPR_GRD_W4_1,8,T_Chase,NULL,s_grdchase1);	/* s_grdchase4  */

	SetGSStruct(false,SPR_GRD_DIE_1,15,NULL,A_DeathScream,s_grddie2);	/* s_grddie1	 */
	SetGSStruct(false,SPR_GRD_DIE_2,15,NULL,NULL,s_grddie3);	/* s_grddie2	 */
	SetGSStruct(false,SPR_GRD_DIE_3,15,NULL,NULL,s_grddie4);	/* s_grddie3	 */
	SetGSStruct(false,SPR_GRD_DEAD,0,NULL,NULL,s_grddie4);	/* s_grddie4	 */



	SetGSStruct(true,SPR_DOG_W1_1,20,T_Path,NULL,s_dogpath1s);	/* s_dogpath1  */
	SetGSStruct(true,SPR_DOG_W1_1,5,NULL,NULL,s_dogpath2);	/* s_dogpath1s  */
	SetGSStruct(true,SPR_DOG_W2_1,15,T_Path,NULL,s_dogpath3);	/* s_dogpath2  */
	SetGSStruct(true,SPR_DOG_W3_1,20,T_Path,NULL,s_dogpath3s);	/* s_dogpath3  */
	SetGSStruct(true,SPR_DOG_W3_1,5,NULL,NULL,s_dogpath4);	/* s_dogpath3s  */
	SetGSStruct(true,SPR_DOG_W4_1,15,T_Path,NULL,s_dogpath1);	/* s_dogpath4  */

	SetGSStruct(false,SPR_DOG_JUMP1,10,NULL,NULL,s_dogjump2);	/* s_dogjump1  */
	SetGSStruct(false,SPR_DOG_JUMP2,10,NULL,T_Bite,s_dogjump3);	/* s_dogjump2  */
	SetGSStruct(false,SPR_DOG_JUMP3,10,NULL,NULL,s_dogjump4);	/* s_dogjump3  */
	SetGSStruct(false,SPR_DOG_JUMP1,10,NULL,NULL,s_dogjump5);	/* s_dogjump4  */
	SetGSStruct(false,SPR_DOG_W1_1,10,NULL,NULL,s_dogchase1);	/* s_dogjump5  */

	SetGSStruct(true,SPR_DOG_W1_1,10,T_DogChase,NULL,s_dogchase1s);	/* s_dogchase1  */
	SetGSStruct(true,SPR_DOG_W1_1,3,NULL,NULL,s_dogchase2);	/* s_dogchase1s  */
	SetGSStruct(true,SPR_DOG_W2_1,8,T_DogChase,NULL,s_dogchase3);	/* s_dogchase2  */
	SetGSStruct(true,SPR_DOG_W3_1,10,T_DogChase,NULL,s_dogchase3s);	/* s_dogchase3  */
	SetGSStruct(true,SPR_DOG_W3_1,3,NULL,NULL,s_dogchase4);	/* s_dogchase3s  */
	SetGSStruct(true,SPR_DOG_W4_1,8,T_DogChase,NULL,s_dogchase1);	/* s_dogchase4  */

	SetGSStruct(false,SPR_DOG_DIE_1,15,NULL,A_DeathScream,s_dogdie2);	/* s_dogdie1	 */
	SetGSStruct(false,SPR_DOG_DIE_2,15,NULL,NULL,s_dogdie3);	/* s_dogdie2	 */
	SetGSStruct(false,SPR_DOG_DIE_3,15,NULL,NULL,s_dogdead);	/* s_dogdie3	 */
	SetGSStruct(false,SPR_DOG_DEAD,15,NULL,NULL,s_dogdead);	/* s_dogdead	 */

	SetGSStruct(true,SPR_OFC_S_1,0,T_Stand,NULL,s_ofcstand);	/* s_ofcstand */

	SetGSStruct(true,SPR_OFC_W1_1,20,T_Path,NULL,s_ofcpath1s);	/* s_ofcpath1  */
	SetGSStruct(true,SPR_OFC_W1_1,5,NULL,NULL,s_ofcpath2);	/* s_ofcpath1s  */
	SetGSStruct(true,SPR_OFC_W2_1,15,T_Path,NULL,s_ofcpath3);	/* s_ofcpath2  */
	SetGSStruct(true,SPR_OFC_W3_1,20,T_Path,NULL,s_ofcpath3s);	/* s_ofcpath3  */
	SetGSStruct(true,SPR_OFC_W3_1,5,NULL,NULL,s_ofcpath4);	/* s_ofcpath3s  */
	SetGSStruct(true,SPR_OFC_W4_1,15,T_Path,NULL,s_ofcpath1);	/* s_ofcpath4  */

	SetGSStruct(2,SPR_OFC_PAIN_1,10,NULL,NULL,s_ofcchase1);	/* s_ofcpain  */
	SetGSStruct(2,SPR_OFC_PAIN_2,10,NULL,NULL,s_ofcchase1);	/* s_ofcpain1  */

	SetGSStruct(false,SPR_OFC_SHOOT1,6,NULL,NULL,s_ofcshoot2);	/* s_ofcshoot1  */
	SetGSStruct(false,SPR_OFC_SHOOT2,20,NULL,T_Shoot,s_ofcshoot3);	/* s_ofcshoot2  */
	SetGSStruct(false,SPR_OFC_SHOOT3,10,NULL,NULL,s_ofcchase1);	/* s_ofcshoot3  */

	SetGSStruct(true,SPR_OFC_W1_1,10,T_Chase,NULL,s_ofcchase1s);	/* s_ofcchase1  */
	SetGSStruct(true,SPR_OFC_W1_1,3,NULL,NULL,s_ofcchase2);	/* s_ofcchase1s  */
	SetGSStruct(true,SPR_OFC_W2_1,8,T_Chase,NULL,s_ofcchase3);	/* s_ofcchase2  */
	SetGSStruct(true,SPR_OFC_W3_1,10,T_Chase,NULL,s_ofcchase3s);	/* s_ofcchase3  */
	SetGSStruct(true,SPR_OFC_W3_1,3,NULL,NULL,s_ofcchase4);	/* s_ofcchase3s  */
	SetGSStruct(true,SPR_OFC_W4_1,8,T_Chase,NULL,s_ofcchase1);	/* s_ofcchase4  */

	SetGSStruct(false,SPR_OFC_DIE_1,11,NULL,A_DeathScream,s_ofcdie2);	/* s_ofcdie1	 */
	SetGSStruct(false,SPR_OFC_DIE_2,11,NULL,NULL,s_ofcdie3);	/* s_ofcdie2	 */
	SetGSStruct(false,SPR_OFC_DIE_3,11,NULL,NULL,s_ofcdie4);	/* s_ofcdie3	 */
	SetGSStruct(false,SPR_OFC_DIE_4,11,NULL,NULL,s_ofcdie5);	/* s_ofcdie4	 */
	SetGSStruct(false,SPR_OFC_DEAD,0,NULL,NULL,s_ofcdie5);	/* s_ofcdie5	 */


	SetGSStruct(true,SPR_MUT_S_1,0,T_Stand,NULL,s_mutstand);	/* s_mutstand */

	SetGSStruct(true,SPR_MUT_W1_1,20,T_Path,NULL,s_mutpath1s);	/* s_mutpath1  */
	SetGSStruct(true,SPR_MUT_W1_1,5,NULL,NULL,s_mutpath2);	/* s_mutpath1s  */
	SetGSStruct(true,SPR_MUT_W2_1,15,T_Path,NULL,s_mutpath3);	/* s_mutpath2  */
	SetGSStruct(true,SPR_MUT_W3_1,20,T_Path,NULL,s_mutpath3s);	/* s_mutpath3  */
	SetGSStruct(true,SPR_MUT_W3_1,5,NULL,NULL,s_mutpath4);	/* s_mutpath3s  */
	SetGSStruct(true,SPR_MUT_W4_1,15,T_Path,NULL,s_mutpath1);	/* s_mutpath4  */

	SetGSStruct(2,SPR_MUT_PAIN_1,10,NULL,NULL,s_mutchase1);	/* s_mutpain  */
	SetGSStruct(2,SPR_MUT_PAIN_2,10,NULL,NULL,s_mutchase1);	/* s_mutpain1  */

	SetGSStruct(false,SPR_MUT_SHOOT1,6,NULL,T_Shoot,s_mutshoot2);	/* s_mutshoot1  */
	SetGSStruct(false,SPR_MUT_SHOOT2,20,NULL,NULL,s_mutshoot3);	/* s_mutshoot2  */
	SetGSStruct(false,SPR_MUT_SHOOT3,10,NULL,T_Shoot,s_mutshoot4);	/* s_mutshoot3  */
	SetGSStruct(false,SPR_MUT_SHOOT4,20,NULL,NULL,s_mutchase1);	/* s_mutshoot4  */

	SetGSStruct(true,SPR_MUT_W1_1,10,T_Chase,NULL,s_mutchase1s);	/* s_mutchase1  */
	SetGSStruct(true,SPR_MUT_W1_1,3,NULL,NULL,s_mutchase2);	/* s_mutchase1s  */
	SetGSStruct(true,SPR_MUT_W2_1,8,T_Chase,NULL,s_mutchase3);	/* s_mutchase2  */
	SetGSStruct(true,SPR_MUT_W3_1,10,T_Chase,NULL,s_mutchase3s);	/* s_mutchase3  */
	SetGSStruct(true,SPR_MUT_W3_1,3,NULL,NULL,s_mutchase4);	/* s_mutchase3s  */
	SetGSStruct(true,SPR_MUT_W4_1,8,T_Chase,NULL,s_mutchase1);	/* s_mutchase4  */

	SetGSStruct(false,SPR_MUT_DIE_1,7,NULL,A_DeathScream,s_mutdie2);	/* s_mutdie1	 */
	SetGSStruct(false,SPR_MUT_DIE_2,7,NULL,NULL,s_mutdie3);	/* s_mutdie2	 */
	SetGSStruct(false,SPR_MUT_DIE_3,7,NULL,NULL,s_mutdie4);	/* s_mutdie3	 */
	SetGSStruct(false,SPR_MUT_DIE_4,7,NULL,NULL,s_mutdie5);	/* s_mutdie4	 */
	SetGSStruct(false,SPR_MUT_DEAD,0,NULL,NULL,s_mutdie5);	/* s_mutdie5	 */


	SetGSStruct(true,SPR_SS_S_1,0,T_Stand,NULL,s_ssstand);	/* s_ssstand */

	SetGSStruct(true,SPR_SS_W1_1,20,T_Path,NULL,s_sspath1s);	/* s_sspath1  */
	SetGSStruct(true,SPR_SS_W1_1,5,NULL,NULL,s_sspath2);	/* s_sspath1s  */
	SetGSStruct(true,SPR_SS_W2_1,15,T_Path,NULL,s_sspath3);	/* s_sspath2  */
	SetGSStruct(true,SPR_SS_W3_1,20,T_Path,NULL,s_sspath3s);	/* s_sspath3  */
	SetGSStruct(true,SPR_SS_W3_1,5,NULL,NULL,s_sspath4);	/* s_sspath3s  */
	SetGSStruct(true,SPR_SS_W4_1,15,T_Path,NULL,s_sspath1);	/* s_sspath4  */

	SetGSStruct(2,SPR_SS_PAIN_1,10,NULL,NULL,s_sschase1);	/* s_sspain 	 */
	SetGSStruct(2,SPR_SS_PAIN_2,10,NULL,NULL,s_sschase1);	/* s_sspain1  */

	SetGSStruct(false,SPR_SS_SHOOT1,20,NULL,NULL,s_ssshoot2);	/* s_ssshoot1  */
	SetGSStruct(false,SPR_SS_SHOOT2,20,NULL,T_Shoot,s_ssshoot3);	/* s_ssshoot2  */
	SetGSStruct(false,SPR_SS_SHOOT3,10,NULL,NULL,s_ssshoot4);	/* s_ssshoot3  */
	SetGSStruct(false,SPR_SS_SHOOT2,10,NULL,T_Shoot,s_ssshoot5);	/* s_ssshoot4  */
	SetGSStruct(false,SPR_SS_SHOOT3,10,NULL,NULL,s_ssshoot6);	/* s_ssshoot5  */
	SetGSStruct(false,SPR_SS_SHOOT2,10,NULL,T_Shoot,s_ssshoot7);	/* s_ssshoot6  */
	SetGSStruct(false,SPR_SS_SHOOT3,10,NULL,NULL,s_ssshoot8);	/* s_ssshoot7   */
	SetGSStruct(false,SPR_SS_SHOOT2,10,NULL,T_Shoot,s_ssshoot9);	/* s_ssshoot8   */
	SetGSStruct(false,SPR_SS_SHOOT3,10,NULL,NULL,s_sschase1);	/* s_ssshoot9   */

	SetGSStruct(true,SPR_SS_W1_1,10,T_Chase,NULL,s_sschase1s);	/* s_sschase1  */
	SetGSStruct(true,SPR_SS_W1_1,3,NULL,NULL,s_sschase2);	/* s_sschase1s  */
	SetGSStruct(true,SPR_SS_W2_1,8,T_Chase,NULL,s_sschase3);	/* s_sschase2  */
	SetGSStruct(true,SPR_SS_W3_1,10,T_Chase,NULL,s_sschase3s);	/* s_sschase3  */
	SetGSStruct(true,SPR_SS_W3_1,3,NULL,NULL,s_sschase4);	/* s_sschase3s  */
	SetGSStruct(true,SPR_SS_W4_1,8,T_Chase,NULL,s_sschase1);	/* s_sschase4  */

	SetGSStruct(false,SPR_SS_DIE_1,15,NULL,A_DeathScream,s_ssdie2);	/* s_ssdie1	 */
	SetGSStruct(false,SPR_SS_DIE_2,15,NULL,NULL,s_ssdie3);	/* s_ssdie2	 */
	SetGSStruct(false,SPR_SS_DIE_3,15,NULL,NULL,s_ssdie4);	/* s_ssdie3	 */
	SetGSStruct(false,SPR_SS_DEAD,0,NULL,NULL,s_ssdie4);	/* s_ssdie4	 */


	SetGSStruct(false,SPR_BLINKY_W1,10,T_Ghosts,NULL,s_blinkychase2);	/* s_blinkychase1  */
	SetGSStruct(false,SPR_BLINKY_W2,10,T_Ghosts,NULL,s_blinkychase1);	/* s_blinkychase2  */

	SetGSStruct(false,SPR_INKY_W1,10,T_Ghosts,NULL,s_inkychase2);	/* s_inkychase1 	 */
	SetGSStruct(false,SPR_INKY_W2,10,T_Ghosts,NULL,s_inkychase1);	/* s_inkychase2 	 */

	SetGSStruct(false,SPR_PINKY_W1,10,T_Ghosts,NULL,s_pinkychase2);	/* s_pinkychase1  */
	SetGSStruct(false,SPR_PINKY_W2,10,T_Ghosts,NULL,s_pinkychase1);	/* s_pinkychase2  */

	SetGSStruct(false,SPR_CLYDE_W1,10,T_Ghosts,NULL,s_clydechase2);	/* s_clydechase1  */
	SetGSStruct(false,SPR_CLYDE_W2,10,T_Ghosts,NULL,s_clydechase1);	/* s_clydechase2  */

	SetGSStruct(false,SPR_BOSS_W1,0,T_Stand,NULL,s_bossstand);	/* s_bossstand */

	SetGSStruct(false,SPR_BOSS_W1,10,T_Chase,NULL,s_bosschase1s);	/* s_bosschase1  */
	SetGSStruct(false,SPR_BOSS_W1,3,NULL,NULL,s_bosschase2);	/* s_bosschase1s */
	SetGSStruct(false,SPR_BOSS_W2,8,T_Chase,NULL,s_bosschase3);	/* s_bosschase2  */
	SetGSStruct(false,SPR_BOSS_W3,10,T_Chase,NULL,s_bosschase3s);	/* s_bosschase3  */
	SetGSStruct(false,SPR_BOSS_W3,3,NULL,NULL,s_bosschase4);	/* s_bosschase3s */
	SetGSStruct(false,SPR_BOSS_W4,8,T_Chase,NULL,s_bosschase1);	/* s_bosschase4  */

	SetGSStruct(false,SPR_BOSS_DIE1,15,NULL,A_DeathScream,s_bossdie2);	/* s_bossdie1 */
	SetGSStruct(false,SPR_BOSS_DIE2,15,NULL,NULL,s_bossdie3);	/* s_bossdie2 */
	SetGSStruct(false,SPR_BOSS_DIE3,15,NULL,NULL,s_bossdie4);	/* s_bossdie3 */
	SetGSStruct(false,SPR_BOSS_DEAD,0,NULL,NULL,s_bossdie4);	/* s_bossdie4 */

	SetGSStruct(false,SPR_BOSS_SHOOT1,30,NULL,NULL,s_bossshoot2);	/* s_bossshoot1  */
	SetGSStruct(false,SPR_BOSS_SHOOT2,10,NULL,T_Shoot,s_bossshoot3);	/* s_bossshoot2  */
	SetGSStruct(false,SPR_BOSS_SHOOT3,10,NULL,T_Shoot,s_bossshoot4);	/* s_bossshoot3  */
	SetGSStruct(false,SPR_BOSS_SHOOT2,10,NULL,T_Shoot,s_bossshoot5);	/* s_bossshoot4  */
	SetGSStruct(false,SPR_BOSS_SHOOT3,10,NULL,T_Shoot,s_bossshoot6);	/* s_bossshoot5  */
	SetGSStruct(false,SPR_BOSS_SHOOT2,10,NULL,T_Shoot,s_bossshoot7);	/* s_bossshoot6  */
	SetGSStruct(false,SPR_BOSS_SHOOT3,10,NULL,T_Shoot,s_bossshoot8);	/* s_bossshoot7  */
	SetGSStruct(false,SPR_BOSS_SHOOT1,10,NULL,NULL,s_bosschase1);	/* s_bossshoot8  */



	SetGSStruct(false,SPR_GRETEL_W1,0,T_Stand,NULL,s_gretelstand);	/* s_gretelstand */

	SetGSStruct(false,SPR_GRETEL_W1,10,T_Chase,NULL,s_gretelchase1s);	/* s_gretelchase1  */
	SetGSStruct(false,SPR_GRETEL_W1,3,NULL,NULL,s_gretelchase2);	/* s_gretelchase1s */
	SetGSStruct(false,SPR_GRETEL_W2,8,T_Chase,NULL,s_gretelchase3);	/* s_gretelchase2  */
	SetGSStruct(false,SPR_GRETEL_W3,10,T_Chase,NULL,s_gretelchase3s);	/* s_gretelchase3  */
	SetGSStruct(false,SPR_GRETEL_W3,3,NULL,NULL,s_gretelchase4);	/* s_gretelchase3s */
	SetGSStruct(false,SPR_GRETEL_W4,8,T_Chase,NULL,s_gretelchase1);	/* s_gretelchase4  */

	SetGSStruct(false,SPR_GRETEL_DIE1,15,NULL,A_DeathScream,s_greteldie2);	/* s_greteldie1 */
	SetGSStruct(false,SPR_GRETEL_DIE2,15,NULL,NULL,s_greteldie3);	/* s_greteldie2 */
	SetGSStruct(false,SPR_GRETEL_DIE3,15,NULL,NULL,s_greteldie4);	/* s_greteldie3 */
	SetGSStruct(false,SPR_GRETEL_DEAD,0,NULL,NULL,s_greteldie4);	/* s_greteldie4 */

	SetGSStruct(false,SPR_GRETEL_SHOOT1,30,NULL,NULL,s_gretelshoot2);	/* s_gretelshoot1  */
	SetGSStruct(false,SPR_GRETEL_SHOOT2,10,NULL,T_Shoot,s_gretelshoot3);	/* s_gretelshoot2  */
	SetGSStruct(false,SPR_GRETEL_SHOOT3,10,NULL,T_Shoot,s_gretelshoot4);	/* s_gretelshoot3  */
	SetGSStruct(false,SPR_GRETEL_SHOOT2,10,NULL,T_Shoot,s_gretelshoot5);	/* s_gretelshoot4  */
	SetGSStruct(false,SPR_GRETEL_SHOOT3,10,NULL,T_Shoot,s_gretelshoot6);	/* s_gretelshoot5  */
	SetGSStruct(false,SPR_GRETEL_SHOOT2,10,NULL,T_Shoot,s_gretelshoot7);	/* s_gretelshoot6  */
	SetGSStruct(false,SPR_GRETEL_SHOOT3,10,NULL,T_Shoot,s_gretelshoot8);	/* s_gretelshoot7  */
	SetGSStruct(false,SPR_GRETEL_SHOOT1,10,NULL,NULL,s_gretelchase1);	/* s_gretelshoot8  */

	SetGSStruct(false,SPR_SCHABB_W1,0,T_Stand,NULL,s_schabbstand);	/* s_schabbstand */

	SetGSStruct(false,SPR_SCHABB_W1,10,T_Schabb,NULL,s_schabbchase1s);	/* s_schabbchase1  */
	SetGSStruct(false,SPR_SCHABB_W1,3,NULL,NULL,s_schabbchase2);	/* s_schabbchase1s */
	SetGSStruct(false,SPR_SCHABB_W2,8,T_Schabb,NULL,s_schabbchase3);	/* s_schabbchase2  */
	SetGSStruct(false,SPR_SCHABB_W3,10,T_Schabb,NULL,s_schabbchase3s);	/* s_schabbchase3  */
	SetGSStruct(false,SPR_SCHABB_W3,3,NULL,NULL,s_schabbchase4);	/* s_schabbchase3s */
	SetGSStruct(false,SPR_SCHABB_W4,8,T_Schabb,NULL,s_schabbchase1);	/* s_schabbchase4  */

	SetGSStruct(false,SPR_SCHABB_W1,1,NULL,NULL,s_schabbdie1);	/* s_schabbdeathcam */

	SetGSStruct(false,SPR_SCHABB_W1,10,NULL,A_DeathScream,s_schabbdie2);	/* s_schabbdie1 */
	SetGSStruct(false,SPR_SCHABB_W1,10,NULL,NULL,s_schabbdie3);	/* s_schabbdie2 */
	SetGSStruct(false,SPR_SCHABB_DIE1,10,NULL,NULL,s_schabbdie4);	/* s_schabbdie3 */
	SetGSStruct(false,SPR_SCHABB_DIE2,10,NULL,NULL,s_schabbdie5);	/* s_schabbdie4 */
	SetGSStruct(false,SPR_SCHABB_DIE3,10,NULL,NULL,s_schabbdie6);	/* s_schabbdie5 */
	SetGSStruct(false,SPR_SCHABB_DEAD,20,NULL,A_StartDeathCam,s_schabbdie6);	/* s_schabbdie6 */

	SetGSStruct(false,SPR_SCHABB_SHOOT1,30,NULL,NULL,s_schabbshoot2);	/* s_schabbshoot1  */
	SetGSStruct(false,SPR_SCHABB_SHOOT2,10,NULL,T_SchabbThrow,s_schabbchase1);	/* s_schabbshoot2  */

	SetGSStruct(false,SPR_HYPO1,6,T_Projectile,NULL,s_needle2);	/* s_needle1  */
	SetGSStruct(false,SPR_HYPO2,6,T_Projectile,NULL,s_needle3);	/* s_needle2  */
	SetGSStruct(false,SPR_HYPO3,6,T_Projectile,NULL,s_needle4);	/* s_needle3  */
	SetGSStruct(false,SPR_HYPO4,6,T_Projectile,NULL,s_needle1);	/* s_needle4  */



	SetGSStruct(false,SPR_GIFT_W1,0,T_Stand,NULL,s_giftstand);	/* s_giftstand */

	SetGSStruct(false,SPR_GIFT_W1,10,T_Gift,NULL,s_giftchase1s);	/* s_giftchase1  */
	SetGSStruct(false,SPR_GIFT_W1,3,NULL,NULL,s_giftchase2);	/* s_giftchase1s */
	SetGSStruct(false,SPR_GIFT_W2,8,T_Gift,NULL,s_giftchase3);	/* s_giftchase2  */
	SetGSStruct(false,SPR_GIFT_W3,10,T_Gift,NULL,s_giftchase3s);	/* s_giftchase3  */
	SetGSStruct(false,SPR_GIFT_W3,3,NULL,NULL,s_giftchase4);	/* s_giftchase3s */
	SetGSStruct(false,SPR_GIFT_W4,8,T_Gift,NULL,s_giftchase1);	/* s_giftchase4  */

	SetGSStruct(false,SPR_GIFT_W1,1,NULL,NULL,s_giftdie1);	/* s_giftdeathcam */

	SetGSStruct(false,SPR_GIFT_W1,1,NULL,A_DeathScream,s_giftdie2);	/* s_giftdie1 */
	SetGSStruct(false,SPR_GIFT_W1,10,NULL,NULL,s_giftdie3);	/* s_giftdie2 */
	SetGSStruct(false,SPR_GIFT_DIE1,10,NULL,NULL,s_giftdie4);	/* s_giftdie3 */
	SetGSStruct(false,SPR_GIFT_DIE2,10,NULL,NULL,s_giftdie5);	/* s_giftdie4 */
	SetGSStruct(false,SPR_GIFT_DIE3,10,NULL,NULL,s_giftdie6);	/* s_giftdie5 */
	SetGSStruct(false,SPR_GIFT_DEAD,20,NULL,A_StartDeathCam,s_giftdie6);	/* s_giftdie6 */

	SetGSStruct(false,SPR_GIFT_SHOOT1,30,NULL,NULL,s_giftshoot2);	/* s_giftshoot1  */
	SetGSStruct(false,SPR_GIFT_SHOOT2,10,NULL,T_GiftThrow,s_giftchase1);	/* s_giftshoot2  */



	SetGSStruct(false,SPR_FAT_W1,0,T_Stand,NULL,s_fatstand);	/* s_fatstand */

	SetGSStruct(false,SPR_FAT_W1,10,T_Fat,NULL,s_fatchase1s);	/* s_fatchase1  */
	SetGSStruct(false,SPR_FAT_W1,3,NULL,NULL,s_fatchase2);	/* s_fatchase1s */
	SetGSStruct(false,SPR_FAT_W2,8,T_Fat,NULL,s_fatchase3);	/* s_fatchase2  */
	SetGSStruct(false,SPR_FAT_W3,10,T_Fat,NULL,s_fatchase3s);	/* s_fatchase3  */
	SetGSStruct(false,SPR_FAT_W3,3,NULL,NULL,s_fatchase4);	/* s_fatchase3s */
	SetGSStruct(false,SPR_FAT_W4,8,T_Fat,NULL,s_fatchase1);	/* s_fatchase4  */

	SetGSStruct(false,SPR_FAT_W1,1,NULL,NULL,s_fatdie1);	/* s_fatdeathcam */

	SetGSStruct(false,SPR_FAT_W1,1,NULL,A_DeathScream,s_fatdie2);	/* s_fatdie1 */
	SetGSStruct(false,SPR_FAT_W1,10,NULL,NULL,s_fatdie3);	/* s_fatdie2 */
	SetGSStruct(false,SPR_FAT_DIE1,10,NULL,NULL,s_fatdie4);	/* s_fatdie3 */
	SetGSStruct(false,SPR_FAT_DIE2,10,NULL,NULL,s_fatdie5);	/* s_fatdie4 */
	SetGSStruct(false,SPR_FAT_DIE3,10,NULL,NULL,s_fatdie6);	/* s_fatdie5 */
	SetGSStruct(false,SPR_FAT_DEAD,20,NULL,A_StartDeathCam,s_fatdie6);	/* s_fatdie6 */

	SetGSStruct(false,SPR_FAT_SHOOT1,30,NULL,NULL,s_fatshoot2);	/* s_fatshoot1  */
	SetGSStruct(false,SPR_FAT_SHOOT2,10,NULL,T_GiftThrow,s_fatshoot3);	/* s_fatshoot2  */
	SetGSStruct(false,SPR_FAT_SHOOT3,10,NULL,T_Shoot,s_fatshoot4);	/* s_fatshoot3  */
	SetGSStruct(false,SPR_FAT_SHOOT4,10,NULL,T_Shoot,s_fatshoot5);	/* s_fatshoot4  */
	SetGSStruct(false,SPR_FAT_SHOOT3,10,NULL,T_Shoot,s_fatshoot6);	/* s_fatshoot5  */
	SetGSStruct(false,SPR_FAT_SHOOT4,10,NULL,T_Shoot,s_fatchase1);	/* s_fatshoot6  */


	SetGSStruct(false,SPR_FAKE_W1,0,T_Stand,NULL,s_fakestand);	/* s_fakestand */

	SetGSStruct(false,SPR_FAKE_W1,10,T_Fake,NULL,s_fakechase1s);	/* s_fakechase1  */
	SetGSStruct(false,SPR_FAKE_W1,3,NULL,NULL,s_fakechase2);	/* s_fakechase1s */
	SetGSStruct(false,SPR_FAKE_W2,8,T_Fake,NULL,s_fakechase3);	/* s_fakechase2  */
	SetGSStruct(false,SPR_FAKE_W3,10,T_Fake,NULL,s_fakechase3s);	/* s_fakechase3  */
	SetGSStruct(false,SPR_FAKE_W3,3,NULL,NULL,s_fakechase4);	/* s_fakechase3s */
	SetGSStruct(false,SPR_FAKE_W4,8,T_Fake,NULL,s_fakechase1);	/* s_fakechase4  */

	SetGSStruct(false,SPR_FAKE_DIE1,10,NULL,A_DeathScream,s_fakedie2);	/* s_fakedie1 */
	SetGSStruct(false,SPR_FAKE_DIE2,10,NULL,NULL,s_fakedie3);	/* s_fakedie2 */
	SetGSStruct(false,SPR_FAKE_DIE3,10,NULL,NULL,s_fakedie4);	/* s_fakedie3 */
	SetGSStruct(false,SPR_FAKE_DIE4,10,NULL,NULL,s_fakedie5);	/* s_fakedie4 */
	SetGSStruct(false,SPR_FAKE_DIE5,10,NULL,NULL,s_fakedie6);	/* s_fakedie5 */
	SetGSStruct(false,SPR_FAKE_DEAD,0,NULL,NULL,s_fakedie6);	/* s_fakedie6 */

	SetGSStruct(false,SPR_FAKE_SHOOT,8,NULL,T_FakeFire,s_fakeshoot2);	/* s_fakeshoot1  */
	SetGSStruct(false,SPR_FAKE_SHOOT,8,NULL,T_FakeFire,s_fakeshoot3);	/* s_fakeshoot2  */
	SetGSStruct(false,SPR_FAKE_SHOOT,8,NULL,T_FakeFire,s_fakeshoot4);	/* s_fakeshoot3  */
	SetGSStruct(false,SPR_FAKE_SHOOT,8,NULL,T_FakeFire,s_fakeshoot5);	/* s_fakeshoot4  */
	SetGSStruct(false,SPR_FAKE_SHOOT,8,NULL,T_FakeFire,s_fakeshoot6);	/* s_fakeshoot5  */
	SetGSStruct(false,SPR_FAKE_SHOOT,8,NULL,T_FakeFire,s_fakeshoot7);	/* s_fakeshoot6  */
	SetGSStruct(false,SPR_FAKE_SHOOT,8,NULL,T_FakeFire,s_fakeshoot8);	/* s_fakeshoot7  */
	SetGSStruct(false,SPR_FAKE_SHOOT,8,NULL,T_FakeFire,s_fakeshoot9);	/* s_fakeshoot8  */
	SetGSStruct(false,SPR_FAKE_SHOOT,8,NULL,NULL,s_fakechase1);	/* s_fakeshoot9  */

	SetGSStruct(false,SPR_FIRE1,6,NULL,T_Projectile,s_fire2);	/* s_fire1  */
	SetGSStruct(false,SPR_FIRE2,6,NULL,T_Projectile,s_fire1);	/* s_fire2  */


	SetGSStruct(false,SPR_MECHA_W1,0,T_Stand,NULL,s_mechastand);	/* s_mechastand */

	SetGSStruct(false,SPR_MECHA_W1,10,T_Chase,A_MechaSound,s_mechachase1s);	/* s_mechachase1  */
	SetGSStruct(false,SPR_MECHA_W1,6,NULL,NULL,s_mechachase2);	/* s_mechachase1s */
	SetGSStruct(false,SPR_MECHA_W2,8,T_Chase,NULL,s_mechachase3);	/* s_mechachase2  */
	SetGSStruct(false,SPR_MECHA_W3,10,T_Chase,A_MechaSound,s_mechachase3s);	/* s_mechachase3  */
	SetGSStruct(false,SPR_MECHA_W3,6,NULL,NULL,s_mechachase4);	/* s_mechachase3s */
	SetGSStruct(false,SPR_MECHA_W4,8,T_Chase,NULL,s_mechachase1);	/* s_mechachase4  */

	SetGSStruct(false,SPR_MECHA_DIE1,10,NULL,A_DeathScream,s_mechadie2);	/* s_mechadie1 */
	SetGSStruct(false,SPR_MECHA_DIE2,10,NULL,NULL,s_mechadie3);	/* s_mechadie2 */
	SetGSStruct(false,SPR_MECHA_DIE3,10,NULL,A_HitlerMorph,s_mechadie4);	/* s_mechadie3 */
	SetGSStruct(false,SPR_MECHA_DEAD,0,NULL,NULL,s_mechadie4);	/* s_mechadie4 */

	SetGSStruct(false,SPR_MECHA_SHOOT1,30,NULL,NULL,s_mechashoot2);	/* s_mechashoot1  */
	SetGSStruct(false,SPR_MECHA_SHOOT2,10,NULL,T_Shoot,s_mechashoot3);	/* s_mechashoot2  */
	SetGSStruct(false,SPR_MECHA_SHOOT3,10,NULL,T_Shoot,s_mechashoot4);	/* s_mechashoot3  */
	SetGSStruct(false,SPR_MECHA_SHOOT2,10,NULL,T_Shoot,s_mechashoot5);	/* s_mechashoot4  */
	SetGSStruct(false,SPR_MECHA_SHOOT3,10,NULL,T_Shoot,s_mechashoot6);	/* s_mechashoot5  */
	SetGSStruct(false,SPR_MECHA_SHOOT2,10,NULL,T_Shoot,s_mechachase1);	/* s_mechashoot6  */


	SetGSStruct(false,SPR_HITLER_W1,6,T_Chase,NULL,s_hitlerchase1s);	/* s_hitlerchase1  */
	SetGSStruct(false,SPR_HITLER_W1,4,NULL,NULL,s_hitlerchase2);	/* s_hitlerchase1s */
	SetGSStruct(false,SPR_HITLER_W2,2,T_Chase,NULL,s_hitlerchase3);	/* s_hitlerchase2  */
	SetGSStruct(false,SPR_HITLER_W3,6,T_Chase,NULL,s_hitlerchase3s);	/* s_hitlerchase3  */
	SetGSStruct(false,SPR_HITLER_W3,4,NULL,NULL,s_hitlerchase4);	/* s_hitlerchase3s */
	SetGSStruct(false,SPR_HITLER_W4,2,T_Chase,NULL,s_hitlerchase1);	/* s_hitlerchase4  */

	SetGSStruct(false,SPR_HITLER_W1,10,NULL,NULL,s_hitlerdie1);	/* s_hitlerdeathcam */

	SetGSStruct(false,SPR_HITLER_W1,1,NULL,A_DeathScream,s_hitlerdie2);	/* s_hitlerdie1 */
	SetGSStruct(false,SPR_HITLER_W1,10,NULL,NULL,s_hitlerdie3);	/* s_hitlerdie2 */
	SetGSStruct(false,SPR_HITLER_DIE1,10,NULL,A_Slurpie,s_hitlerdie4);	/* s_hitlerdie3 */
	SetGSStruct(false,SPR_HITLER_DIE2,10,NULL,NULL,s_hitlerdie5);	/* s_hitlerdie4 */
	SetGSStruct(false,SPR_HITLER_DIE3,10,NULL,NULL,s_hitlerdie6);	/* s_hitlerdie5 */
	SetGSStruct(false,SPR_HITLER_DIE4,10,NULL,NULL,s_hitlerdie7);	/* s_hitlerdie6 */
	SetGSStruct(false,SPR_HITLER_DIE5,10,NULL,NULL,s_hitlerdie8);	/* s_hitlerdie7 */
	SetGSStruct(false,SPR_HITLER_DIE6,10,NULL,NULL,s_hitlerdie9);	/* s_hitlerdie8 */
	SetGSStruct(false,SPR_HITLER_DIE7,10,NULL,NULL,s_hitlerdie10);	/* s_hitlerdie9 */
	SetGSStruct(false,SPR_HITLER_DEAD,20,NULL,A_StartDeathCam,s_hitlerdie10);	/* s_hitlerdie10 */

	SetGSStruct(false,SPR_HITLER_SHOOT1,30,NULL,NULL,s_hitlershoot2);	/* s_hitlershoot1  */
	SetGSStruct(false,SPR_HITLER_SHOOT2,10,NULL,T_Shoot,s_hitlershoot3);	/* s_hitlershoot2  */
	SetGSStruct(false,SPR_HITLER_SHOOT3,10,NULL,T_Shoot,s_hitlershoot4);	/* s_hitlershoot3  */
	SetGSStruct(false,SPR_HITLER_SHOOT2,10,NULL,T_Shoot,s_hitlershoot5);	/* s_hitlershoot4  */
	SetGSStruct(false,SPR_HITLER_SHOOT3,10,NULL,T_Shoot,s_hitlershoot6);	/* s_hitlershoot5  */
	SetGSStruct(false,SPR_HITLER_SHOOT2,10,NULL,T_Shoot,s_hitlerchase1);	/* s_hitlershoot6  */



	SetGSStruct(false,SPR_BJ_W1,12,T_BJRun,NULL,s_bjrun1s);	/* s_bjrun1  */
	SetGSStruct(false,SPR_BJ_W1,3, NULL,NULL,s_bjrun2);	/* s_bjrun1s */
	SetGSStruct(false,SPR_BJ_W2,8,T_BJRun,NULL,s_bjrun3);	/* s_bjrun2  */
	SetGSStruct(false,SPR_BJ_W3,12,T_BJRun,NULL,s_bjrun3s);	/* s_bjrun3  */
	SetGSStruct(false,SPR_BJ_W3,3, NULL,NULL,s_bjrun4);	/* s_bjrun3s */
	SetGSStruct(false,SPR_BJ_W4,8,T_BJRun,NULL,s_bjrun1);	/* s_bjrun4  */


	SetGSStruct(false,SPR_BJ_JUMP1,14,T_BJJump,NULL,s_bjjump2);	/* s_bjjump1 */
	SetGSStruct(false,SPR_BJ_JUMP2,14,T_BJJump,T_BJYell,s_bjjump3);	/* s_bjjump2 */
	SetGSStruct(false,SPR_BJ_JUMP3,14,T_BJJump,NULL,s_bjjump4);	/* s_bjjump3 */
	SetGSStruct(false,SPR_BJ_JUMP4,300,NULL,T_BJDone,s_bjjump4);	/* s_bjjump4 */


	SetGSStruct(false,0,0,NULL,NULL, s_none);	/* s_deathcam */


	SetGSStruct(false,0,0,T_Player,NULL, s_none);	/* s_player */
	SetGSStruct(false,0,0,T_Attack,NULL, s_none);	/* s_attack */

    }

    else { /* SPEAR */

	SetGSStruct(false,0,0,NULL,NULL,s_none);	/* s_none */
	SetGSStruct(false,SPR_BOOM_1,6,NULL,NULL,s_boom2);	/* s_boom1 */
	SetGSStruct(false,SPR_BOOM_2,6,NULL,NULL,s_boom3);	/* s_boom2 */
	SetGSStruct(false,SPR_BOOM_3,6,NULL,NULL, s_none);	/* s_boom3 */

	SetGSStruct(true,SPR_ROCKET_1,3,T_Projectile,A_Smoke,s_rocket);	/* s_rocket */

	SetGSStruct(false,SPR_SMOKE_1,3,NULL,NULL,s_smoke2);	/* s_smoke1 */
	SetGSStruct(false,SPR_SMOKE_2,3,NULL,NULL,s_smoke3);	/* s_smoke2 */
	SetGSStruct(false,SPR_SMOKE_3,3,NULL,NULL,s_smoke4);	/* s_smoke3 */
	SetGSStruct(false,SPR_SMOKE_4,3,NULL,NULL, s_none);	/* s_smoke4 */


/* guards */
	SetGSStruct(true,SPR_GRD_S_1,0,T_Stand,NULL,s_grdstand);	/* s_grdstand */

	SetGSStruct(true,SPR_GRD_W1_1,20,T_Path,NULL,s_grdpath1s);	/* s_grdpath1  */
	SetGSStruct(true,SPR_GRD_W1_1,5,NULL,NULL,s_grdpath2);	/* s_grdpath1s  */
	SetGSStruct(true,SPR_GRD_W2_1,15,T_Path,NULL,s_grdpath3);	/* s_grdpath2  */
	SetGSStruct(true,SPR_GRD_W3_1,20,T_Path,NULL,s_grdpath3s);	/* s_grdpath3  */
	SetGSStruct(true,SPR_GRD_W3_1,5,NULL,NULL,s_grdpath4);	/* s_grdpath3s  */
	SetGSStruct(true,SPR_GRD_W4_1,15,T_Path,NULL,s_grdpath1);	/* s_grdpath4  */

	SetGSStruct(2,SPR_GRD_PAIN_1,10,NULL,NULL,s_grdchase1);	/* s_grdpain  */
	SetGSStruct(2,SPR_GRD_PAIN_2,10,NULL,NULL,s_grdchase1);	/* s_grdpain1  */

	SetGSStruct(false,SPR_GRD_SHOOT1,20,NULL,NULL,s_grdshoot2);	/* s_grdshoot1  */
	SetGSStruct(false,SPR_GRD_SHOOT2,20,NULL,T_Shoot,s_grdshoot3);	/* s_grdshoot2  */
	SetGSStruct(false,SPR_GRD_SHOOT3,20,NULL,NULL,s_grdchase1);	/* s_grdshoot3  */

	SetGSStruct(true,SPR_GRD_W1_1,10,T_Chase,NULL,s_grdchase1s);	/* s_grdchase1  */
	SetGSStruct(true,SPR_GRD_W1_1,3,NULL,NULL,s_grdchase2);	/* s_grdchase1s  */
	SetGSStruct(true,SPR_GRD_W2_1,8,T_Chase,NULL,s_grdchase3);	/* s_grdchase2  */
	SetGSStruct(true,SPR_GRD_W3_1,10,T_Chase,NULL,s_grdchase3s);	/* s_grdchase3  */
	SetGSStruct(true,SPR_GRD_W3_1,3,NULL,NULL,s_grdchase4);	/* s_grdchase3s  */
	SetGSStruct(true,SPR_GRD_W4_1,8,T_Chase,NULL,s_grdchase1);	/* s_grdchase4  */

	SetGSStruct(false,SPR_GRD_DIE_1,15,NULL,A_DeathScream,s_grddie2);	/* s_grddie1	 */
	SetGSStruct(false,SPR_GRD_DIE_2,15,NULL,NULL,s_grddie3);	/* s_grddie2	 */
	SetGSStruct(false,SPR_GRD_DIE_3,15,NULL,NULL,s_grddie4);	/* s_grddie3	 */
	SetGSStruct(false,SPR_GRD_DEAD,0,NULL,NULL,s_grddie4);	/* s_grddie4	 */



	SetGSStruct(true,SPR_DOG_W1_1,20,T_Path,NULL,s_dogpath1s);	/* s_dogpath1  */
	SetGSStruct(true,SPR_DOG_W1_1,5,NULL,NULL,s_dogpath2);	/* s_dogpath1s  */
	SetGSStruct(true,SPR_DOG_W2_1,15,T_Path,NULL,s_dogpath3);	/* s_dogpath2  */
	SetGSStruct(true,SPR_DOG_W3_1,20,T_Path,NULL,s_dogpath3s);	/* s_dogpath3  */
	SetGSStruct(true,SPR_DOG_W3_1,5,NULL,NULL,s_dogpath4);	/* s_dogpath3s  */
	SetGSStruct(true,SPR_DOG_W4_1,15,T_Path,NULL,s_dogpath1);	/* s_dogpath4  */

	SetGSStruct(false,SPR_DOG_JUMP1,10,NULL,NULL,s_dogjump2);	/* s_dogjump1  */
	SetGSStruct(false,SPR_DOG_JUMP2,10,NULL,T_Bite,s_dogjump3);	/* s_dogjump2  */
	SetGSStruct(false,SPR_DOG_JUMP3,10,NULL,NULL,s_dogjump4);	/* s_dogjump3  */
	SetGSStruct(false,SPR_DOG_JUMP1,10,NULL,NULL,s_dogjump5);	/* s_dogjump4  */
	SetGSStruct(false,SPR_DOG_W1_1,10,NULL,NULL,s_dogchase1);	/* s_dogjump5  */

	SetGSStruct(true,SPR_DOG_W1_1,10,T_DogChase,NULL,s_dogchase1s);	/* s_dogchase1  */
	SetGSStruct(true,SPR_DOG_W1_1,3,NULL,NULL,s_dogchase2);	/* s_dogchase1s  */
	SetGSStruct(true,SPR_DOG_W2_1,8,T_DogChase,NULL,s_dogchase3);	/* s_dogchase2  */
	SetGSStruct(true,SPR_DOG_W3_1,10,T_DogChase,NULL,s_dogchase3s);	/* s_dogchase3  */
	SetGSStruct(true,SPR_DOG_W3_1,3,NULL,NULL,s_dogchase4);	/* s_dogchase3s  */
	SetGSStruct(true,SPR_DOG_W4_1,8,T_DogChase,NULL,s_dogchase1);	/* s_dogchase4  */

	SetGSStruct(false,SPR_DOG_DIE_1,15,NULL,A_DeathScream,s_dogdie2);	/* s_dogdie1	 */
	SetGSStruct(false,SPR_DOG_DIE_2,15,NULL,NULL,s_dogdie3);	/* s_dogdie2	 */
	SetGSStruct(false,SPR_DOG_DIE_3,15,NULL,NULL,s_dogdead);	/* s_dogdie3	 */
	SetGSStruct(false,SPR_DOG_DEAD,15,NULL,NULL,s_dogdead);	/* s_dogdead	 */

	SetGSStruct(true,SPR_OFC_S_1,0,T_Stand,NULL,s_ofcstand);	/* s_ofcstand */

	SetGSStruct(true,SPR_OFC_W1_1,20,T_Path,NULL,s_ofcpath1s);	/* s_ofcpath1  */
	SetGSStruct(true,SPR_OFC_W1_1,5,NULL,NULL,s_ofcpath2);	/* s_ofcpath1s  */
	SetGSStruct(true,SPR_OFC_W2_1,15,T_Path,NULL,s_ofcpath3);	/* s_ofcpath2  */
	SetGSStruct(true,SPR_OFC_W3_1,20,T_Path,NULL,s_ofcpath3s);	/* s_ofcpath3  */
	SetGSStruct(true,SPR_OFC_W3_1,5,NULL,NULL,s_ofcpath4);	/* s_ofcpath3s  */
	SetGSStruct(true,SPR_OFC_W4_1,15,T_Path,NULL,s_ofcpath1);	/* s_ofcpath4  */

	SetGSStruct(2,SPR_OFC_PAIN_1,10,NULL,NULL,s_ofcchase1);	/* s_ofcpain  */
	SetGSStruct(2,SPR_OFC_PAIN_2,10,NULL,NULL,s_ofcchase1);	/* s_ofcpain1  */

	SetGSStruct(false,SPR_OFC_SHOOT1,6,NULL,NULL,s_ofcshoot2);	/* s_ofcshoot1  */
	SetGSStruct(false,SPR_OFC_SHOOT2,20,NULL,T_Shoot,s_ofcshoot3);	/* s_ofcshoot2  */
	SetGSStruct(false,SPR_OFC_SHOOT3,10,NULL,NULL,s_ofcchase1);	/* s_ofcshoot3  */

	SetGSStruct(true,SPR_OFC_W1_1,10,T_Chase,NULL,s_ofcchase1s);	/* s_ofcchase1  */
	SetGSStruct(true,SPR_OFC_W1_1,3,NULL,NULL,s_ofcchase2);	/* s_ofcchase1s  */
	SetGSStruct(true,SPR_OFC_W2_1,8,T_Chase,NULL,s_ofcchase3);	/* s_ofcchase2  */
	SetGSStruct(true,SPR_OFC_W3_1,10,T_Chase,NULL,s_ofcchase3s);	/* s_ofcchase3  */
	SetGSStruct(true,SPR_OFC_W3_1,3,NULL,NULL,s_ofcchase4);	/* s_ofcchase3s  */
	SetGSStruct(true,SPR_OFC_W4_1,8,T_Chase,NULL,s_ofcchase1);	/* s_ofcchase4  */

	SetGSStruct(false,SPR_OFC_DIE_1,11,NULL,A_DeathScream,s_ofcdie2);	/* s_ofcdie1	 */
	SetGSStruct(false,SPR_OFC_DIE_2,11,NULL,NULL,s_ofcdie3);	/* s_ofcdie2	 */
	SetGSStruct(false,SPR_OFC_DIE_3,11,NULL,NULL,s_ofcdie4);	/* s_ofcdie3	 */
	SetGSStruct(false,SPR_OFC_DIE_4,11,NULL,NULL,s_ofcdie5);	/* s_ofcdie4	 */
	SetGSStruct(false,SPR_OFC_DEAD,0,NULL,NULL,s_ofcdie5);	/* s_ofcdie5	 */


	SetGSStruct(true,SPR_MUT_S_1,0,T_Stand,NULL,s_mutstand);	/* s_mutstand */

	SetGSStruct(true,SPR_MUT_W1_1,20,T_Path,NULL,s_mutpath1s);	/* s_mutpath1  */
	SetGSStruct(true,SPR_MUT_W1_1,5,NULL,NULL,s_mutpath2);	/* s_mutpath1s  */
	SetGSStruct(true,SPR_MUT_W2_1,15,T_Path,NULL,s_mutpath3);	/* s_mutpath2  */
	SetGSStruct(true,SPR_MUT_W3_1,20,T_Path,NULL,s_mutpath3s);	/* s_mutpath3  */
	SetGSStruct(true,SPR_MUT_W3_1,5,NULL,NULL,s_mutpath4);	/* s_mutpath3s  */
	SetGSStruct(true,SPR_MUT_W4_1,15,T_Path,NULL,s_mutpath1);	/* s_mutpath4  */

	SetGSStruct(2,SPR_MUT_PAIN_1,10,NULL,NULL,s_mutchase1);	/* s_mutpain  */
	SetGSStruct(2,SPR_MUT_PAIN_2,10,NULL,NULL,s_mutchase1);	/* s_mutpain1  */

	SetGSStruct(false,SPR_MUT_SHOOT1,6,NULL,T_Shoot,s_mutshoot2);	/* s_mutshoot1  */
	SetGSStruct(false,SPR_MUT_SHOOT2,20,NULL,NULL,s_mutshoot3);	/* s_mutshoot2  */
	SetGSStruct(false,SPR_MUT_SHOOT3,10,NULL,T_Shoot,s_mutshoot4);	/* s_mutshoot3  */
	SetGSStruct(false,SPR_MUT_SHOOT4,20,NULL,NULL,s_mutchase1);	/* s_mutshoot4  */

	SetGSStruct(true,SPR_MUT_W1_1,10,T_Chase,NULL,s_mutchase1s);	/* s_mutchase1  */
	SetGSStruct(true,SPR_MUT_W1_1,3,NULL,NULL,s_mutchase2);	/* s_mutchase1s  */
	SetGSStruct(true,SPR_MUT_W2_1,8,T_Chase,NULL,s_mutchase3);	/* s_mutchase2  */
	SetGSStruct(true,SPR_MUT_W3_1,10,T_Chase,NULL,s_mutchase3s);	/* s_mutchase3  */
	SetGSStruct(true,SPR_MUT_W3_1,3,NULL,NULL,s_mutchase4);	/* s_mutchase3s  */
	SetGSStruct(true,SPR_MUT_W4_1,8,T_Chase,NULL,s_mutchase1);	/* s_mutchase4  */

	SetGSStruct(false,SPR_MUT_DIE_1,7,NULL,A_DeathScream,s_mutdie2);	/* s_mutdie1	 */
	SetGSStruct(false,SPR_MUT_DIE_2,7,NULL,NULL,s_mutdie3);	/* s_mutdie2	 */
	SetGSStruct(false,SPR_MUT_DIE_3,7,NULL,NULL,s_mutdie4);	/* s_mutdie3	 */
	SetGSStruct(false,SPR_MUT_DIE_4,7,NULL,NULL,s_mutdie5);	/* s_mutdie4	 */
	SetGSStruct(false,SPR_MUT_DEAD,0,NULL,NULL,s_mutdie5);	/* s_mutdie5	 */


	SetGSStruct(true,SPR_SS_S_1,0,T_Stand,NULL,s_ssstand);	/* s_ssstand */

	SetGSStruct(true,SPR_SS_W1_1,20,T_Path,NULL,s_sspath1s);	/* s_sspath1  */
	SetGSStruct(true,SPR_SS_W1_1,5,NULL,NULL,s_sspath2);	/* s_sspath1s  */
	SetGSStruct(true,SPR_SS_W2_1,15,T_Path,NULL,s_sspath3);	/* s_sspath2  */
	SetGSStruct(true,SPR_SS_W3_1,20,T_Path,NULL,s_sspath3s);	/* s_sspath3  */
	SetGSStruct(true,SPR_SS_W3_1,5,NULL,NULL,s_sspath4);	/* s_sspath3s  */
	SetGSStruct(true,SPR_SS_W4_1,15,T_Path,NULL,s_sspath1);	/* s_sspath4  */

	SetGSStruct(2,SPR_SS_PAIN_1,10,NULL,NULL,s_sschase1);	/* s_sspain 	 */
	SetGSStruct(2,SPR_SS_PAIN_2,10,NULL,NULL,s_sschase1);	/* s_sspain1  */

	SetGSStruct(false,SPR_SS_SHOOT1,20,NULL,NULL,s_ssshoot2);	/* s_ssshoot1  */
	SetGSStruct(false,SPR_SS_SHOOT2,20,NULL,T_Shoot,s_ssshoot3);	/* s_ssshoot2  */
	SetGSStruct(false,SPR_SS_SHOOT3,10,NULL,NULL,s_ssshoot4);	/* s_ssshoot3  */
	SetGSStruct(false,SPR_SS_SHOOT2,10,NULL,T_Shoot,s_ssshoot5);	/* s_ssshoot4  */
	SetGSStruct(false,SPR_SS_SHOOT3,10,NULL,NULL,s_ssshoot6);	/* s_ssshoot5  */
	SetGSStruct(false,SPR_SS_SHOOT2,10,NULL,T_Shoot,s_ssshoot7);	/* s_ssshoot6  */
	SetGSStruct(false,SPR_SS_SHOOT3,10,NULL,NULL,s_ssshoot8);	/* s_ssshoot7   */
	SetGSStruct(false,SPR_SS_SHOOT2,10,NULL,T_Shoot,s_ssshoot9);	/* s_ssshoot8   */
	SetGSStruct(false,SPR_SS_SHOOT3,10,NULL,NULL,s_sschase1);	/* s_ssshoot9   */

	SetGSStruct(true,SPR_SS_W1_1,10,T_Chase,NULL,s_sschase1s);	/* s_sschase1  */
	SetGSStruct(true,SPR_SS_W1_1,3,NULL,NULL,s_sschase2);	/* s_sschase1s  */
	SetGSStruct(true,SPR_SS_W2_1,8,T_Chase,NULL,s_sschase3);	/* s_sschase2  */
	SetGSStruct(true,SPR_SS_W3_1,10,T_Chase,NULL,s_sschase3s);	/* s_sschase3  */
	SetGSStruct(true,SPR_SS_W3_1,3,NULL,NULL,s_sschase4);	/* s_sschase3s  */
	SetGSStruct(true,SPR_SS_W4_1,8,T_Chase,NULL,s_sschase1);	/* s_sschase4  */

	SetGSStruct(false,SPR_SS_DIE_1,15,NULL,A_DeathScream,s_ssdie2);	/* s_ssdie1	 */
	SetGSStruct(false,SPR_SS_DIE_2,15,NULL,NULL,s_ssdie3);	/* s_ssdie2	 */
	SetGSStruct(false,SPR_SS_DIE_3,15,NULL,NULL,s_ssdie4);	/* s_ssdie3	 */
	SetGSStruct(false,SPR_SS_DEAD,0,NULL,NULL,s_ssdie4);	/* s_ssdie4	 */


	SetGSStruct(true,SPR_HROCKET_1,3,T_Projectile,A_Smoke,s_hrocket);	/* s_hrocket	  */
	SetGSStruct(false,SPR_HSMOKE_1,3,NULL,NULL,s_hsmoke2);	/* s_hsmoke1	  */
	SetGSStruct(false,SPR_HSMOKE_2,3,NULL,NULL,s_hsmoke3);	/* s_hsmoke2	  */
	SetGSStruct(false,SPR_HSMOKE_3,3,NULL,NULL,s_hsmoke4);	/* s_hsmoke3	  */
	SetGSStruct(false,SPR_HSMOKE_4,3,NULL,NULL, s_none);	/* s_hsmoke4	  */

	SetGSStruct(false,SPR_HBOOM_1,6,NULL,NULL,s_hboom2);	/* s_hboom1	  */
	SetGSStruct(false,SPR_HBOOM_2,6,NULL,NULL,s_hboom3);	/* s_hboom2	  */
	SetGSStruct(false,SPR_HBOOM_3,6,NULL,NULL,s_none);	/* s_hboom3	  */

	SetGSStruct(false,SPR_TRANS_W1,0,T_Stand,NULL,s_transstand);	/* s_transstand */

	SetGSStruct(false,SPR_TRANS_W1,10,T_Chase,NULL,s_transchase1s);	/* s_transchase1  */
	SetGSStruct(false,SPR_TRANS_W1,3,NULL,NULL,s_transchase2);	/* s_transchase1s */
	SetGSStruct(false,SPR_TRANS_W2,8,T_Chase,NULL,s_transchase3);	/* s_transchase2  */
	SetGSStruct(false,SPR_TRANS_W3,10,T_Chase,NULL,s_transchase3s);	/* s_transchase3  */
	SetGSStruct(false,SPR_TRANS_W3,3,NULL,NULL,s_transchase4);	/* s_transchase3s */
	SetGSStruct(false,SPR_TRANS_W4,8,T_Chase,NULL,s_transchase1);	/* s_transchase4  */

	SetGSStruct(false,SPR_TRANS_W1,1,NULL,A_DeathScream,s_transdie01);	/* s_transdie0 */
	SetGSStruct(false,SPR_TRANS_W1,1,NULL,NULL,s_transdie1);	/* s_transdie01 */
	SetGSStruct(false,SPR_TRANS_DIE1,15,NULL,NULL,s_transdie2);	/* s_transdie1 */
	SetGSStruct(false,SPR_TRANS_DIE2,15,NULL,NULL,s_transdie3);	/* s_transdie2 */
	SetGSStruct(false,SPR_TRANS_DIE3,15,NULL,NULL,s_transdie4);	/* s_transdie3 */
	SetGSStruct(false,SPR_TRANS_DEAD,0,NULL,NULL,s_transdie4);	/* s_transdie4 */

	SetGSStruct(false,SPR_TRANS_SHOOT1,30,NULL,NULL,s_transshoot2);	/* s_transshoot1  */
	SetGSStruct(false,SPR_TRANS_SHOOT2,10,NULL,T_Shoot,s_transshoot3);	/* s_transshoot2  */
	SetGSStruct(false,SPR_TRANS_SHOOT3,10,NULL,T_Shoot,s_transshoot4);	/* s_transshoot3  */
	SetGSStruct(false,SPR_TRANS_SHOOT2,10,NULL,T_Shoot,s_transshoot5);	/* s_transshoot4  */
	SetGSStruct(false,SPR_TRANS_SHOOT3,10,NULL,T_Shoot,s_transshoot6);	/* s_transshoot5  */
	SetGSStruct(false,SPR_TRANS_SHOOT2,10,NULL,T_Shoot,s_transshoot7);	/* s_transshoot6  */
	SetGSStruct(false,SPR_TRANS_SHOOT3,10,NULL,T_Shoot,s_transshoot8);	/* s_transshoot7  */
	SetGSStruct(false,SPR_TRANS_SHOOT1,10,NULL,NULL,s_transchase1);	/* s_transshoot8  */


	SetGSStruct(false,SPR_UBER_W1,0,T_Stand,NULL,s_uberstand);	/* s_uberstand */

	SetGSStruct(false,SPR_UBER_W1,10,T_Chase,NULL,s_uberchase1s);	/* s_uberchase1  */
	SetGSStruct(false,SPR_UBER_W1,3,NULL,NULL,s_uberchase2);	/* s_uberchase1s */
	SetGSStruct(false,SPR_UBER_W2,8,T_Chase,NULL,s_uberchase3);	/* s_uberchase2  */
	SetGSStruct(false,SPR_UBER_W3,10,T_Chase,NULL,s_uberchase3s);	/* s_uberchase3  */
	SetGSStruct(false,SPR_UBER_W3,3,NULL,NULL,s_uberchase4);	/* s_uberchase3s */
	SetGSStruct(false,SPR_UBER_W4,8,T_Chase,NULL,s_uberchase1);	/* s_uberchase4  */

	SetGSStruct(false,SPR_UBER_W1,1,NULL,A_DeathScream,s_uberdie01);	/* s_uberdie0 */
	SetGSStruct(false,SPR_UBER_W1,1,NULL,NULL,s_uberdie1);	/* s_uberdie01 */
	SetGSStruct(false,SPR_UBER_DIE1,15,NULL,NULL,s_uberdie2);	/* s_uberdie1 */
	SetGSStruct(false,SPR_UBER_DIE2,15,NULL,NULL,s_uberdie3);	/* s_uberdie2 */
	SetGSStruct(false,SPR_UBER_DIE3,15,NULL,NULL,s_uberdie4);	/* s_uberdie3 */
	SetGSStruct(false,SPR_UBER_DIE4,15,NULL,NULL,s_uberdie5);	/* s_uberdie4 */
	SetGSStruct(false,SPR_UBER_DEAD,0,NULL,NULL,s_uberdie5);	/* s_uberdie5 */

	SetGSStruct(false,SPR_UBER_SHOOT1,30,NULL,NULL,s_ubershoot2);	/* s_ubershoot1  */
	SetGSStruct(false,SPR_UBER_SHOOT2,12,NULL,T_UShoot,s_ubershoot3);	/* s_ubershoot2  */
	SetGSStruct(false,SPR_UBER_SHOOT3,12,NULL,T_UShoot,s_ubershoot4);	/* s_ubershoot3  */
	SetGSStruct(false,SPR_UBER_SHOOT4,12,NULL,T_UShoot,s_ubershoot5);	/* s_ubershoot4  */
	SetGSStruct(false,SPR_UBER_SHOOT3,12,NULL,T_UShoot,s_ubershoot6);	/* s_ubershoot5  */
	SetGSStruct(false,SPR_UBER_SHOOT2,12,NULL,T_UShoot,s_ubershoot7);	/* s_ubershoot6  */
	SetGSStruct(false,SPR_UBER_SHOOT1,12,NULL,NULL,s_uberchase1);	/* s_ubershoot7  */


	SetGSStruct(false,SPR_WILL_W1,0,T_Stand,NULL,s_willstand);	/* s_willstand */

	SetGSStruct(false,SPR_WILL_W1,10,T_Will,NULL,s_willchase1s);	/* s_willchase1  */
	SetGSStruct(false,SPR_WILL_W1,3,NULL,NULL,s_willchase2);	/* s_willchase1s */
	SetGSStruct(false,SPR_WILL_W2,8,T_Will,NULL,s_willchase3);	/* s_willchase2  */
	SetGSStruct(false,SPR_WILL_W3,10,T_Will,NULL,s_willchase3s);	/* s_willchase3  */
	SetGSStruct(false,SPR_WILL_W3,3,NULL,NULL,s_willchase4);	/* s_willchase3s */
	SetGSStruct(false,SPR_WILL_W4,8,T_Will,NULL,s_willchase1);	/* s_willchase4  */

	SetGSStruct(false,SPR_WILL_W1,1,NULL,A_DeathScream,s_willdie2);	/* s_willdie1 */
	SetGSStruct(false,SPR_WILL_W1,10,NULL,NULL,s_willdie3);	/* s_willdie2 */
	SetGSStruct(false,SPR_WILL_DIE1,10,NULL,NULL,s_willdie4);	/* s_willdie3 */
	SetGSStruct(false,SPR_WILL_DIE2,10,NULL,NULL,s_willdie5);	/* s_willdie4 */
	SetGSStruct(false,SPR_WILL_DIE3,10,NULL,NULL,s_willdie6);	/* s_willdie5 */
	SetGSStruct(false,SPR_WILL_DEAD,20,NULL,NULL,s_willdie6);	/* s_willdie6 */

	SetGSStruct(false,SPR_WILL_SHOOT1,30,NULL,NULL,s_willshoot2);	/* s_willshoot1  */
	SetGSStruct(false,SPR_WILL_SHOOT2,10,NULL,T_Launch,s_willshoot3);	/* s_willshoot2  */
	SetGSStruct(false,SPR_WILL_SHOOT3,10,NULL,T_Shoot,s_willshoot4);	/* s_willshoot3  */
	SetGSStruct(false,SPR_WILL_SHOOT4,10,NULL,T_Shoot,s_willshoot5);	/* s_willshoot4  */
	SetGSStruct(false,SPR_WILL_SHOOT3,10,NULL,T_Shoot,s_willshoot6);	/* s_willshoot5  */
	SetGSStruct(false,SPR_WILL_SHOOT4,10,NULL,T_Shoot,s_willchase1);	/* s_willshoot6  */


	SetGSStruct(false,SPR_DEATH_W1,0,T_Stand,NULL,s_deathstand);	/* s_deathstand */

	SetGSStruct(false,SPR_DEATH_W1,10,T_Will,NULL,s_deathchase1s);	/* s_deathchase1  */
	SetGSStruct(false,SPR_DEATH_W1,3,NULL,NULL,s_deathchase2);	/* s_deathchase1s */
	SetGSStruct(false,SPR_DEATH_W2,8,T_Will,NULL,s_deathchase3);	/* s_deathchase2  */
	SetGSStruct(false,SPR_DEATH_W3,10,T_Will,NULL,s_deathchase3s);	/* s_deathchase3  */
	SetGSStruct(false,SPR_DEATH_W3,3,NULL,NULL,s_deathchase4);	/* s_deathchase3s */
	SetGSStruct(false,SPR_DEATH_W4,8,T_Will,NULL,s_deathchase1);	/* s_deathchase4  */

	SetGSStruct(false,SPR_DEATH_W1,1,NULL,A_DeathScream,s_deathdie2);	/* s_deathdie1 */
	SetGSStruct(false,SPR_DEATH_W1,10,NULL,NULL,s_deathdie3);	/* s_deathdie2 */
	SetGSStruct(false,SPR_DEATH_DIE1,10,NULL,NULL,s_deathdie4);	/* s_deathdie3 */
	SetGSStruct(false,SPR_DEATH_DIE2,10,NULL,NULL,s_deathdie5);	/* s_deathdie4 */
	SetGSStruct(false,SPR_DEATH_DIE3,10,NULL,NULL,s_deathdie6);	/* s_deathdie5 */
	SetGSStruct(false,SPR_DEATH_DIE4,10,NULL,NULL,s_deathdie7);	/* s_deathdie6 */
	SetGSStruct(false,SPR_DEATH_DIE5,10,NULL,NULL,s_deathdie8);	/* s_deathdie7 */
	SetGSStruct(false,SPR_DEATH_DIE6,10,NULL,NULL,s_deathdie9);	/* s_deathdie8 */
	SetGSStruct(false,SPR_DEATH_DEAD,0,NULL,NULL,s_deathdie9);	/* s_deathdie9 */

	SetGSStruct(false,SPR_DEATH_SHOOT1,30,NULL,NULL,s_deathshoot2);	/* s_deathshoot1  */
	SetGSStruct(false,SPR_DEATH_SHOOT2,10,NULL,T_Launch,s_deathshoot3);	/* s_deathshoot2  */
	SetGSStruct(false,SPR_DEATH_SHOOT4,10,NULL,T_Shoot,s_deathshoot4);	/* s_deathshoot3  */
	SetGSStruct(false,SPR_DEATH_SHOOT3,10,NULL,T_Launch,s_deathshoot5);	/* s_deathshoot4  */
	SetGSStruct(false,SPR_DEATH_SHOOT4,10,NULL,T_Shoot,s_deathchase1);	/* s_deathshoot5  */


	SetGSStruct(false,SPR_ANGEL_W1,0,T_Stand,NULL,s_angelstand);	/* s_angelstand */

	SetGSStruct(false,SPR_ANGEL_W1,10,T_Will,NULL,s_angelchase1s);	/* s_angelchase1  */
	SetGSStruct(false,SPR_ANGEL_W1,3,NULL,NULL,s_angelchase2);	/* s_angelchase1s */
	SetGSStruct(false,SPR_ANGEL_W2,8,T_Will,NULL,s_angelchase3);	/* s_angelchase2  */
	SetGSStruct(false,SPR_ANGEL_W3,10,T_Will,NULL,s_angelchase3s);	/* s_angelchase3  */
	SetGSStruct(false,SPR_ANGEL_W3,3,NULL,NULL,s_angelchase4);	/* s_angelchase3s */
	SetGSStruct(false,SPR_ANGEL_W4,8,T_Will,NULL,s_angelchase1);	/* s_angelchase4  */

	SetGSStruct(false,SPR_ANGEL_W1,1,NULL,A_DeathScream,s_angeldie11);	/* s_angeldie1 */
	SetGSStruct(false,SPR_ANGEL_W1,1,NULL,NULL,s_angeldie2);	/* s_angeldie11 */
	SetGSStruct(false,SPR_ANGEL_DIE1,10,NULL,A_Slurpie,s_angeldie3);	/* s_angeldie2 */
	SetGSStruct(false,SPR_ANGEL_DIE2,10,NULL,NULL,s_angeldie4);	/* s_angeldie3 */
	SetGSStruct(false,SPR_ANGEL_DIE3,10,NULL,NULL,s_angeldie5);	/* s_angeldie4 */
	SetGSStruct(false,SPR_ANGEL_DIE4,10,NULL,NULL,s_angeldie6);	/* s_angeldie5 */
	SetGSStruct(false,SPR_ANGEL_DIE5,10,NULL,NULL,s_angeldie7);	/* s_angeldie6 */
	SetGSStruct(false,SPR_ANGEL_DIE6,10,NULL,NULL,s_angeldie8);	/* s_angeldie7 */
	SetGSStruct(false,SPR_ANGEL_DIE7,10,NULL,NULL,s_angeldie9);	/* s_angeldie8 */
	SetGSStruct(false,SPR_ANGEL_DEAD,130,NULL,A_Victory,s_angeldie9);	/* s_angeldie9 */

	SetGSStruct(false,SPR_ANGEL_SHOOT1,10,NULL,A_StartAttack,s_angelshoot2);	/* s_angelshoot1  */
	SetGSStruct(false,SPR_ANGEL_SHOOT2,20,NULL,T_Launch,s_angelshoot3);	/* s_angelshoot2  */
	SetGSStruct(false,SPR_ANGEL_SHOOT1,10,NULL,A_Relaunch,s_angelshoot2);	/* s_angelshoot3  */

	SetGSStruct(false,SPR_ANGEL_TIRED1,40,NULL,A_Breathing,s_angeltired2);	/* s_angeltired  */
	SetGSStruct(false,SPR_ANGEL_TIRED2,40,NULL,NULL,s_angeltired3);	/* s_angeltired2 */
	SetGSStruct(false,SPR_ANGEL_TIRED1,40,NULL,A_Breathing,s_angeltired4);	/* s_angeltired3 */
	SetGSStruct(false,SPR_ANGEL_TIRED2,40,NULL,NULL,s_angeltired5);	/* s_angeltired4 */
	SetGSStruct(false,SPR_ANGEL_TIRED1,40,NULL,A_Breathing,s_angeltired6);	/* s_angeltired5 */
	SetGSStruct(false,SPR_ANGEL_TIRED2,40,NULL,NULL,s_angeltired7);	/* s_angeltired6 */
	SetGSStruct(false,SPR_ANGEL_TIRED1,40,NULL,A_Breathing,s_angelchase1);	/* s_angeltired7 */

	SetGSStruct(false,SPR_SPARK1,6,T_Projectile,NULL,s_spark2);	/* s_spark1  */
	SetGSStruct(false,SPR_SPARK2,6,T_Projectile,NULL,s_spark3);	/* s_spark2  */
	SetGSStruct(false,SPR_SPARK3,6,T_Projectile,NULL,s_spark4);	/* s_spark3  */
	SetGSStruct(false,SPR_SPARK4,6,T_Projectile,NULL,s_spark1);	/* s_spark4  */


//
// spectre
//


	SetGSStruct(false,SPR_SPECTRE_W1,10,T_Stand,NULL,s_spectrewait2);	/* s_spectrewait1 */
	SetGSStruct(false,SPR_SPECTRE_W2,10,T_Stand,NULL,s_spectrewait3);	/* s_spectrewait2 */
	SetGSStruct(false,SPR_SPECTRE_W3,10,T_Stand,NULL,s_spectrewait4);	/* s_spectrewait3 */
	SetGSStruct(false,SPR_SPECTRE_W4,10,T_Stand,NULL,s_spectrewait1);	/* s_spectrewait4 */

	SetGSStruct(false,SPR_SPECTRE_W1,10,T_Ghosts,NULL,s_spectrechase2);	/* s_spectrechase1 */
	SetGSStruct(false,SPR_SPECTRE_W2,10,T_Ghosts,NULL,s_spectrechase3);	/* s_spectrechase2 */
	SetGSStruct(false,SPR_SPECTRE_W3,10,T_Ghosts,NULL,s_spectrechase4);	/* s_spectrechase3 */
	SetGSStruct(false,SPR_SPECTRE_W4,10,T_Ghosts,NULL,s_spectrechase1);	/* s_spectrechase4 */

	SetGSStruct(false,SPR_SPECTRE_F1,10,NULL,NULL,s_spectredie2);	/* s_spectredie1 */
	SetGSStruct(false,SPR_SPECTRE_F2,10,NULL,NULL,s_spectredie3);	/* s_spectredie2 */
	SetGSStruct(false,SPR_SPECTRE_F3,10,NULL,NULL,s_spectredie4);	/* s_spectredie3 */
	SetGSStruct(false,SPR_SPECTRE_F4,300,NULL,NULL,s_spectrewake);	/* s_spectredie4 */
	SetGSStruct(false,SPR_SPECTRE_F4,10,NULL,A_Dormant,s_spectrewake);	/* s_spectrewake */


	SetGSStruct(false,0,0,T_Player,NULL, s_none);	/* s_player */
	SetGSStruct(false,0,0,T_Attack,NULL, s_none);	/* s_attack */

    }

};

int stateenum_wl[500] = {

	0,	//	s_none,
	1,	//	s_boom1,
	2,	//	s_boom2,
	3,	//	s_boom3,
	4,	//	s_rocket,
	5,	//	s_smoke1,
	6,	//	s_smoke2,
	7,	//	s_smoke3,
	8,	//	s_smoke4,
	9,	//	s_grdstand,
	10,	//	s_grdpath1,
	11,	//	s_grdpath1s,
	12,	//	s_grdpath2,
	13,	//	s_grdpath3,
	14,	//	s_grdpath3s,
	15,	//	s_grdpath4,
	16,	//	s_grdpain,
	17,	//	s_grdpain1,
	18,	//	s_grdshoot1,
	19,	//	s_grdshoot2,
	20,	//	s_grdshoot3,
	21,	//	s_grdchase1,
	22,	//	s_grdchase1s,
	23,	//	s_grdchase2,
	24,	//	s_grdchase3,
	25,	//	s_grdchase3s,
	26,	//	s_grdchase4,
	27,	//	s_grddie1,
	28,	//	s_grddie2,
	29,	//	s_grddie3,
	30,	//	s_grddie4,
	31,	//	s_dogpath1,
	32,	//	s_dogpath1s,
	33,	//	s_dogpath2,
	34,	//	s_dogpath3,
	35,	//	s_dogpath3s,
	36,	//	s_dogpath4,
	37,	//	s_dogjump1,
	38,	//	s_dogjump2,
	39,	//	s_dogjump3,
	40,	//	s_dogjump4,
	41,	//	s_dogjump5,
	42,	//	s_dogchase1,
	43,	//	s_dogchase1s,
	44,	//	s_dogchase2,
	45,	//	s_dogchase3,
	46,	//	s_dogchase3s,
	47,	//	s_dogchase4,
	48,	//	s_dogdie1,
	49,	//	s_dogdie2,
	50,	//	s_dogdie3,
	51,	//	s_dogdead,
	52,	//	s_ofcstand,
	53,	//	s_ofcpath1,
	54,	//	s_ofcpath1s,
	55,	//	s_ofcpath2,
	56,	//	s_ofcpath3,
	57,	//	s_ofcpath3s,
	58,	//	s_ofcpath4,
	59,	//	s_ofcpain,
	60,	//	s_ofcpain1,
	61,	//	s_ofcshoot1,
	62,	//	s_ofcshoot2,
	63,	//	s_ofcshoot3,
	64,	//	s_ofcchase1,
	65,	//	s_ofcchase1s,
	66,	//	s_ofcchase2,
	67,	//	s_ofcchase3,
	68,	//	s_ofcchase3s,
	69,	//	s_ofcchase4,
	70,	//	s_ofcdie1,
	71,	//	s_ofcdie2,
	72,	//	s_ofcdie3,
	73,	//	s_ofcdie4,
	74,	//	s_ofcdie5,
	75,	//	s_mutstand,
	76,	//	s_mutpath1,
	77,	//	s_mutpath1s,
	78,	//	s_mutpath2,
	79,	//	s_mutpath3,
	80,	//	s_mutpath3s,
	81,	//	s_mutpath4,
	82,	//	s_mutpain,
	83,	//	s_mutpain1,
	84,	//	s_mutshoot1,
	85,	//	s_mutshoot2,
	86,	//	s_mutshoot3,
	87,	//	s_mutshoot4,
	88,	//	s_mutchase1,
	89,	//	s_mutchase1s,
	90,	//	s_mutchase2,
	91,	//	s_mutchase3,
	92,	//	s_mutchase3s,
	93,	//	s_mutchase4,
	94,	//	s_mutdie1,
	95,	//	s_mutdie2,
	96,	//	s_mutdie3,
	97,	//	s_mutdie4,
	98,	//	s_mutdie5,
	99,	//	s_ssstand,
	100,	//	s_sspath1,
	101,	//	s_sspath1s,
	102,	//	s_sspath2,
	103,	//	s_sspath3,
	104,	//	s_sspath3s,
	105,	//	s_sspath4,
	106,	//	s_sspain,
	107,	//	s_sspain1,
	108,	//	s_ssshoot1,
	109,	//	s_ssshoot2,
	110,	//	s_ssshoot3,
	111,	//	s_ssshoot4,
	112,	//	s_ssshoot5,
	113,	//	s_ssshoot6,
	114,	//	s_ssshoot7,
	115,	//	s_ssshoot8,
	116,	//	s_ssshoot9,
	117,	//	s_sschase1,
	118,	//	s_sschase1s,
	119,	//	s_sschase2,
	120,	//	s_sschase3,
	121,	//	s_sschase3s,
	122,	//	s_sschase4,
	123,	//	s_ssdie1,
	124,	//	s_ssdie2,
	125,	//	s_ssdie3,
	126,	//	s_ssdie4,
	127,	//	s_blinkychase1,
	128,	//	s_blinkychase2,
	129,	//	s_inkychase1,
	130,	//	s_inkychase2,
	131,	//	s_pinkychase1,
	132,	//	s_pinkychase2,
	133,	//	s_clydechase1,
	134,	//	s_clydechase2,
	135,	//	s_bossstand,
	136,	//	s_bosschase1,
	137,	//	s_bosschase1s,
	138,	//	s_bosschase2,
	139,	//	s_bosschase3,
	140,	//	s_bosschase3s,
	141,	//	s_bosschase4,
	142,	//	s_bossdie1,
	143,	//	s_bossdie2,
	144,	//	s_bossdie3,
	145,	//	s_bossdie4,
	146,	//	s_bossshoot1,
	147,	//	s_bossshoot2,
	148,	//	s_bossshoot3,
	149,	//	s_bossshoot4,
	150,	//	s_bossshoot5,
	151,	//	s_bossshoot6,
	152,	//	s_bossshoot7,
	153,	//	s_bossshoot8,
	154,	//	s_gretelstand,
	155,	//	s_gretelchase1,
	156,	//	s_gretelchase1s,
	157,	//	s_gretelchase2,
	158,	//	s_gretelchase3,
	159,	//	s_gretelchase3s,
	160,	//	s_gretelchase4,
	161,	//	s_greteldie1,
	162,	//	s_greteldie2,
	163,	//	s_greteldie3,
	164,	//	s_greteldie4,
	165,	//	s_gretelshoot1,
	166,	//	s_gretelshoot2,
	167,	//	s_gretelshoot3,
	168,	//	s_gretelshoot4,
	169,	//	s_gretelshoot5,
	170,	//	s_gretelshoot6,
	171,	//	s_gretelshoot7,
	172,	//	s_gretelshoot8,
	173,	//	s_schabbstand,
	174,	//	s_schabbchase1,
	175,	//	s_schabbchase1s,
	176,	//	s_schabbchase2,
	177,	//	s_schabbchase3,
	178,	//	s_schabbchase3s,
	179,	//	s_schabbchase4,
	180,	//	s_schabbdeathcam,
	181,	//	s_schabbdie1,
	182,	//	s_schabbdie2,
	183,	//	s_schabbdie3,
	184,	//	s_schabbdie4,
	185,	//	s_schabbdie5,
	186,	//	s_schabbdie6,
	187,	//	s_schabbshoot1,
	188,	//	s_schabbshoot2,
	189,	//	s_needle1,
	190,	//	s_needle2,
	191,	//	s_needle3,
	192,	//	s_needle4,
	193,	//	s_giftstand,
	194,	//	s_giftchase1,
	195,	//	s_giftchase1s,
	196,	//	s_giftchase2,
	197,	//	s_giftchase3,
	198,	//	s_giftchase3s,
	199,	//	s_giftchase4,
	200,	//	s_giftdeathcam,
	201,	//	s_giftdie1,
	202,	//	s_giftdie2,
	203,	//	s_giftdie3,
	204,	//	s_giftdie4,
	205,	//	s_giftdie5,
	206,	//	s_giftdie6,
	207,	//	s_giftshoot1,
	208,	//	s_giftshoot2,
	209,	//	s_fatstand,
	210,	//	s_fatchase1,
	211,	//	s_fatchase1s,
	212,	//	s_fatchase2,
	213,	//	s_fatchase3,
	214,	//	s_fatchase3s,
	215,	//	s_fatchase4,
	216,	//	s_fatdeathcam,
	217,	//	s_fatdie1,
	218,	//	s_fatdie2,
	219,	//	s_fatdie3,
	220,	//	s_fatdie4,
	221,	//	s_fatdie5,
	222,	//	s_fatdie6,
	223,	//	s_fatshoot1,
	224,	//	s_fatshoot2,
	225,	//	s_fatshoot3,
	226,	//	s_fatshoot4,
	227,	//	s_fatshoot5,
	228,	//	s_fatshoot6,
	229,	//	s_fakestand,
	230,	//	s_fakechase1,
	231,	//	s_fakechase1s,
	232,	//	s_fakechase2,
	233,	//	s_fakechase3,
	234,	//	s_fakechase3s,
	235,	//	s_fakechase4,
	236,	//	s_fakedie1,
	237,	//	s_fakedie2,
	238,	//	s_fakedie3,
	239,	//	s_fakedie4,
	240,	//	s_fakedie5,
	241,	//	s_fakedie6,
	242,	//	s_fakeshoot1,
	243,	//	s_fakeshoot2,
	244,	//	s_fakeshoot3,
	245,	//	s_fakeshoot4,
	246,	//	s_fakeshoot5,
	247,	//	s_fakeshoot6,
	248,	//	s_fakeshoot7,
	249,	//	s_fakeshoot8,
	250,	//	s_fakeshoot9,
	251,	//	s_fire1,
	252,	//	s_fire2,
	253,	//	s_mechastand,
	254,	//	s_mechachase1,
	255,	//	s_mechachase1s,
	256,	//	s_mechachase2,
	257,	//	s_mechachase3,
	258,	//	s_mechachase3s,
	259,	//	s_mechachase4,
	260,	//	s_mechadie1,
	261,	//	s_mechadie2,
	262,	//	s_mechadie3,
	263,	//	s_mechadie4,
	264,	//	s_mechashoot1,
	265,	//	s_mechashoot2,
	266,	//	s_mechashoot3,
	267,	//	s_mechashoot4,
	268,	//	s_mechashoot5,
	269,	//	s_mechashoot6,
	270,	//	s_hitlerchase1,
	271,	//	s_hitlerchase1s,
	272,	//	s_hitlerchase2,
	273,	//	s_hitlerchase3,
	274,	//	s_hitlerchase3s,
	275,	//	s_hitlerchase4,
	276,	//	s_hitlerdeathcam,
	277,	//	s_hitlerdie1,
	278,	//	s_hitlerdie2,
	279,	//	s_hitlerdie3,
	280,	//	s_hitlerdie4,
	281,	//	s_hitlerdie5,
	282,	//	s_hitlerdie6,
	283,	//	s_hitlerdie7,
	284,	//	s_hitlerdie8,
	285,	//	s_hitlerdie9,
	286,	//	s_hitlerdie10,
	287,	//	s_hitlershoot1,
	288,	//	s_hitlershoot2,
	289,	//	s_hitlershoot3,
	290,	//	s_hitlershoot4,
	291,	//	s_hitlershoot5,
	292,	//	s_hitlershoot6,
	293,	//	s_bjrun1,
	294,	//	s_bjrun1s,
	295,	//	s_bjrun2,
	296,	//	s_bjrun3,
	297,	//	s_bjrun3s,
	298,	//	s_bjrun4,
	299,	//	s_bjjump1,
	300,	//	s_bjjump2,
	301,	//	s_bjjump3,
	302,	//	s_bjjump4,
	303,	//	s_deathcam,
	304,	//	s_player,
	305,	//	s_attack,


	0,	//	s_hrocket,
	0,	//	s_hsmoke1,
	0,	//	s_hsmoke2,
	0,	//	s_hsmoke3,
	0,	//	s_hsmoke4,
	0,	//	s_hboom1,
	0,	//	s_hboom2,
	0,	//	s_hboom3,
	0,	//	s_transstand,
	0,	//	s_transchase1,
	0,	//	s_transchase1s,
	0,	//	s_transchase2,
	0,	//	s_transchase3,
	0,	//	s_transchase3s,
	0,	//	s_transchase4,
	0,	//	s_transdie0,
	0,	//	s_transdie01,
	0,	//	s_transdie1,
	0,	//	s_transdie2,
	0,	//	s_transdie3,
	0,	//	s_transdie4,
	0,	//	s_transshoot1,
	0,	//	s_transshoot2,
	0,	//	s_transshoot3,
	0,	//	s_transshoot4,
	0,	//	s_transshoot5,
	0,	//	s_transshoot6,
	0,	//	s_transshoot7,
	0,	//	s_transshoot8,
	0,	//	s_uberstand,
	0,	//	s_uberchase1,
	0,	//	s_uberchase1s,
	0,	//	s_uberchase2,
	0,	//	s_uberchase3,
	0,	//	s_uberchase3s,
	0,	//	s_uberchase4,
	0,	//	s_uberdie0,
	0,	//	s_uberdie01,
	0,	//	s_uberdie1,
	0,	//	s_uberdie2,
	0,	//	s_uberdie3,
	0,	//	s_uberdie4,
	0,	//	s_uberdie5,
	0,	//	s_ubershoot1,
	0,	//	s_ubershoot2,
	0,	//	s_ubershoot3,
	0,	//	s_ubershoot4,
	0,	//	s_ubershoot5,
	0,	//	s_ubershoot6,
	0,	//	s_ubershoot7,
	0,	//	s_willstand,
	0,	//	s_willchase1,
	0,	//	s_willchase1s,
	0,	//	s_willchase2,
	0,	//	s_willchase3,
	0,	//	s_willchase3s,
	0,	//	s_willchase4,
	0,	//	s_willdie1,
	0,	//	s_willdie2,
	0,	//	s_willdie3,
	0,	//	s_willdie4,
	0,	//	s_willdie5,
	0,	//	s_willdie6,
	0,	//	s_willshoot1,
	0,	//	s_willshoot2,
	0,	//	s_willshoot3,
	0,	//	s_willshoot4,
	0,	//	s_willshoot5,
	0,	//	s_willshoot6,
	0,	//	s_deathstand,
	0,	//	s_deathchase1,
	0,	//	s_deathchase1s,
	0,	//	s_deathchase2,
	0,	//	s_deathchase3,
	0,	//	s_deathchase3s,
	0,	//	s_deathchase4,
	0,	//	s_deathdie1,
	0,	//	s_deathdie2,
	0,	//	s_deathdie3,
	0,	//	s_deathdie4,
	0,	//	s_deathdie5,
	0,	//	s_deathdie6,
	0,	//	s_deathdie7,
	0,	//	s_deathdie8,
	0,	//	s_deathdie9,
	0,	//	s_deathshoot1,
	0,	//	s_deathshoot2,
	0,	//	s_deathshoot3,
	0,	//	s_deathshoot4,
	0,	//	s_deathshoot5,
	0,	//	s_angelstand,
	0,	//	s_angelchase1,
	0,	//	s_angelchase1s,
	0,	//	s_angelchase2,
	0,	//	s_angelchase3,
	0,	//	s_angelchase3s,
	0,	//	s_angelchase4,
	0,	//	s_angeldie1,
	0,	//	s_angeldie11,
	0,	//	s_angeldie2,
	0,	//	s_angeldie3,
	0,	//	s_angeldie4,
	0,	//	s_angeldie5,
	0,	//	s_angeldie6,
	0,	//	s_angeldie7,
	0,	//	s_angeldie8,
	0,	//	s_angeldie9,
	0,	//	s_angelshoot1,
	0,	//	s_angelshoot2,
	0,	//	s_angelshoot3,
	0,	//	s_angeltired,
	0,	//	s_angeltired2,
	0,	//	s_angeltired3,
	0,	//	s_angeltired4,
	0,	//	s_angeltired5,
	0,	//	s_angeltired6,
	0,	//	s_angeltired7,
	0,	//	s_spark1,
	0,	//	s_spark2,
	0,	//	s_spark3,
	0,	//	s_spark4,
	0,	//	s_spectrewait1,
	0,	//	s_spectrewait2,
	0,	//	s_spectrewait3,
	0,	//	s_spectrewait4,
	0,	//	s_spectrechase1,
	0,	//	s_spectrechase2,
	0,	//	s_spectrechase3,
	0,	//	s_spectrechase4,
	0,	//	s_spectredie1,
	0,	//	s_spectredie2,
	0,	//	s_spectredie3,
	0,	//	s_spectredie4,
	0,	//	s_spectrewake,
	305,	//	MAXSTATES

};


int stateenum_sd[500] = {

	0,	//	s_none,
	1,	//	s_boom1,
	2,	//	s_boom2,
	3,	//	s_boom3,
	4,	//	s_rocket,
	5,	//	s_smoke1,
	6,	//	s_smoke2,
	7,	//	s_smoke3,
	8,	//	s_smoke4,
	9,	//	s_grdstand,
	10,	//	s_grdpath1,
	11,	//	s_grdpath1s,
	12,	//	s_grdpath2,
	13,	//	s_grdpath3,
	14,	//	s_grdpath3s,
	15,	//	s_grdpath4,
	16,	//	s_grdpain,
	17,	//	s_grdpain1,
	18,	//	s_grdshoot1,
	19,	//	s_grdshoot2,
	20,	//	s_grdshoot3,
	21,	//	s_grdchase1,
	22,	//	s_grdchase1s,
	23,	//	s_grdchase2,
	24,	//	s_grdchase3,
	25,	//	s_grdchase3s,
	26,	//	s_grdchase4,
	27,	//	s_grddie1,
	28,	//	s_grddie2,
	29,	//	s_grddie3,
	30,	//	s_grddie4,
	31,	//	s_dogpath1,
	32,	//	s_dogpath1s,
	33,	//	s_dogpath2,
	34,	//	s_dogpath3,
	35,	//	s_dogpath3s,
	36,	//	s_dogpath4,
	37,	//	s_dogjump1,
	38,	//	s_dogjump2,
	39,	//	s_dogjump3,
	40,	//	s_dogjump4,
	41,	//	s_dogjump5,
	42,	//	s_dogchase1,
	43,	//	s_dogchase1s,
	44,	//	s_dogchase2,
	45,	//	s_dogchase3,
	46,	//	s_dogchase3s,
	47,	//	s_dogchase4,
	48,	//	s_dogdie1,
	49,	//	s_dogdie2,
	50,	//	s_dogdie3,
	51,	//	s_dogdead,
	52,	//	s_ofcstand,
	53,	//	s_ofcpath1,
	54,	//	s_ofcpath1s,
	55,	//	s_ofcpath2,
	56,	//	s_ofcpath3,
	57,	//	s_ofcpath3s,
	58,	//	s_ofcpath4,
	59,	//	s_ofcpain,
	60,	//	s_ofcpain1,
	61,	//	s_ofcshoot1,
	62,	//	s_ofcshoot2,
	63,	//	s_ofcshoot3,
	64,	//	s_ofcchase1,
	65,	//	s_ofcchase1s,
	66,	//	s_ofcchase2,
	67,	//	s_ofcchase3,
	68,	//	s_ofcchase3s,
	69,	//	s_ofcchase4,
	70,	//	s_ofcdie1,
	71,	//	s_ofcdie2,
	72,	//	s_ofcdie3,
	73,	//	s_ofcdie4,
	74,	//	s_ofcdie5,
	75,	//	s_mutstand,
	76,	//	s_mutpath1,
	77,	//	s_mutpath1s,
	78,	//	s_mutpath2,
	79,	//	s_mutpath3,
	80,	//	s_mutpath3s,
	81,	//	s_mutpath4,
	82,	//	s_mutpain,
	83,	//	s_mutpain1,
	84,	//	s_mutshoot1,
	85,	//	s_mutshoot2,
	86,	//	s_mutshoot3,
	87,	//	s_mutshoot4,
	88,	//	s_mutchase1,
	89,	//	s_mutchase1s,
	90,	//	s_mutchase2,
	91,	//	s_mutchase3,
	92,	//	s_mutchase3s,
	93,	//	s_mutchase4,
	94,	//	s_mutdie1,
	95,	//	s_mutdie2,
	96,	//	s_mutdie3,
	97,	//	s_mutdie4,
	98,	//	s_mutdie5,
	99,	//	s_ssstand,
	100,	//	s_sspath1,
	101,	//	s_sspath1s,
	102,	//	s_sspath2,
	103,	//	s_sspath3,
	104,	//	s_sspath3s,
	105,	//	s_sspath4,
	106,	//	s_sspain,
	107,	//	s_sspain1,
	108,	//	s_ssshoot1,
	109,	//	s_ssshoot2,
	110,	//	s_ssshoot3,
	111,	//	s_ssshoot4,
	112,	//	s_ssshoot5,
	113,	//	s_ssshoot6,
	114,	//	s_ssshoot7,
	115,	//	s_ssshoot8,
	116,	//	s_ssshoot9,
	117,	//	s_sschase1,
	118,	//	s_sschase1s,
	119,	//	s_sschase2,
	120,	//	s_sschase3,
	121,	//	s_sschase3s,
	122,	//	s_sschase4,
	123,	//	s_ssdie1,
	124,	//	s_ssdie2,
	125,	//	s_ssdie3,
	126,	//	s_ssdie4,

	0,	//	s_blinkychase1,
	0,	//	s_blinkychase2,
	0,	//	s_inkychase1,
	0,	//	s_inkychase2,
	0,	//	s_pinkychase1,
	0,	//	s_pinkychase2,
	0,	//	s_clydechase1,
	0,	//	s_clydechase2,
	0,	//	s_bossstand,
	0,	//	s_bosschase1,
	0,	//	s_bosschase1s,
	0,	//	s_bosschase2,
	0,	//	s_bosschase3,
	0,	//	s_bosschase3s,
	0,	//	s_bosschase4,
	0,	//	s_bossdie1,
	0,	//	s_bossdie2,
	0,	//	s_bossdie3,
	0,	//	s_bossdie4,
	0,	//	s_bossshoot1,
	0,	//	s_bossshoot2,
	0,	//	s_bossshoot3,
	0,	//	s_bossshoot4,
	0,	//	s_bossshoot5,
	0,	//	s_bossshoot6,
	0,	//	s_bossshoot7,
	0,	//	s_bossshoot8,
	0,	//	s_gretelstand,
	0,	//	s_gretelchase1,
	0,	//	s_gretelchase1s,
	0,	//	s_gretelchase2,
	0,	//	s_gretelchase3,
	0,	//	s_gretelchase3s,
	0,	//	s_gretelchase4,
	0,	//	s_greteldie1,
	0,	//	s_greteldie2,
	0,	//	s_greteldie3,
	0,	//	s_greteldie4,
	0,	//	s_gretelshoot1,
	0,	//	s_gretelshoot2,
	0,	//	s_gretelshoot3,
	0,	//	s_gretelshoot4,
	0,	//	s_gretelshoot5,
	0,	//	s_gretelshoot6,
	0,	//	s_gretelshoot7,
	0,	//	s_gretelshoot8,
	0,	//	s_schabbstand,
	0,	//	s_schabbchase1,
	0,	//	s_schabbchase1s,
	0,	//	s_schabbchase2,
	0,	//	s_schabbchase3,
	0,	//	s_schabbchase3s,
	0,	//	s_schabbchase4,
	0,	//	s_schabbdeathcam,
	0,	//	s_schabbdie1,
	0,	//	s_schabbdie2,
	0,	//	s_schabbdie3,
	0,	//	s_schabbdie4,
	0,	//	s_schabbdie5,
	0,	//	s_schabbdie6,
	0,	//	s_schabbshoot1,
	0,	//	s_schabbshoot2,
	0,	//	s_needle1,
	0,	//	s_needle2,
	0,	//	s_needle3,
	0,	//	s_needle4,
	0,	//	s_giftstand,
	0,	//	s_giftchase1,
	0,	//	s_giftchase1s,
	0,	//	s_giftchase2,
	0,	//	s_giftchase3,
	0,	//	s_giftchase3s,
	0,	//	s_giftchase4,
	0,	//	s_giftdeathcam,
	0,	//	s_giftdie1,
	0,	//	s_giftdie2,
	0,	//	s_giftdie3,
	0,	//	s_giftdie4,
	0,	//	s_giftdie5,
	0,	//	s_giftdie6,
	0,	//	s_giftshoot1,
	0,	//	s_giftshoot2,
	0,	//	s_fatstand,
	0,	//	s_fatchase1,
	0,	//	s_fatchase1s,
	0,	//	s_fatchase2,
	0,	//	s_fatchase3,
	0,	//	s_fatchase3s,
	0,	//	s_fatchase4,
	0,	//	s_fatdeathcam,
	0,	//	s_fatdie1,
	0,	//	s_fatdie2,
	0,	//	s_fatdie3,
	0,	//	s_fatdie4,
	0,	//	s_fatdie5,
	0,	//	s_fatdie6,
	0,	//	s_fatshoot1,
	0,	//	s_fatshoot2,
	0,	//	s_fatshoot3,
	0,	//	s_fatshoot4,
	0,	//	s_fatshoot5,
	0,	//	s_fatshoot6,
	0,	//	s_fakestand,
	0,	//	s_fakechase1,
	0,	//	s_fakechase1s,
	0,	//	s_fakechase2,
	0,	//	s_fakechase3,
	0,	//	s_fakechase3s,
	0,	//	s_fakechase4,
	0,	//	s_fakedie1,
	0,	//	s_fakedie2,
	0,	//	s_fakedie3,
	0,	//	s_fakedie4,
	0,	//	s_fakedie5,
	0,	//	s_fakedie6,
	0,	//	s_fakeshoot1,
	0,	//	s_fakeshoot2,
	0,	//	s_fakeshoot3,
	0,	//	s_fakeshoot4,
	0,	//	s_fakeshoot5,
	0,	//	s_fakeshoot6,
	0,	//	s_fakeshoot7,
	0,	//	s_fakeshoot8,
	0,	//	s_fakeshoot9,
	0,	//	s_fire1,
	0,	//	s_fire2,
	0,	//	s_mechastand,
	0,	//	s_mechachase1,
	0,	//	s_mechachase1s,
	0,	//	s_mechachase2,
	0,	//	s_mechachase3,
	0,	//	s_mechachase3s,
	0,	//	s_mechachase4,
	0,	//	s_mechadie1,
	0,	//	s_mechadie2,
	0,	//	s_mechadie3,
	0,	//	s_mechadie4,
	0,	//	s_mechashoot1,
	0,	//	s_mechashoot2,
	0,	//	s_mechashoot3,
	0,	//	s_mechashoot4,
	0,	//	s_mechashoot5,
	0,	//	s_mechashoot6,
	0,	//	s_hitlerchase1,
	0,	//	s_hitlerchase1s,
	0,	//	s_hitlerchase2,
	0,	//	s_hitlerchase3,
	0,	//	s_hitlerchase3s,
	0,	//	s_hitlerchase4,
	0,	//	s_hitlerdeathcam,
	0,	//	s_hitlerdie1,
	0,	//	s_hitlerdie2,
	0,	//	s_hitlerdie3,
	0,	//	s_hitlerdie4,
	0,	//	s_hitlerdie5,
	0,	//	s_hitlerdie6,
	0,	//	s_hitlerdie7,
	0,	//	s_hitlerdie8,
	0,	//	s_hitlerdie9,
	0,	//	s_hitlerdie10,
	0,	//	s_hitlershoot1,
	0,	//	s_hitlershoot2,
	0,	//	s_hitlershoot3,
	0,	//	s_hitlershoot4,
	0,	//	s_hitlershoot5,
	0,	//	s_hitlershoot6,
	0,	//	s_bjrun1,
	0,	//	s_bjrun1s,
	0,	//	s_bjrun2,
	0,	//	s_bjrun3,
	0,	//	s_bjrun3s,
	0,	//	s_bjrun4,
	0,	//	s_bjjump1,
	0,	//	s_bjjump2,
	0,	//	s_bjjump3,
	0,	//	s_bjjump4,
	0,	//	s_deathcam,
	261,	//	s_player,
	262,	//	s_attack,


	127,	//	s_hrocket,
	128,	//	s_hsmoke1,
	129,	//	s_hsmoke2,
	130,	//	s_hsmoke3,
	131,	//	s_hsmoke4,
	132,	//	s_hboom1,
	133,	//	s_hboom2,
	134,	//	s_hboom3,
	135,	//	s_transstand,
	136,	//	s_transchase1,
	137,	//	s_transchase1s,
	138,	//	s_transchase2,
	139,	//	s_transchase3,
	140,	//	s_transchase3s,
	141,	//	s_transchase4,
	142,	//	s_transdie0,
	143,	//	s_transdie01,
	144,	//	s_transdie1,
	145,	//	s_transdie2,
	146,	//	s_transdie3,
	147,	//	s_transdie4,
	148,	//	s_transshoot1,
	149,	//	s_transshoot2,
	150,	//	s_transshoot3,
	151,	//	s_transshoot4,
	152,	//	s_transshoot5,
	153,	//	s_transshoot6,
	154,	//	s_transshoot7,
	155,	//	s_transshoot8,
	156,	//	s_uberstand,
	157,	//	s_uberchase1,
	158,	//	s_uberchase1s,
	159,	//	s_uberchase2,
	160,	//	s_uberchase3,
	161,	//	s_uberchase3s,
	162,	//	s_uberchase4,
	163,	//	s_uberdie0,
	164,	//	s_uberdie01,
	165,	//	s_uberdie1,
	166,	//	s_uberdie2,
	167,	//	s_uberdie3,
	168,	//	s_uberdie4,
	169,	//	s_uberdie5,
	170,	//	s_ubershoot1,
	171,	//	s_ubershoot2,
	172,	//	s_ubershoot3,
	173,	//	s_ubershoot4,
	174,	//	s_ubershoot5,
	175,	//	s_ubershoot6,
	176,	//	s_ubershoot7,
	177,	//	s_willstand,
	178,	//	s_willchase1,
	179,	//	s_willchase1s,
	180,	//	s_willchase2,
	181,	//	s_willchase3,
	182,	//	s_willchase3s,
	183,	//	s_willchase4,
	184,	//	s_willdie1,
	185,	//	s_willdie2,
	186,	//	s_willdie3,
	187,	//	s_willdie4,
	188,	//	s_willdie5,
	189,	//	s_willdie6,
	190,	//	s_willshoot1,
	191,	//	s_willshoot2,
	192,	//	s_willshoot3,
	193,	//	s_willshoot4,
	194,	//	s_willshoot5,
	195,	//	s_willshoot6,
	196,	//	s_deathstand,
	197,	//	s_deathchase1,
	198,	//	s_deathchase1s,
	199,	//	s_deathchase2,
	200,	//	s_deathchase3,
	201,	//	s_deathchase3s,
	202,	//	s_deathchase4,
	203,	//	s_deathdie1,
	204,	//	s_deathdie2,
	205,	//	s_deathdie3,
	206,	//	s_deathdie4,
	207,	//	s_deathdie5,
	208,	//	s_deathdie6,
	209,	//	s_deathdie7,
	210,	//	s_deathdie8,
	211,	//	s_deathdie9,
	212,	//	s_deathshoot1,
	213,	//	s_deathshoot2,
	214,	//	s_deathshoot3,
	215,	//	s_deathshoot4,
	216,	//	s_deathshoot5,
	217,	//	s_angelstand,
	218,	//	s_angelchase1,
	219,	//	s_angelchase1s,
	220,	//	s_angelchase2,
	221,	//	s_angelchase3,
	222,	//	s_angelchase3s,
	223,	//	s_angelchase4,
	224,	//	s_angeldie1,
	225,	//	s_angeldie11,
	226,	//	s_angeldie2,
	227,	//	s_angeldie3,
	228,	//	s_angeldie4,
	229,	//	s_angeldie5,
	230,	//	s_angeldie6,
	231,	//	s_angeldie7,
	232,	//	s_angeldie8,
	233,	//	s_angeldie9,
	234,	//	s_angelshoot1,
	235,	//	s_angelshoot2,
	236,	//	s_angelshoot3,
	237,	//	s_angeltired,
	238,	//	s_angeltired2,
	239,	//	s_angeltired3,
	240,	//	s_angeltired4,
	241,	//	s_angeltired5,
	242,	//	s_angeltired6,
	243,	//	s_angeltired7,
	244,	//	s_spark1,
	245,	//	s_spark2,
	246,	//	s_spark3,
	247,	//	s_spark4,
	248,	//	s_spectrewait1,
	249,	//	s_spectrewait2,
	250,	//	s_spectrewait3,
	251,	//	s_spectrewait4,
	252,	//	s_spectrechase1,
	253,	//	s_spectrechase2,
	254,	//	s_spectrechase3,
	255,	//	s_spectrechase4,
	256,	//	s_spectredie1,
	257,	//	s_spectredie2,
	258,	//	s_spectredie3,
	259,	//	s_spectredie4,
	260,	//	s_spectrewake,
	263,	//	MAXSTATES

};


